Visual Studio Team Foundation Installation

[image]

Visual Studio Team System
Visual Studio Team Foundation Installation
See Also Send Feedback

Last Updated: June 2012

This version of the guide applies to the version of Team Foundation that is part of Microsoft Visual Studio Team System 2008.

The Team Foundation Installation Guide is a comprehensive guide that covers the basic installation of Team Foundation components, including Team Foundation Server, Team Foundation Server Proxy, Team Foundation Build, and Team Explorer. Your organization might want to install one or all of these components.

Important note Important Note:

The installation process has changed significantly with this version of the product. Be sure to follow the new procedures carefully.

Overview

Team Foundation provides team collaboration tools that enable organizations to manage and track the progress and health of software projects. Team Foundation Server also provides extensible work item tracking, build capabilities, and a comprehensive version control system.

Start Here to Upgrade

For more information about upgrading an existing deployment of Visual Studio 2005 Team Foundation Server to Visual Studio Team System 2008 Team Foundation Server, see Upgrading Your Team Foundation Server.

Service Pack 1 (SP1) for Team Foundation Server adds support for SQL Server 2008. To install Team Foundation Server with a data-tier server that is running SQL Server 2008, you must integrate this service pack with files from the installation DVD for Team Foundation Server. For more information, see Installing Team Foundation Server and Service Pack 1.

Start Here to Install

To successfully install Team Foundation components, you should:

  • Download the most recent version of this guide from the Microsoft Download Center. Updates to this guide are posted online on an as-needed basis. Such updates include but are not limited to new topics, corrections or additions to existing topics, changes for new versions of software, links to service packs, and new product information.

  • Review the setup and administration documentation of the applicable prerequisites.

  • Review the applicable sections of this installation guide before you install Team Foundation components.

  • Print and use the applicable checklist for installing Team Foundation components:

    • Checklist: Single-Server Team Foundation Server Installation

    • Checklist: Dual-Server Team Foundation Server Installation

    • Installing Team Foundation Build

    • Installing Team Foundation Server Proxy

    • Installing Team Explorer

Start Here for the MSDN Library

The Team System Product Documentation directory on MSDN has the most recent product documentation for Team System.

  • Online documentation

  • Compiled HTML Help (.chm) files

  • MSDN Library for Visual Studio Team System 2008 Team Foundation Server

In This Section

Overview of Team Foundation Architecture

This section provides an overview of the architecture of Team Foundation and the general system requirements necessary for installation.

Installing Team Foundation Server

Use the procedures in this section to install and configure both the application tier components and the data tier components of Team Foundation Server.

Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy. Team Foundation Server Proxy caches previously accessed source control files for enhanced performance.

Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build. Team Foundation Build provides build automation to help you build and share Visual Studio solutions.

Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer. You can install Team Explorer on the same computer as the Team Foundation application tier or on a separate computer.

Installing Team Foundation Server and Service Pack 1

Contains links to information about why you would want to install SP1 for Team Foundation Server and a procedure for integrating the installation of SP1 with Team Foundation Server.

Configuring a Standby Application Tier

Use the procedures in this section to configure an application tier server as a standby server.

Repairing and Troubleshooting Team Foundation

Use the procedures in this section to repair Team Foundation and to troubleshoot installation problems.

Uninstalling Team Foundation

Use the procedures in this section to uninstall Team Foundation.

Further Configuration of Team Foundation

This topic provides links to more information about configuring your Team Foundation environment after installation.

Team Foundation Installation Guide Legal Notices

This section contains the Legal Notices for Team Foundation.

Online Resources

Visual Studio Team System on the Microsoft Web site

Contains product information and links to additional resources about Visual Studio Team System.

Visual Studio Team System Forums

Provides answers to your questions and troubleshoot problems with an online community of Visual Studio Team System users.

Team Foundation Server Readme

Contains late-breaking issues related to product installation.

Team Foundation Administrator's Guide

Discusses the administration tasks necessary in maintaining a Team Foundation installation. It provides information about managing users and groups, configuring server and client applications, and planning your deployment of Visual Studio Team System components.

See Also

Reference

Checklist: Single-Server Team Foundation Server Installation
Checklist: Dual-Server Team Foundation Server Installation
Send feedback on this topic to Microsoft.


Checklist: Team Foundation Installation Overview

[image]

Visual Studio Team System
Checklist: Team Foundation Installation Overview
See Also Send Feedback

You can use this checklist to determine which type of Team Foundation installation you need and to prepare the hardware for Team Foundation installation.

Planning for Team Foundation Installation

Use the resources in this checklist to help you decide which type of Team Foundation installation is best for you.

Done

Step

Read the Team Foundation Planning Guide on the Microsoft Web site, and determine which Team Foundation physical architecture is most appropriate for your needs.

Download the most current version of the Team Foundation Installation Guide from the Microsoft Download Center.

Determine which installation checklist below corresponds to the physical architecture that you selected.

  • To set up a new single-server installation of Team Foundation Server, use this checklist: Checklist: Single-Server Team Foundation Server Installation.

  • To set up a new dual-server installation of Team Foundation Server, use this checklist: Checklist: Dual-Server Team Foundation Server Installation.

  • To upgrade an existing installation of Team Foundation, see Upgrading Your Team Foundation Server.

  • To prepare servers for a clustered deployment of the data tier, use this checklist: Checklist: Data Tier Cluster Deployment.

  • To install additional Team Foundation application-tier components in a standby configuration with an existing deployment, use this checklist: Checklist: Configure a Standby Server for the Application Tier.

Print the appropriate checklist, and use it to guide you through the installation process.

Install Team Foundation client components, such as Team Explorer, Team Foundation Build, and Team Foundation Server Proxy.

See Also

Tasks

How to: Install Team Foundation Server

Concepts

System Requirements for Team Foundation Server
Upgrading Your Team Foundation Server

Other Resources

Configuring Servers for Team Foundation Cluster Installation
Configuring a Standby Application Tier


Checklist: Single-Server Team Foundation Server Installation

[image]

Visual Studio Team System
Checklist: Single-Server Team Foundation Server Installation
See Also Send Feedback

In a single-server deployment of Visual Studio Team System Team Foundation Server, you install the components for the application tier and the data tier on the same server. For more information about types of deployment, see Logical and Physical Architecture. Before you start your deployment, you should review the following sections:

  • Preparation

  • Prerequisite Installation

  • Team Foundation Server Installation

As a best practice, you can print this checklist to track your progress and to make notes about installation details that are specific to your organization.

Preparation

You must prepare the following items before you install Team Foundation Server.

Done

Step

Download the current version of this guide from the Microsoft Download Center.

Verify hardware and software requirements.

For more information, see System Requirements for Team Foundation Server and 64-Bit Support in Team Foundation.

Identify which user account you will use to install Team Foundation Server, and add this account to the Administrators group on the server on which you will deploy Team Foundation Server. Typically, this account would be your user account. This guide uses the placeholder TFSSETUP to indicate this account.

For more information, see Accounts Required for Installation.

Create or obtain the service accounts for services on which SQL Server and Team Foundation rely. You can use the same account for multiple services. Create or obtain the account for data sources of SQL Server Reporting Services.

For more information, see Accounts Required for Installation.

Verify whether a firewall is turned on, and if so, that it is configured appropriately for the server on which you intend to install Team Foundation Server.

If Windows Firewall is on and configured to allow exceptions, the installation wizard for Team Foundation Server creates exceptions for Team Foundation Server. However, you might need to open some ports manually after the installation.

If Windows Firewall is configured to disallow exceptions or you are using a different firewall, you must specify the ports manually before you install Team Foundation Server.

For more information, see Ports Required for Installation.

Prerequisite Installation

Before you install Team Foundation Server, you must install the following prerequisites. For more information, see Installing Prerequisites for Team Foundation Server.

Done

Step

Install Internet Information Services (IIS) using the appropriate options for your operating system.

For more information, see How to: Install Internet Information Services 6.0 on Windows Server 2003 or How to: Install Internet Information Services 7.0 on Windows Server 2008.

Install SQL Server 2005 or SQL Server 2008 Standard or Enterprise Edition.

Service Pack 1 (SP1) for Team Foundation Server adds support for SQL Server 2008. To install Team Foundation Server with a data-tier server that is running SQL Server 2008, you must integrate this service pack with files from the installation DVD for Team Foundation Server. For more information, see Installing Team Foundation Server and Service Pack 1.

For information about how to install SQL Server 2005, see How to: Install SQL Server 2005 in a Single-Server Deployment.

For information about how to install SQL Server 2008, see How to: Install SQL Server 2008 in a Single-Server Deployment.

Note Note:

SQL Server 2005 installs .NET Framework version 2.0 if it is not already installed. SQL Server 2008 installs .NET Compact Framework version 3.5.

Verify your installation of SQL Server.

For more information, see How to: Verify SQL Server 2005 or SQL Server 2008.

Decide whether to use an existing installation of SharePoint Products and Technologies or install it on a server that is running either Windows Server 2003 or Windows Server 2008.

  • If you want to install SharePoint Products and Technologies and Team Foundation Server on Windows Server 2003, you can automatically install Windows SharePoint Services 3.0 during Team Foundation Server installation. For more information, see How to: Install Team Foundation Server.

  • If you want to install SharePoint Products and Technologies and Team Foundation Server on Windows Server 2008 or if you want to install SharePoint Products and Technologies before you install Team Foundation Server, see How to: Install SharePoint Products and Technologies on Windows Server.

  • If you want to either install or specify an existing installation of SharePoint Products and Technologies on a different server from Team Foundation Server, you might have to configure extensions for SharePoint Products and Technologies on the server that is running Team Foundation Server. For more information, see How to: Install Windows SharePoint Services Extensions for Team Foundation Server.

    Note Note:

    If you are using an existing installation of SharePoint Products and Technologies on a computer other than the computer on which you are installing Team Foundation Server, you should first verify that the installation is configured correctly to work with Team Foundation Server. For more information, see How to: Verify an Existing Installation of SharePoint Products and Technologies.

Team Foundation Server Installation

Use the following list to guide your installation of Team Foundation Server.

Done

Step

Install Team Foundation Server.

For step-by-step instructions, see How to: Install Team Foundation Server.

Verify that the appropriate ports are open.

Note Note:

On the server that is running SharePoint Products and Technologies, the firewall must have exceptions for the ports on which the administration site and SharePoint Products and Technologies rely. For more information, see Ports Required for Installation.

Next Steps

After you install Team Foundation Server, you can grant other users permission to administer and create team projects.

For more information, see Managing Security Roles in Team Foundation Server.

You can also install the following additional components of Team Foundation.

  • Team Explorer

  • Team Foundation Build

  • Team Foundation Server Proxy

You do not have to implement the following suggestions to create team projects, but these suggestions are considered best practices for managing Team Foundation Server.

  • Back up the encryption key for Reporting Services by using the Reporting Services Configuration Tool. For more information, see "How to: Back up the Reporting Services Encryption Key" on the Microsoft Web site.

  • Set up database maintenance plans, and schedule full and incremental backups. For more information, see "Backing up the Team Foundation Server" on the Microsoft Web site.

See Also

Tasks

How to: Install Internet Information Services 6.0 on Windows Server 2003
How to: Install Internet Information Services 7.0 on Windows Server 2008
How to: Install SQL Server 2005 in a Single-Server Deployment
How to: Install SQL Server 2008 in a Single-Server Deployment
How to: Verify SQL Server 2005 or SQL Server 2008
How to: Verify an Existing Installation of SharePoint Products and Technologies
How to: Install SharePoint Products and Technologies on Windows Server
How to: Install Team Foundation Server
How to: Install Windows SharePoint Services Extensions for Team Foundation Server

Concepts

System Requirements for Team Foundation Server
Accounts Required for Installation
Ports Required for Installation
Managing Security Roles in Team Foundation Server


Checklist: Dual-Server Team Foundation Server Installation

[image]

Visual Studio Team System
Checklist: Dual-Server Team Foundation Server Installation
See Also Send Feedback

In a dual-server deployment of Visual Studio Team System Team Foundation Server, you install the prerequisites for the application tier and the data tier on different servers, and then you install Team Foundation Server itself on the application-tier server. For more information about types of deployment, see Logical and Physical Architecture. Before you start your deployment, should review the following sections:

  • Preparation

  • Prerequisite Installation

  • Team Foundation Server Installation

As a best practice, you can print this checklist to track your progress and to make notes about installation details that are specific to your organization.

Preparation

You must prepare the following items before you install the prerequisites for Team Foundation Server.

Done

Step

Download the current version of this guide from the Microsoft Download Center.

Verify hardware and software requirements.

For more information, see System Requirements for Team Foundation Server and 64-Bit Support in Team Foundation.

Identify which user account you want to use to install Team Foundation and its prerequisites. Typically, this account would be your user account. This guide uses the placeholder TFSSETUP to indicate this account.

For more information, see Accounts Required for Installation.

Create or obtain the service accounts for services on which SQL Server and Team Foundation rely. You can use the same account for multiple services. Create or obtain the account for data sources of SQL Server Reporting Services.

For more information, see Accounts Required for Installation.

Verify whether a firewall is turned on, and if so, that it is appropriately configured for the server on which you intend to install Team Foundation Server.

If Windows Firewall is on and configured to allow exceptions, the installation wizard for Team Foundation Server automatically creates exceptions. However, you might need to manually open some ports after the installation.

If Windows Firewall is configured to disallow exceptions or if you are using a different firewall, you must specify the ports manually before you run the installation wizard.

For more information, see Ports Required for Installation.

Prerequisite Installations

Before you can install Team Foundation Server, you must install its prerequisites. For more information, see Installing Prerequisites for Team Foundation Server.

Data-Tier Prerequisites

To perform a dual-server deployment, you must first install SQL Server on the data-tier computer.

Done

Step

On the data-tier server, add the account for installing Team Foundation Server (for example, TFSSETUP) to the local Administrators group.

Install SQL Server 2005 or SQL Server 2008 Standard or Enterprise Edition.

Service Pack 1 (SP1) for Team Foundation Server adds support for SQL Server 2008. To install Team Foundation Server with a data-tier server that is running SQL Server 2008, you must integrate this service pack with files from the installation DVD for Team Foundation Server. For more information, see Installing Team Foundation Server and Service Pack 1.

For information about how to install SQL Server, see one of the following procedures:

  • How to: Install SQL Server 2005 in a Dual-Server Deployment

  • How to: Install SQL Server 2008 in a Dual-Server Deployment

Note Note:

SQL Server 2005 installs .NET Framework version 2.0 if it is not already installed. SQL Server 2008 installs .NET Compact Framework version 3.5.

On the data-tier server, verify your installation of SQL Server. For more information, see How to: Verify SQL Server 2005 or SQL Server 2008 and "How to: Verify a Successful Installation of SQL Server 2005 Services" on the Microsoft Web site.

On the data-tier server, configure firewall exceptions to ensure that the appropriate ports are open for SQL Server.

For more information, see Ports Required for Installation.

Application-Tier Prerequisites

In a dual-server deployment of Team Foundation Server, you must install Internet Information Services, SQL Server Reporting Services, and SharePoint Products and Technologies on a server that is part of the logical application tier. For more information about the tiers, see Logical and Physical Architecture.

Done

Step

On the application-tier server, add the account for installing Team Foundation Server (for example, TFSSETUP) to the local Administrators group.

Install Internet Information Services (IIS) on the application-tier server using the appropriate options for your operating system.

For information about how to install IIS, see How to: Install Internet Information Services 6.0 on Windows Server 2003 or How to: Install Internet Information Services 7.0 on Windows Server 2008.

Install SQL Server Reporting Services and any required service pack on the application-tier server for use with Team Foundation Server.

For more information, see How to: Install SQL Server Reporting Services in a Dual-Server Deployment.

Install the security update for MSXML 6.0 Parser as described in Knowledge Base article 925673.

  • You might have this security update already installed on the application-tier server. If it is, you do not need to install it again.

  • If this update is not already installed, locate it at the Microsoft Download Center.

  • Locate the executable file for your platform (for example, msxml6-KB925673-enu-x86.exe), and then double-click the file to install the update.

For more information about this update, see "MS06-061: Security update for Microsoft XML Core Services 6.0" on the Microsoft Web site.

Decide whether to use an existing installation of SharePoint Products and Technologies or install it on a server that is running either Windows Server 2003 or Windows Server 2008.

  • If you want to install SharePoint Products and Technologies and Team Foundation Server on Windows Server 2003, you can automatically install Windows SharePoint Services 3.0 during Team Foundation Server installation. For more information, see How to: Install Team Foundation Server.

  • If you want to install SharePoint Products and Technologies and Team Foundation Server on Windows Server 2008 or if you want to install SharePoint Products and Technologies before you install Team Foundation Server, see How to: Install SharePoint Products and Technologies on Windows Server.

  • If you want to either install or specify an existing installation of SharePoint Products and Technologies on a different server from Team Foundation Server, you might have to configure extensions for SharePoint Products and Technologies on the server that is running Team Foundation Server. For more information, see How to: Install Windows SharePoint Services Extensions for Team Foundation Server.

    Note Note:

    If you are using an existing installation of SharePoint Products and Technologies on a computer other than the computer on which you are installing Team Foundation Server, you should first verify that the installation is configured correctly to work with Team Foundation Server. For more information, see How to: Verify an Existing Installation of SharePoint Products and Technologies.

Team Foundation Server Installation

Use the following list to install Team Foundation Server.

Done

Step

Install Team Foundation Server on the application-tier server.

For step-by-step instructions, see How to: Install Team Foundation Server.

If your installation of SharePoint Products and Technologies is not located on the application-tier server, you must also install the extensions for Team Foundation Server on the computer that is running SharePoint Products and Technologies.

For more information, see How to: Install Windows SharePoint Services Extensions for Team Foundation Server.

Verify that the appropriate ports are open on the application-tier server, the data-tier server, and the server that is running SharePoint Products and Technologies.

For more information, see Ports Required for Installation.

Next Steps

After you install Team Foundation Server, you must enable other users to administer and create team projects. For more information, see Managing Security Roles in Team Foundation Server.

After you install the components of Team Foundation Server and they are running, you can optionally install the following additional components for Team Foundation.

Done | Step
 | Install Team Explorer. For more information, see Installing Team Explorer.
 | Install Team Foundation Build. For more information, see Installing Team Foundation Build.
 | Install Team Foundation Server Proxy. For more information, see Installing Team Foundation Server Proxy.

You do not have to implement the following suggestions to create team projects, but these suggestions are best practices for managing Team Foundation Server:

  • Back up the encryption key for Reporting Services by using the Reporting Services Configuration Tool. For more information, see "How to: Back up the Reporting Services Encryption Key" on the Microsoft Web site.

  • Set up database maintenance plans, and schedule full and incremental backups. For more information, see "Backing up the Team Foundation Server" on the Microsoft Web site.

See Also

Tasks

How to: Install Internet Information Services 6.0 on Windows Server 2003
How to: Install Internet Information Services 7.0 on Windows Server 2008
How to: Install SQL Server 2005 in a Dual-Server Deployment
How to: Install SQL Server 2008 in a Dual-Server Deployment
How to: Verify SQL Server 2005 or SQL Server 2008
How to: Verify an Existing Installation of SharePoint Products and Technologies
How to: Install Team Foundation Server
How to: Install Windows SharePoint Services Extensions for Team Foundation Server

Concepts

System Requirements for Team Foundation Server
Accounts Required for Installation
Ports Required for Installation
Logical and Physical Architecture
Managing Security Roles in Team Foundation Server
Installing Prerequisites for Team Foundation Server

Other Resources

Installing Team Explorer
Installing Team Foundation Build
Installing Team Foundation Server Proxy


Overview of Team Foundation Architecture

[image]

Visual Studio Team System
Overview of Team Foundation Architecture
Send Feedback

This topic provides information about the architecture and general system requirements necessary for installing Team Foundation Server.

In This Section

Logical and Physical Architecture

Provides information about the logical and physical architecture of Team Foundation Server. This section discusses the new options available for installing Team Foundation Server components on separate computers.

64-Bit Support in Team Foundation

Describes which Team Foundation applications support 64-bit operating systems.

Active Directory Domain Requirements

Describes the Active Directory requirements and which domain functional levels are supported.

Server Software Requirements for Team Foundation

Describes which server applications are required by Team Foundation Server.

Related Sections

System Requirements for Team Foundation Server

Provides information about the hardware requirements for installing Team Foundation Server server components.

System Requirements for Team Foundation Build

Provides information about the hardware requirements for installing Team Foundation Build.

System Requirements for Team Foundation Server Proxy

Provides information about the hardware requirements for installing Team Foundation Proxy.

System Requirements and Additional Client Software for Team Explorer

Provides information about the hardware and software requirements for installing Team Explorer.

Visual Studio Team Foundation Installation

Provides information about the installation prerequisites and process for Team Foundation Server.


Logical and Physical Architecture

[image]

Visual Studio Team System
Logical and Physical Architecture
See Also Send Feedback

This topic provides an overview of the Team Foundation logical and physical architecture.

Team Foundation Logical Architecture

Team Foundation is based on a multi-tiered architecture that consists of a data tier, an application tier, and a client tier.

Data Tier

The Team Foundation data tier consists of SQL Server, which stores work items, version-controlled source files, test results, and other project metrics.

Application Tier

The Team Foundation application tier is composed of Web-based, front-end applications that are integrated with Internet Information Services (IIS). These applications include SQL Server Reporting Services, Team Foundation Core Services, and SharePoint Products and Technologies. In addition, the application tier hosts Team Foundation Windows services.

The Team Foundation application tier also includes Team Foundation Build and Team Foundation Server Proxy. Team Foundation Build provides build automation services. Team Foundation Server Proxy caches previously accessed source control files to improve the performance of source control operations over low-bandwidth connections.

Client Tier

The Team Foundation client tier consists of Team Explorer, which can be used as a stand-alone application or integrated with Visual Studio 2008 (except for Visual Studio 2008 Express Editions). The client tier also integrates with Microsoft Office Project 2003 and 2007 and Microsoft Office Excel 2003 and 2007, which project managers can use to view project information and publish that information to Team Foundation Server.

Team Foundation Physical Architecture

You can install the logical tiers of Team Foundation on one or more computers.

Team Foundation Server

You can install Team Foundation Server using a single- or dual-server deployment.

Single-Server Deployment

The single-server deployment of Team Foundation Server puts the data and application tiers on the same physical server. You can use the Team Foundation Server setup wizard to install Windows SharePoint Services on the application-tier server as part of the Team Foundation Server installation. You can also utilize an existing SharePoint Products and Technologies deployment, either on the application-tier server or on a different server.

If you decide to install the client tier on the same server as the data and application tiers, you should only do so after you install the server components.

Dual-Server Deployment

The dual-server deployment of Team Foundation Server puts components of the data and application tiers on different servers. The prerequisites for each computer can be installed at the same time.

The Team Foundation Server setup wizard can install Windows SharePoint Services on the application-tier server as part of the Team Foundation Server installation. You can also utilize an existing deployment of SharePoint Products and Technologies, either on the application-tier server or on a different computer.

You must run the Setup wizard for Team Foundation Server on the application-tier server. Apart from the installation of the prerequisites, you do not need to perform any setup tasks on the data-tier server.

If you decide to install the client tier on the same server as the application tier, you should only do so after you install the application tier components. Otherwise, you can install the client tier in parallel with the other tiers. For more information, see Installing Team Explorer.

SharePoint Products and Technologies

You have two options for SharePoint Products and Technologies:

  • Install Windows SharePoint Services 3.0 on the application-tier server as part of the installation of Team Foundation Server.

    If you choose this option, the Setup wizard for Team Foundation Server installs and configures the deployment of Windows SharePoint Services 3.0 for you.

  • Install SharePoint Products and Technologies on a separate computer or use an existing deployment.

    If you choose this option, you must manually install or configure SharePoint Products and Technologies. Whether you use an existing or new installation, you must install the extensions for SharePoint Products and Technologies on the server that is running SharePoint Products and Technologies before you install Team Foundation Server.

For more information, see Choosing a Deployment for SharePoint Products and Technologies.

Team Foundation Build

Team Foundation Server offers build automation to help you build and share Visual Studio 2008 solutions using Team Foundation Build. You can either install Team Foundation Build on a separate computer or on the same computer as the Team Foundation application tier. For more information, see Installing Team Foundation Build.

Team Foundation Server Proxy

Team Foundation Server Proxy improves the performance of Team Foundation version control by caching previously accessed files. You can either install Team Foundation Proxy on a separate computer or on the same computer as the Team Foundation application tier. For more information, see Installing Team Foundation Server Proxy.

Team Explorer

Team Explorer is part of the client tier. You can use it as a stand-alone application or integrated with Visual Studio 2008.

Team Explorer lets you connect to a Team Foundation server. It provides access to work item tracking, project management, and version control features. You have the option of installing other software that integrates with Team Explorer. For more information, see Installing Team Explorer.

See Also

Concepts

Visual Studio Team Foundation Installation


64-Bit Support in Team Foundation

[image]

Visual Studio Team System
64-Bit Support in Team Foundation
See Also Send Feedback

Microsoft provides 64-bit versions of the Windows operating system for both workstations and servers. A 64-bit system requires special design considerations that differ from the 32-bit platform design. This includes considerations for firmware, hard disk partitions, and device drivers.

For more information about 64-bit versions of Windows Server 2003 operating systems, visit the Microsoft Web site. For more information about the Windows XP Professional x64 Edition operating system, visit the Microsoft Web site.

You can install some, but not all, Team Foundation components on these 64-bit operating systems. Visual Studio Team System Team Foundation Server supports running the Team Foundation data-tier and SQL Server on both 32-bit and 64-bit platforms. Team Foundation Server requires that the application tier components run in a 32-bit environment. The application tier does not support WOW64 or native 64-bit modes. The following table shows the components that you can install on specific 64-bit platforms.

Team Foundation Application

64-bit OS

Mode

Team Foundation Server1

None

None

Team Foundation Server (Team Foundation data-tier)2

  • Windows Server 2003 with Service Pack SP1 (SP1), Standard x64 Edition

  • Windows Server 2003 with SP1, Enterprise x64 Edition

  • Windows Server 2003 with SP1, Datacenter x64 Edition

  • Windows Server 2003 R2, Standard x64 Edition

  • Windows Server 2003 R2, Enterprise x64 Edition

  • Windows Server 2003 R2, Datacenter x64 Edition

Native

Team Foundation Server (Team Foundation application-tier)2

None

None

Team Foundation Server (Team Foundation Server proxy)

None

None

Team Foundation Server (build server)

  • Windows Server 2003 with SP1, Standard x64 Edition (WOW)

  • Windows Server 2003 with SP1, Enterprise x64 Edition (WOW)

  • Windows Server 2003 with SP1, Datacenter x64 Edition (WOW)

  • Windows Server 2003 R2, Standard x64 Edition (WOW)

  • Windows Server 2003 R2, Enterprise x64 Edition (WOW)

  • Windows Server 2003 R2, Datacenter x64 Edition (WOW)

  • Windows XP Professional x64 Edition (WOW)

  • Windows Vista x64 Editions (WOW)

WOW64

Team Explorer

  • Windows Server 2003 with SP1, Standard x64 Edition (WOW)

  • Windows Server 2003 with SP1, Enterprise x64 Edition (WOW)

  • Windows Server 2003 with SP1, Datacenter x64 Edition (WOW)

  • Windows Server 2003 R2, Standard x64 Edition (WOW)

  • Windows Server 2003 R2, Enterprise x64 Edition (WOW)

  • Windows Server 2003 R2, Datacenter x64 Edition (WOW)

  • Windows XP Professional x64 Edition (WOW)

  • Windows Vista x64 Editions (WOW)

WOW64

1 Team Foundation Server single-server deployment

2 Team Foundation Server dual-server deployment

Note Note:

Windows Server 2003, Web Edition is not supported.

See Also

Concepts

System Requirements for Team Foundation Server
Logical and Physical Architecture

Other Resources

Installing Team Foundation Server


Active Directory Domain Requirements

[image]

Visual Studio Team System
Active Directory Domain Requirements
See Also Send Feedback

To set up and configure Team Foundation Server in a dual-server deployment, you must use computers that are joined to an Active Directory domain. For single-server deployment, you can use a computer that is a member of a workgroup, or one that is joined to an Active Directory domain. When you use computers that are joined to an Active Directory domain, Team Foundation Server requires an Active Directory domain that does not contain Windows NT Server 4.0 domain controllers. Use the following table to determine whether Team Foundation Server supports your Active Directory domain functional level.

Active Directory Domain Functional Level | Supported
Windows 2000 mixed mode Supports domain controllers running Windows NT Server 4.0, Windows 2000, Windows Server 2003, and Windows Server 2003 R2. | No
Windows 2000 native mode Supports domain controllers running Windows 2000, Windows Server 2003, and Windows Server 2003 R2. | Yes
Windows Server 2003 interim mode Supports domain controllers running Windows NT Server 4.0, Windows Server 2003, and Windows Server 2003 R2. | No
Windows Server 2003 mode Supports domain controllers running Windows Server 2003 and Windows Server 2003 R2. | Yes

See Also

Concepts

System Requirements for Team Foundation Server
Team Foundation Server Security Groups


Server Software Requirements for Team Foundation

[image]

Visual Studio Team System
Server Software Requirements for Team Foundation
See Also Send Feedback

Updated: July 2010

You must install the following software before you install Team Foundation Server:

Server Software

Purpose

Microsoft SQL Server 2005 (Standard or Enterprise Edition) or Microsoft SQL Server 2008

Provides databases and database services for Team Foundation Server and SharePoint Products and Technologies.

Microsoft SQL Server 2005 Service Pack 1 (on Windows Server 2003)

Microsoft SQL Server 2005 Service Pack 2 (on Windows Server 2008)

Updates SQL Server Analysis Services to provide more efficient reporting and improved performance.

QFE KB925673 for MSXML 6.0 Parser.

For more information, see "MS06-061: Security update for Microsoft XML Core Services 6.0" in the Microsoft Knowledge Base on the Microsoft Web site.

Note Note:

If you install SQL Server 2008, an updated version of MSXML Parser is automatically installed.

SharePoint Products and Technologies

Hosts Team Foundation Server team project portal sites.

Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition for use with Team Foundation Server.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Concepts

Visual Studio Team Foundation Installation
Logical and Physical Architecture

Reference

Checklist: Dual-Server Team Foundation Server Installation
Checklist: Data Tier Cluster Deployment
Checklist: Configure a Standby Server for the Application Tier

Change History

Date | History | Reason
July 2010 | Removed beta disclaimer. | Customer feedback.


Collation Setting Requirements for Team Foundation Server

[image]

Visual Studio Team System
Collation Setting Requirements for Team Foundation Server
See Also Send Feedback

When you install SQL Server, you must specify the collation settings for the databases that will be created and managed with that installation. Collation settings include character set, sort order, and other locale-specific settings, which are fundamental to the structure and function of SQL Server databases.

You cannot change these settings after installation.

Requirements for Team Foundation Server

To work with Visual Studio Team System Team Foundation Server, the collation settings for SQL Server must be case insensitive (clear the Case - sensitive check box), accent sensitive, and not binary.

If you are installing SQL Server 2005 on a computer whose Windows system locale is set to U.S. English, the default setting is an option under SQL collations. This setting meets the requirements for Team Foundation Server. However, that setting might not support all of the data that your organization must store in Team Foundation Server. In that case, you must find a setting that not only meets the requirements for Team Foundation Server but also supports your data. You might specify an option under Collation designator and sort order. For example, you can specify Latin1_General if you need support for additional characters.

For most other locales, the default setting is an option under Collation designator and sort order. Make sure the settings match the requirements for Team Foundation Server. If you must change this setting, you should specify the option that is named for your locale with "_90" after it, where possible. For example, you can use Japanese_90 collation if you use Unicode CJK Extension A characters or Unicode Surrogates in the following ways:

  • Names of objects, such as queries or projects, in Team Foundation Server.

  • Files or paths that are checked into the version control system.

  • Any field of the work items that is used for searches.

To avoid problems with double-width or hiragana/katakana-equivalent characters, you should select the check boxes to enable Kana and width sensitivity when you install SQL Server.

For more information, see "Collation Settings in Setup" in the SQL Server 2005 Books Online on the Microsoft Web site.

See Also

Tasks

How to: Install SQL Server 2005 in a Single-Server Deployment
How to: Install SQL Server 2008 in a Single-Server Deployment
How to: Install SQL Server 2005 in a Dual-Server Deployment
How to: Install SQL Server 2008 in a Dual-Server Deployment


Security Issues for Team Foundation

[image]

Visual Studio Team System
Security Issues for Team Foundation
See Also Send Feedback

This topic provides security-related information for installing Team Foundation Server.

In This Section

Accounts Required for Installation

Describes the user accounts you must create to set up and configure Team Foundation Server.

Ports Required for Installation

Provides information about the ports you must open on intervening firewalls so that the Team Foundation components can communicate with each other.

Team Foundation Server Security Groups

Describes the security groups Team Foundation Server uses to manage security.

Managing Security Roles in Team Foundation Server

Describes the security roles required for Team Foundation Server. These include roles for SharePoint Products and Technologies and SQL Server Reporting Services.

How to: Specify and Verify Port Settings

Describes how to verify or specify exemptions in Windows Firewall so that components of Team Foundation can function as designed.

Related Sections

Installing Team Foundation Server

Use the procedures in this section to install and configure Team Foundation Server.

Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share solutions.

Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Visual Studio Team Foundation Installation
Active Directory Domain Requirements


Accounts Required for Installation

[image]

Visual Studio Team System
Accounts Required for Installation
See Also Send Feedback

This topic describes the user accounts that you need to install and configure Visual Studio Team System Team Foundation Server.

Deployment Considerations

If you are not deploying Team Foundation Server on an Active Directory domain, you cannot use a dual-server deployment. If you are deploying in a domain environment, you must use domain accounts.

If you are deploying in a workgroup environment, you must use a single-server deployment. Workgroup environments can use local accounts.

Single-Server Deployment

A single-server deployment of Team Foundation Server means that you install the application-tier and data-tier components on a single server that is joined to a domain or a workgroup. Before you install and configure Team Foundation Server on a single server that is joined to a domain, you should review the table later in this topic. The table not only lists the various accounts that you will need but also describes the purpose of each account.

If you install and configure Team Foundation Server on a single server that is a member of a workgroup, you can use local user accounts instead of domain user accounts as the service accounts.

Dual-Server Deployment

A dual-server deployment means that you install the data-tier components on a separate server or servers from the application-tier components. In a dual-server deployment, the servers must be joined to a domain or domains with the appropriate trusts, and you need service accounts from an Active Directory domain, as the table later in this topic describes.

Required Accounts

Before you install Team Foundation Server, you must identify (and, if necessary, create) the accounts you are going to use during installation. This installation guide refers to these accounts by placeholder names as noted in the table.

Although Team Foundation Server uses several accounts, you can use the same domain or local account for all of them. For example, you can use the same account for both the service account for Team Foundation Server (TFSSERVICE) and for the data sources account for Reporting Services (TFSREPORTS). For clarity, each account is referred to explicitly by its functional placeholder name. However, some accounts have slightly different permission requirements. For example, TFSSERVICE must have the Log on as a service permission, and TFSREPORTS must have the Allow log on locally permission. If you use the same account for both, that account must have both of these permissions.

Note Note:

You do not have to use the sample user logon names. If you want to use different user logon names, or if you have existing accounts you can use, you must substitute the correct name as appropriate during installation.

Sample user logon name

Purpose

TFSSETUP

  • Used to install Team Foundation Server.

    This account must be an administrator on Team Foundation Server computers. The account must be a member of the same domain as the following two accounts. For example, you cannot have the two accounts on a domain and then use a local account to install Team Foundation Server.

  • If you are installing Team Foundation Server Workgroup Edition, this account is added to the Team Foundation Licensed Users group, which can contain no more than five users. For this reason, you should install Team Foundation Server with your user account.

TFSSERVICE

  • Used as the service account by Windows services for Team Foundation Server.

  • Used as the identity of the Microsoft Team Foundation Server Application Pool.

  • Must have the Log on as a service permission.

    For optimal security, this service account:

    • Should not be an administrator on the servers that run components of Team Foundation Server.

    • Should have the check box Account is sensitive and cannot be delegated selected for Active Directory on the domain.

For more information about this account, see Specifying a Service Account for Team Foundation.

WSSSERVICE

  • Provides the identity for the SharePoint Central Adminstration application pool

  • Used as the service account for the Windows SharePoint Services Timer service.

For more information about this account, see Specifying the Service Account for SharePoint Products and Technologies

TFSREPORTS

  • Used by SQL Server Reporting Services as the account for data sources.

  • Must have the Allow log on locally permission.

    This account should not have administrative permissions on the servers that run components of Team Foundation Server.

    You can use the same account for TFSREPORTS that you use for TFSSERVICE. They do not have to be separate accounts.

For more information about this account, see Specifying a Service Account for SQL Server Reporting Services.

TFSPROXY

  • Used as the service account by Team Foundation Server Proxy.

  • On every application-tier server that the proxy will access, you must create a server-level group for Team Foundation Server and then add this service account to that group. By performing this step, you enable the remote proxy to access and cache source control files.

See Also

Tasks

How to: Install Team Explorer Prerequisites
How to: Install Team Foundation Server Proxy

Concepts

Visual Studio Team Foundation Installation
Active Directory Domain Requirements

Reference

Checklist: Single-Server Team Foundation Server Installation
Checklist: Dual-Server Team Foundation Server Installation
Checklist: Data Tier Cluster Deployment
Checklist: Configure a Standby Server for the Application Tier

Other Resources

Security Issues for Team Foundation


Ports Required for Installation

[image]

Visual Studio Team System
Ports Required for Installation
See Also Send Feedback

The TCP ports must be open on firewalls so that the Team Foundation components can communicate with each other.

Required Ports

To enable communication between Visual Studio Team System Team Foundation Server, its prerequisites, and clients, you must make sure that firewalls located between those components enable communication through several TCP ports.

If Windows Firewall is on and configured to allow exceptions, the Setup wizard for Team Foundation Server creates firewall exceptions for Team Foundation Server.

If the Setup wizard installs Windows SharePoint Services on the application-tier server, the wizard also creates an exception for the SharePoint Administration site (by default, port 17012).

However, if you install SharePoint Products and Technologies manually, you must add firewall exceptions yourself. You must add exceptions for Windows SharePoint Services (by default, port 80) and the SharePoint Administration site (the port number that you specified for the administration of Windows SharePoint Services) on the server where you installed SharePoint Products and Technologies. For more information about how to create firewall exceptions, see How to: Specify and Verify Port Settings.

If you have configured Windows Firewall so that it does not allow exceptions or if you are using a different firewall, you must specify the ports manually.

The following tables show the port settings that Team Foundation Server requires.

Required Ports for SQL Server 2005

The following table specifies the ports that SQL Server 2005 (Standard or Enterprise Edition) uses.

Note Note:

For dual-server deployments, after you install SQL Server on the data-tier server, you must configure firewall exceptions by using these port names and TCP port numbers.

Server or Application Context | TCP Port
SQL Service | 14331
SQL Browser Service | 1434
SQL Server Analysis Service Redirector | 2382
SQL Server Analysis Service | 2383
SQL Server Reporting Service | 80

1SQL Server uses port 1433 for the default instance. For named instances, SQL Server uses a dynamic port that the operating system assigns. Use SQL Server Configuration Manger to determine the SQL Server port number for any named instances. For more information, see "How to: Configure a Firewall for SQL Server Access" in the SQL Server 2005 Books Online on the Microsoft Web site.

Required Ports for SharePoint Products and Technologies

The following table specifies the TCP ports that Windows SharePoint Services 3.0 uses if the Setup wizard for Team Foundation Server installs it.

Important note Important Note:

These port numbers might be different for existing deployments of SharePoint Products and Technologies. You can determine which port numbers SharePoint Products and Technologies use by opening Internet Information Services (IIS) Manager and looking at the properties of the Web sites.

Server or Application Context | Keyname in the msiproperty.ini File | TCP Port
Default Web site | VSTF_WSSSQL_PORT | 80
SharePoint Central Administration | VSTF_WSS_ADMIN_PORT | 17012
Important note Important Note:

After you install Team Foundation Server, you must open Windows Firewall and add the ports for SharePoint Products and Technologies to its list of exceptions.

Required Ports for Team Foundation Server

By default, Team Foundation Server uses the following TCP ports:

Server or Application Context | Keyname in the msiproperty.ini File | TCP Port
Team Foundation Server | VSTF_WEBSITE_PORT | 8080
Team Foundation Server Proxy | VSTF_WEBSITE_PORT | 8081
Team Foundation Build Remoting2 | Not set in .ini file3 | 9191

2In addition, Team Foundation Build adds Visual Studio Team Foundation Build service (TFSBuildService.exe) as a program exception in Windows Firewall.

3For more information about how to set this port, see "Build Web.Config File Settings in Team Foundation Server Components" on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=100153).

Scope

In Windows Firewall, you can specify the set of computers for which a port or service is unblocked. By default, the scope is set to Any computer (including those on the Internet). You can limit the scope for which a port or service is unblocked. However, you must specify a scope that includes all computers that access that port or service.

See Also

Tasks

How to: Install Team Explorer Prerequisites
How to: Install Team Foundation Server Proxy

Reference

Checklist: Dual-Server Team Foundation Server Installation
Checklist: Data Tier Cluster Deployment
Checklist: Configure a Standby Server for the Application Tier

Other Resources

Security Issues for Team Foundation


Team Foundation Server Security Groups
See Also Send Feedback

This topic describes the security groups Team Foundation Server uses to manage security.

Team Foundation Server Security Groups

Team Foundation Server security is managed by Team Foundation Server security groups. These groups differ from Windows domain or local security groups.

Team Foundation Server Security Group

Description

Team Foundation Administrators

  • This group contains users who can perform all privileged operations on the server.

  • By default, setup adds the account that is used to run setup (for example, Domain\TFSSETUP) to this group.

Service Accounts

  • This group contains Team Foundation Server service accounts, such as the application pool identities for Team Foundation Server Web services (for example, Domain\TFSSERVICE).

Team Foundation Valid Users

  • This group contains all users and groups that have access to the server.

Team Foundation Server Setup adds the user account that is used to run setup (for example, Domain\TFSSETUP) to the Team Foundation Administrators group. To add other users to this group, you must use an account that is already a member of Team Foundation Administrators. After you complete the setup, you must log on using the same account that was used to run setup (for example, Domain\TFSSETUP) to add the initial new members to the Team Foundation Administrators group.

Team Foundation Server Setup also adds the Team Foundation Server service account (for example, Domain\TFSSERVICE) to the Service Accounts group.

For more information about how to add users to groups, see Managing Security Roles in Team Foundation Server.

See Also

Concepts

Visual Studio Team Foundation Installation
Active Directory Domain Requirements

Other Resources

Security Issues for Team Foundation


Managing Security Roles in Team Foundation Server

[image]

Visual Studio Team System
Managing Security Roles in Team Foundation Server
See Also Send Feedback

This topic describes the security roles required for Team Foundation Server, including SharePoint Products and Technologies and SQL Server Reporting Services.

Security Role Membership

When adding a user account to a Team Foundation Server security role, you must also add that user to the appropriate security role in Window SharePoint Services and SQL Server Reporting Services.

To create a new team project in Team Foundation Server, you must be a member of the following groups:

  • Team Foundation Administrators

  • SharePoint Administration Group for SharePoint Products and Technologies (see Important note below)

  • SQL Server Reporting Services Content Manager role.

The following table indicates the correct security role membership in each of these products for the global security groups in Team Foundation Server.

Team Foundation Server Security Group | SharePoint Products and Technologies Role | SQL Server Reporting Services Role
[Server]\Team Foundation Administrators | SharePoint Administration Group (see Important note below) | Content Manager (system-level role)
[Server]\Team Foundation Valid Users | n/a1 | n/a1
[Server]\Service Accounts | n/a2 | n/a2

1The Team Foundation Valid Users group contains all users and groups that have access to the server. This group contains all users and groups that are members of the team projects that exist on the server. There is no need to manage membership of this group.

2Accounts in the Service Accounts group do not require membership in security roles on SharePoint Products and Technologies or SQL Server Reporting Services.

Important note Important Note:

The SharePoint Administration Group is different from the SharePoint Administrator role. For more information, see "How to: Access Windows SharePoint Services Site Administration" (http://go.microsoft.com/fwlink/?LinkId=73955).

After creating a team project, you assign users to different roles to manage their permissions on a per-project basis. SharePoint sites do not inherit security settings from the top-level site. Conversely, SQL Server Reporting Services item-level security inherits system-level roles. The following table indicates the correct security role membership in each of these products for the project-level security groups in Team Foundation Server.

Team Foundation Server Security Group | SharePoint Products and Technologies Role | SQL Server Reporting Services Role
[ProjectName]\Project Administrators1 | Administrator | Content Manager
[ProjectName]\Contributor1 | Contributor | Browser
[ProjectName]\Reader1 | Reader | Browser

1This name is derived from the MSF for Agile Software Development process template. The actual name of project-level security groups will vary based on the chosen process template.

For more information about how to add users to the appropriate groups and roles, see one of the following topics in the Team Foundation Server Administrator's Guide.

  • Team Foundation Server Administrator Permissions

  • Team Foundation Server Project Lead Permissions

  • Team Foundation Server Contributor Permissions

  • Team Foundation Server Source Control Permissions

See Also

Concepts

Visual Studio Team Foundation Installation


How to: Specify and Verify Port Settings

[image]

Visual Studio Team System
How to: Specify and Verify Port Settings
See Also Send Feedback

The firewall controls your remote connections and the usage of ports. The following procedures assume that you are using Windows Firewall. Your organization may be using a third-party firewall software or hardware solution. For more information, see the appropriate documentation for your organization's system.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer.

Verifying Port Settings

To verify the port settings for Windows Firewall

  1. Click Start, click Control Panel, and then click Windows Firewall.

  2. On the Exceptions tab, verify that the services are on the list.

    Note Note:

    The services on the list depend on the type of deployment. For a single server deployment, all the services should be on the list. If you are verifying your data-tier installation, the Reporting Services are not part of the installation.

  3. For each service, select the service, click Edit, and verify that the port number matches the number for the service on the list in Ports Required for Installation.

Specifying Port Settings Manually

You can use this procedure to specify port settings if any of the following events occurs: the Windows Firewall was not on when you installed Team Foundation Server, the firewall was not configured to allow exceptions, or you used an existing deployment of SharePoint Products and Technologies.

To specify port settings for Windows Firewall

  1. Display or print the list of services and required ports in the topic Ports Required for Installation.

  2. Click Start, click Control Panel, and then click Windows Firewall.

  3. On the Exceptions tab, verify that the services are on the list.

    Note Note:

    The services on the list depend on the type of deployment. For a single server deployment, all the services should be on the list. If you are verifying your data-tier installation, the Reporting Services are not part of the installation.

  4. For each service on the list, add an exception.

    • Click Add Port…

    • In the Name text box, type the name of the service. This text does not have to be the product name. It just needs to be descriptive.

    • In the Port number text box, type the port number.

    • Be sure TCP is selected.

    • Click OK.

See Also

Concepts

Ports Required for Installation


Installing Prerequisites for Team Foundation Server

[image]

Visual Studio Team System
Installing Prerequisites for Team Foundation Server
Send Feedback

Before you install components of Visual Studio Team System Team Foundation Server, you must install prerequisites such as Internet Information Services (IIS), SQL Server, and SharePoint Products and Technologies.

In This Section

Installing Internet Information Services (IIS)

Contains links to procedures about how to install IIS on Windows Server 2003 or Windows Server 2008.

Installing SQL Server

Contains information and links to procedures about how to install and verify supported versions of SQL Server.

Installing SharePoint Products and Technologies

Contains information and links to procedures about how to install and verify supported SharePoint Products and Technologies, in addition to Windows SharePoint Services Extensions for Team Foundation Server.

Configuring Servers for Team Foundation Cluster Installation

Contains links to a checklist and a procedure for how to configure multiple computers to act as a clustered data tier for Team Foundation Server.

Related Sections

How to: Install Team Foundation Server

Provides detailed instructions that you can use to install and configure Team Foundation Server, whether the application and data tiers are on the same server (single-server deployment) or different servers (dual-server deployment).


Installing Internet Information Services (IIS)

[image]

Installing Internet Information Services (IIS)
Send Feedback

Before you install Team Foundation Server or Team Foundation Server Proxy, you must install Internet Information Services (IIS) with the specified options.

In This Section

How to: Install Internet Information Services 6.0 on Windows Server 2003

Provides steps for how to use Control Panel to install IIS with the appropriate options for an application-tier server or proxy server that is running Windows Server 2003.

How to: Install Internet Information Services 7.0 on Windows Server 2008

Provides steps for how to use Server Manager to install IIS with the appropriate options for an application-tier server or proxy server that is running Windows Server 2008.

Related Sections

How to: Install Team Foundation Server

Provides detailed instructions you can use to install and configure Team Foundation Server, whether the application and data tiers are on the same server (single-server deployment) or different servers (dual-server deployment).


How to: Install Internet Information Services 6.0 on Windows Server 2003

[image]

Visual Studio Team System
How to: Install Internet Information Services 6.0 on Windows Server 2003
See Also Send Feedback

On servers that are running Windows Server 2003, you can use Control Panel to install Internet Information Services (IIS) 6.0. In addition to the default options, you must configure IIS 6.0 with these options:

  • ASP.NET must be enabled.

  • FrontPage 2002 Server Extensions must not be installed. (SharePoint Products and Technologies is incompatible with FrontPage Server Extensions.)

  • The IIS 5.0 isolation option must not be enabled.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you are installing IIS. For more information, see Accounts Required for Installation.

To install IIS by using the Add or Remove Programs utility

  1. On the application-tier server, open Add or Remove Programs from Control Panel.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select the Application Server check box, and then click Details.

  4. If not already selected, select the ASP.NET check box, and then click OK. Do not change or clear any other currently selected components.

  5. On the Windows Components page, click Next.

  6. Click Finish to close the wizard.

  7. Visit Windows Update on the Microsoft Web site, and install all items in the High Priority Updates group.

See Also

Tasks

Troubleshooting Installation for Team Foundation

Concepts

Installing Prerequisites for Team Foundation Server


How to: Install Internet Information Services 7.0 on Windows Server 2008

[image]

Visual Studio Team System
How to: Install Internet Information Services 7.0 on Windows Server 2008
See Also Send Feedback

On servers that are running Windows Server 2008, you can use Server Manager to install Internet Information Services (IIS) 7.0. In addition to the default options, you must add the following role services to IIS 7.0:

  • HTTP Redirection

  • ASP.NET

  • Windows Authentication

  • IIS 6.0 Management Compatibility

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the application-tier server. For more information, see Accounts Required for Installation.

To install IIS 7.0 on Windows Server 2008

  1. On the application-tier server, click Start, point to Administrative Tools, and then click Server Manager.

  2. In the tree pane, click Roles.

  3. In the details pane, click Add Roles.

    The Add Roles Wizard starts.

  4. On the Before You Begin page, read the instructions, and then click Next.

  5. On the Select Server Roles page, select the Web Server (IIS) check box, and then click Next.

  6. In the Add features required for Web Server (IIS) dialog box, click Add Required Features, and then click Next.

  7. On the Web Server (IIS) page, read the information, and then click Next.

  8. On the Select Role Services page, select the following check boxes (without changing the other default settings), and then click Next:

    • HTTP Redirection

    • ASP.NET

      When the Add role services and features required for ASP.NET dialog box appears, click Add Required Role Services.

    • Windows Authentication

    • IIS 6 Management Compatibility

      All subordinate check boxes are automatically selected.

  9. On the Confirm Installation Selections page, review the installation information.

  10. If the information is correct, click Install. To make corrections, click Previous.

  11. After the Add Roles Wizard installs IIS, click Close.

See Also

Concepts

Installing Prerequisites for Team Foundation Server

Other Resources

Repairing and Troubleshooting Team Foundation


Installing SQL Server

[image]

Installing SQL Server
Send Feedback

Updated: June 2012

After you install Internet Information Services (IIS), you must install SQL Server with the specified options for a deployment of Visual Studio Team System Team Foundation Server. If you have an existing installation that meets these requirements, you do not need to install SQL Server.

Service Pack 1 (SP1) for Team Foundation Server adds support for SQL Server 2008. To install Team Foundation Server with a data-tier server that is running SQL Server 2008, you must integrate this service pack with files from the installation DVD for Team Foundation Server. For more information, see Installing Team Foundation Server and Service Pack 1.

The following table lists requirements for SQL Server in a deployment of Team Foundation Server:

Supported editions

  • SQL Server 2005, Standard Edition

  • SQL Server 2005, Enterprise Edition

  • SQL Server 2008, Standard Edition

  • SQL Server 2008, Enterprise Edition

Service packs for SQL Server 2005

  • On Windows Server 2003, you must install Service Pack 1 (SP1). Service Pack 2 (SP2) is optional.

  • On Windows Server 2008, you must install SP2.

  • SP3 and SP4 are supported.

Service packs for SQL Server 2008

  • SQL Server 2008 Service Pack 3

Components to install on the data-tier server

  • SQL Server Database Services

  • Analysis Services

Components to install on the application-tier server

  • SQL Server Reporting Services

Collation settings

  • Must be accent sensitive

  • Must not be case sensitive

  • Must not be Binary

  • Must not be Binary - code point

For more information, see Collation Setting Requirements for Team Foundation Server.

Authentication

Windows authentication

Service account

All services are run with an appropriate account.

In This Section

How to: Install SQL Server 2005 in a Single-Server Deployment

Provides steps for how to install SQL Server 2005 in a deployment of Team Foundation Server in which the application tier and the data tier are running on the same server.

How to: Install SQL Server 2008 in a Single-Server Deployment

Provides steps for how to install SQL Server 2008 in a deployment of Team Foundation Server in which the application tier and the data tier are running on the same server.

How to: Install SQL Server 2005 in a Dual-Server Deployment

Provides steps for how to install SQL Server 2005 in a deployment of Team Foundation Server in which the application tier and the data tier are running on different servers.

How to: Install SQL Server 2008 in a Dual-Server Deployment

Provides steps for how to install SQL Server 2008 in a deployment of Team Foundation Server in which the application tier and the data tier are running on different servers.

How to: Install SQL Server Reporting Services in a Dual-Server Deployment

Provides steps for how to install SQL Server Reporting Services in a deployment of Team Foundation Server in which the application tier and the data tier are running on different servers.

How to: Verify SQL Server 2005 or SQL Server 2008

Provides steps for how to verify that a supported version of SQL Server is installed and configured correctly for a deployment of Team Foundation Server.

Related Sections

How to: Install Team Foundation Server

Provides detailed instructions you can use to install and configure Team Foundation Server, whether the application and data tiers are on the same server (single-server deployment) or different servers (dual-server deployment).

Change History

Date | History | Reason
June 2012 | Added support for SP4 and SP5 for SQL Server 2005. | Customer feedback.
February 2012 | Added support for Service Pack 3 for SQL Server 2008. | Customer feedback.


How to: Install SQL Server 2005 in a Single-Server Deployment

[image]

Visual Studio Team System
How to: Install SQL Server 2005 in a Single-Server Deployment
See Also Send Feedback

In a single-server deployment of Visual Studio Team System Team Foundation Server, you must install SQL Server 2005 Standard or Enterprise Edition and any required service packs on the same server on which you will install Team Foundation Server.

After you install SQL Server and any required service packs, you can install the other prerequisites for Team Foundation Server. For more information about single-server deployments and their prerequisites, see Checklist: Single-Server Team Foundation Server Installation.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the server on which you are installing SQL Server.

Install SQL Server 2005 for a Single-Server Deployment

You can install SQL Server by using the installation wizard or by using an answer file. An answer file is an ASCII text file that supplies data that you would provide if you ran the installation wizard.

To install SQL Server 2005 by using the installation wizard

  1. Log on to Windows using an appropriate account (for example, TFSSETUP).

  2. Start the installation wizard by inserting the installation DVD for SQL Server 2005 Enterprise Edition or Standard Edition.

    The SQL Server 2005 Start page appears.

  3. On the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

  4. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select the I accept the licensing terms and conditions check box, and then click Next.

  5. On the Installing Prerequisites page, click Install.

  6. After the prerequisites are installed, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  7. Click Next.

  8. On the System Configuration Check page, perform any required actions, such as restarting the server, and then click Next to start installation.

  9. On the Registration Information page, complete the registration information, and then click Next.

  10. On the Components to Install page, select the check boxes for the following components:

    • SQL Server Database Services

    • Analysis Services

    • Reporting Services

    Note Note:

    Team Foundation Server does not require Workstation Components, Books Online, and development tools. However, if you do not install it, you cannot use SQL Server Management Studio to verify your installation of SQL Server.

  11. On the Instance Name page, click Default instance or Named instance. If you click Named instance, type the name of the instance. Click Next.

  12. On the Service Account page, click Use the built-in System account or Use a domain user account. If you click Use the built-in System account, select Network Service. If you click Use a domain user account, type a domain account and password. In Start services at the end of setup, select the following check boxes, and then click Next:

    • SQL Server

    • SQL Server Agent

    • Analysis Services

    • Reporting Services

    • SQL Browser

  13. On the Authentication Mode page, click Windows Authentication Mode, and then click Next.

  14. On the Collation Settings page, click the appropriate collation for your language, and then click Next.

    Team Foundation Server requires certain collation settings. For more information, see Collation Setting Requirements for Team Foundation Server.

  15. On the Report Server Installation Options page, click Install but do not configure the server, and click Next.

    Team Foundation Server will configure the report server for you.

  16. (optional) On the Error and Usage Report Settings page, select one or both check boxes to specify where information about errors and feature usage should be sent, and then click Next.

  17. On the Ready to Install page, review the list of components to be installed, and then click Install.

    The Setup Progress page shows the installation status of each component.

  18. After installation has completed, click Next.

  19. Click Finish to close the wizard.

To install SQL Server 2005 by using an answer file

  1. Log on to Windows using an appropriate domain account (for example, TFSSETUP).

  2. From the root directory of the DVD for Team Foundation Server, copy SQL2005ForATDT.ini to a convenient location on the local hard disk (for example, C:\).

    Note Note:

    If you are installing SQL Server on a server that is running a non-English edition of Windows Server 2003, you must replace the service account names with localized versions in the answer file. For more information about localized service account names, see Localized Service Names in "Setting Up Windows Service Accounts" on the Microsoft Web site.

  3. In the answer file, replace any instances of MyDomain\MyServiceAccount with the domain name and account name of an appropriate service account.

    You must change the following lines of the answer file:

    SQLBROWSERACCOUNT="MyDomain\MyServiceAccount"

    SQLACCOUNT="MyDomain\MyServiceAccount"

    AGTACCOUNT="MyDomain\MyServiceAccount"

    ASACCOUNT="MyDomain\MyServiceAccount"

    RSACCOUNT="MyDomain\MyServiceAccount"

  4. In the answer file, replace any instances of MyPassword with the password for the service account that you specified in the previous step.

    You must change the following lines of the answer file:

    SQLBROWSERPASSWORD="MyPassword"

    SQLPASSWORD="MyPassword"

    AGTPASSWORD="MyPassword"

    ASPASSWORD="MyPassword"

    RSPASSWORD="MyPassword"

  5. To install to the default instance, continue to the next step without making more changes. To install to a named instance, change the following line in the answer file:

    INSTANCENAME=MSSQLSERVER

    This line should be changed to the following text:

    INSTANCENAME=TFSInstance

    You must replace the placeholder TFSInstance with your named instance.

  6. Save the modified answer file with a name that is appropriate for your organization. Do not change the file name extension (.ini).

  7. Install SQL Server by opening a Command Prompt window and typing the following string:

    C:\SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\AnswerFile PIDKEY=ProductKey

    • SQLServerSetupDirectory is the path of setup.exe for SQL Server.

    • AnswerFileDirectory is the path of the answer file.

    • AnswerFile is the name of the answer file.

    • ProductKey is the product key for SQL Server without hyphens or spaces.

Install Service Pack 1 or Service Pack 2 for SQL Server 2005

If the data-tier server is running Windows Server 2003, you must also install either Service Pack 1 (SP1) or Service Pack 2 (SP2) for SQL Server. If the data-tier server is running Windows Server 2008, you must also install SP2 for SQL Server.

Note Note:

SP2 contains all of the updates in SP1. Therefore, you do not need to install SP1 before you install SP2.

To install Service Pack 1 or Service Pack 2 for SQL Server 2005

  1. On the Microsoft Web site, read the preparation steps and installation instructions for Service Pack 1 or Service Pack 2.

  2. From the Microsoft Download Center, download and install Service Pack 1 or Service Pack 2.

  3. Visit Windows Update, and install all items in the High Priority group.

See Also

Tasks

How to: Install Team Foundation Server

Reference

Checklist: Single-Server Team Foundation Server Installation

Other Resources

Repairing and Troubleshooting Team Foundation


How to: Install SQL Server 2008 in a Single-Server Deployment

[image]

Visual Studio Team System
How to: Install SQL Server 2008 in a Single-Server Deployment
See Also Send Feedback

If you install Service Pack 1 (SP1) for Visual Studio Team System Team Foundation Server, your deployment can support data-tier servers that are running SQL Server 2008. To install Team Foundation Server for this type of deployment, you must integrate this service pack with files from the installation DVD for Team Foundation Server. For more information, see Installing Team Foundation Server and Service Pack 1.

In a single-server deployment of Visual Studio Team System Team Foundation Server, you must install SQL Server 2008 Standard or Enterprise Edition on the same server on which you will install Team Foundation Server. After you install SQL Server, you can install the other prerequisites for Team Foundation Server. For more information about single-server deployments and their prerequisites, see Checklist: Single-Server Team Foundation Server Installation.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the server on which you are installing SQL Server.

To install SQL Server 2008

  1. Log on to Windows using an appropriate account (for example, TFSSETUP).

  2. Insert the installation DVD for SQL Server 2008 Enterprise Edition or Standard Edition, and double-click setup.exe.

    Note Note:

    The installation program for SQL Server offers to install the appropriate versions of the Microsoft .NET Framework and Windows Installer if they are not already installed. You must install these components to proceed with the installation of SQL Server, and you must restart your server when prompted after these components are installed.

  3. On the SQL Server Installation Center page, click Installation, and then click New SQL Server stand-alone installation or add features to an existing installation.

  4. On the Setup Support Rules page, click OK.

  5. On the Product Key page, type your product key.

  6. On the License Terms page, review the license agreement. If you accept the terms and conditions, select the I accept the licensing terms check box, and then click Next.

  7. On the Setup Support Files page, click Install.

  8. On the Setup Support Rules page, click Next.

  9. On the Feature Selection page, select the check boxes for the following components, and then click Next:

    • Database Engine Services

    • Full-Text search

    • Analysis Services

    • Reporting Services

    • Management Tools - Basic

    Note Note:

    To install Team Foundation Server, you do not need to install Management Tools (Basic or Complete) on the same computer as SQL Server. However, you must use SQL Server Management Studio to verify your installation of SQL Server.

  10. On the Instance Configuration page, click Default instance or Named instance. If you click Named instance, type the name of the instance. Click Next.

  11. On the Disk Space Requirements page, click Next.

  12. On the Server Configuration page, click Use the same account for all SQL Server services, or type the name of a domain account or NT AUTHORITY\NETWORK SERVICE in Account Name for every service.

    • If you specify a domain account, type its password in Password.

    • If you use NT AUTHORITY\NETWORK SERVICE, leave the Password box blank.

    In the Startup Type column, verify that Automatic appears for all accounts that you can edit, and then click Next.

  13. On the Database Engine Configuration page, click Windows authentication mode, click Add Current User, and then click Next.

  14. On the Analysis Services Configuration page, click Add Current User, and then click Next.

  15. On the Reporting Services Configuration page, click Install, but do not configure the report server, and click Next.

    Team Foundation Server will configure the report server for you.

  16. (optional) On the Error and Usage Reporting page, select one or both check boxes to specify where information about errors and feature usage should be sent, and then click Next.

  17. On the Installation Rules page, click Next.

  18. On the Ready to Install page, review the list of components to be installed, and then click Install.

    The Installation Progress page shows the status of each component.

  19. After installation has completed, click Next.

  20. On the Complete page, click Close.

See Also

Tasks

How to: Install Team Foundation Server

Reference

Checklist: Single-Server Team Foundation Server Installation

Other Resources

Repairing and Troubleshooting Team Foundation


How to: Install SQL Server 2005 in a Dual-Server Deployment

[image]

Visual Studio Team System
How to: Install SQL Server 2005 in a Dual-Server Deployment
See Also Send Feedback

In a dual-server deployment of Visual Studio Team System Team Foundation Server, you must install SQL Server 2005 (either Standard or Enterprise Edition) and the required service pack on two servers. You install SQL Server Core Services and Analysis Services on the data-tier server, and you install SQL Server Reporting Services on the application-tier server.

The instructions in this topic cover only the data-tier installation. After you install SQL Server, you can install the other prerequisites for a dual-server deployment of Team Foundation Server. For more information about dual-server deployments and their prerequisites, see Checklist: Dual-Server Team Foundation Server Installation.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the data-tier server.

Install SQL Server 2005 on the Data-Tier Server

You can install SQL Server by using the installation wizard or by using an answer file. An answer file is an ASCII text file that supplies data that you would provide if you ran the installation wizard.

To install SQL Server 2005 by using the installation wizard

  1. Log on to the data-tier server using an appropriate domain account (for example, TFSSETUP).

  2. Start the installation wizard by inserting the installation DVD for SQL Server 2005 Enterprise Edition or Standard Edition.

    The SQL Server 2005 Start page appears.

  3. On the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

  4. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select the I accept the licensing terms and conditions check box, and then click Next.

  5. On the Installing Prerequisites page, click Install.

  6. After installation of the prerequisites, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  7. Click Next.

  8. On the System Configuration Check page, perform any required actions, such as restarting the server, and then click Next to start installation.

    Note Note:

    For a dual-server deployment, you can safely ignore the warning about installing Internet Information Services (IIS) on the data tier.

  9. On the Registration Information page, complete the registration information, and then click Next.

  10. On the Components to Install page, select the check boxes for the following components, and then click Next.

    • SQL Server Database Services

    • Analysis Services

    Note Note:

    Team Foundation Server does not require Workstation Components, Books Online, and development tools. However, if you do not install it, you cannot use SQL Server Management Studio to verify your installation of SQL Server.

  11. On the Instance Name page, click Default instance or Named instance. If you click Named instance, type the name of the instance. Click Next.

  12. On the Service Account page, click Use the built-in System account or Use a domain user account. If you click Use the built-in System account, select Network Service. If you click Use a domain user account, type a domain account and password. In Start services at the end of setup, select the following check boxes, and then click Next:

    • SQL Server

    • SQL Server Agent

    • Analysis Services

    • SQL Browser

  13. On the Authentication Mode page, click Windows Authentication Mode, and then click Next.

  14. On the Collation Settings page, click the appropriate collation for your language, and then click Next.

    Team Foundation Server requires certain collation settings. For more information, see Collation Setting Requirements for Team Foundation Server.

  15. (Optional.) On the Error and Usage Report Settings page, specify whether to send information about errors and feature usage, and then click Next.

  16. On the Ready to Install page, review the list of components to be installed, and then click Install.

    The Setup Progress page shows the installation status of each component.

  17. After SQL Server is installed, click Next.

  18. Click Finish to close the wizard.

To install SQL Server 2005 by using an answer file

  1. Log on to the data-tier server using an appropriate domain account (for example, TFSSETUP).

    For more information, see Accounts Required for Installation.

  2. From the root directory of the DVD for Team Foundation Server, copy the file SQL2005ForDT.ini to the local hard disk.

    Note Note:

    If you are installing SQL Server on a server that is running a non-English edition of Windows Server 2003, you must replace the service account names with localized versions in the answer file. For more information about localized service account names, see Localized Service Names in "Setting Up Windows Service Accounts" on the Microsoft Web site.

  3. In the answer file, replace any instances of MyDomain\MyServiceAccount with the domain name and account name of an appropriate service account.

    You must change the following lines of the answer file:

    SQLBROWSERACCOUNT="MyDomain\MyServiceAccount"

    SQLACCOUNT="MyDomain\MyServiceAccount"

    AGTACCOUNT="MyDomain\MyServiceAccount"

    ASACCOUNT="MyDomain\MyServiceAccount"

  4. In the answer file, replace any instances of MyPassword with the password for the service account that you specified in the previous step.

    You must change the following lines of the answer file:

    SQLBROWSERPASSWORD="MyPassword"

    SQLPASSWORD="MyPassword"

    AGTPASSWORD="MyPassword"

    ASPASSWORD="MyPassword"

  5. To install to the default instance, continue to the next step without making additional changes. To install to a named instance, change the following line in the answer file:

    INSTANCENAME=MSSQLSERVER

    This line should be changed to the following text:

    INSTANCENAME=TFSInstance

    You must replace the placeholder TFSInstance with your named instance.

  6. Save the modified answer file with a name that is appropriate for your organization. Do not change the file name extension (.ini).

  7. Install SQL Server by opening a Command Prompt window and typing the following string:

    C:\SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\AnswerFilePIDKEY=ProductKey

    • SQLServerSetupDirectory is the path of setup.exe for SQL Server.

    • AnswerFileDirectory is the path of the answer file.

    • AnswerFile is the name of the answer file.

    • ProductKey is the product key for SQL Server without hyphens or spaces.

Install Service Pack 1 or Service Pack 2 for SQL Server 2005

If the data-tier server is running Windows Server 2003, you must also install either Service Pack 1 (SP1) or Service Pack 2 (SP2) for SQL Server. If the data-tier server is running Windows Server 2008, you must also install SP2 for SQL Server.

Note Note:

SP2 contains all of the updates in SP1. Therefore, you do not need to install SP1 before you install SP2.

To install Service Pack 1 or Service Pack 2 for SQL Server 2005

  1. On the Microsoft Web site, read the preparation steps and installation instructions for Service Pack 1 or Service Pack 2.

  2. From the Microsoft Download Center, download and install Service Pack 1 or Service Pack 2.

  3. Visit Windows Update, and install all items in the High Priority group.

See Also

Tasks

How to: Install Team Foundation Server

Other Resources

Repairing and Troubleshooting Team Foundation


How to: Install SQL Server 2008 in a Dual-Server Deployment

[image]

Visual Studio Team System
How to: Install SQL Server 2008 in a Dual-Server Deployment
See Also Send Feedback

If you install Service Pack 1 (SP1) for Visual Studio Team System Team Foundation Server, your deployment can support data-tier servers that are running SQL Server 2008. To install Team Foundation Server for this type of deployment, you must integrate this service pack with files from the installation DVD for Team Foundation Server. For more information, see Installing Team Foundation Server and Service Pack 1.

In a dual-server deployment of Visual Studio Team System Team Foundation Server, you must install SQL Server 2008 (either Standard or Enterprise Edition) on two servers. You install SQL Server Core Services and Analysis Services on the data-tier server, and you install SQL Server Reporting Services on the application-tier server. The instructions in this topic cover only the data-tier installation.

After you install SQL Server, you can install the other prerequisites for a dual-server deployment of Team Foundation Server. For more information about dual-server deployments and their prerequisites, see Checklist: Dual-Server Team Foundation Server Installation.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the data-tier server.

To install SQL Server 2008

  1. Log on to Windows using an appropriate account (for example, TFSSETUP).

  2. Insert the installation DVD for SQL Server 2008 Enterprise Edition or Standard Edition, and double-click setup.exe.

    Note Note:

    The installation program for SQL Server offers to install the appropriate versions of the Microsoft .NET Framework and Windows Installer if they are not already installed. You must install these components to proceed with the installation of SQL Server, and you must restart your server when prompted after these components are installed.

  3. On the SQL Server Installation Center page, click Installation, and then click New SQL Server stand-alone installation or add features to an existing installation.

  4. On the Setup Support Rules page, click OK.

  5. On the Product Key page, type your product key.

  6. On the License Terms page, review the license agreement. If you accept the terms and conditions, select the I accept the licensing terms check box, and then click Next.

  7. On the Setup Support Files page, click Install.

  8. On the Setup Support Rules page, click Next.

  9. On the Feature Selection page, select the check boxes for the following components, and then click Next:

    • Database Engine Services

    • Full-Text search

    • Analysis Services

    • Management Tools - Basic

    Note Note:

    To install Team Foundation Server, you do not need to install Management Tools (Basic or Complete) on the same computer as SQL Server. However, you must use SQL Server Management Studio to verify your installation of SQL Server.

  10. On the Instance Configuration page, click Default instance or Named instance. If you click Named instance, type the name of the instance. Click Next.

  11. On the Disk Space Requirements page, click Next.

  12. On the Server Configuration page, click Use the same account for all SQL Server services, or type the name of a domain account or NT AUTHORITY\NETWORK SERVICE in Account Name for every service.

    • If you specify a domain account, type its password in Password.

    • If you use NT AUTHORITY\NETWORK SERVICE, leave the Password box blank.

    In the Startup Type column, verify that Automatic appears for all accounts that you can edit, and then click Next.

  13. On the Database Engine Configuration page, click Windows authentication mode, click Add Current User, and then click Next.

  14. On the Analysis Services Configuration page, click Add Current User, and then click Next.

  15. (optional) On the Error and Usage Reporting page, select one or both check boxes to specify where information about errors and feature usage should be sent, and then click Next.

  16. On the Installation Rules page, click Next.

  17. On the Ready to Install page, review the list of components to be installed, and then click Install.

    The Installation Progress page shows the status of each component.

  18. After installation has completed, click Next.

  19. On the Complete page, click Close.

See Also

Tasks

How to: Install Team Foundation Server

Reference

Checklist: Dual-Server Team Foundation Server Installation

Other Resources

Repairing and Troubleshooting Team Foundation


How to: Install SQL Server Reporting Services in a Dual-Server Deployment

[image]

Visual Studio Team System
How to: Install SQL Server Reporting Services in a Dual-Server Deployment
See Also Send Feedback

Updated: July 2010

In a dual-server deployment of Visual Studio Team System Team Foundation Server, you must install SQL Server and any required service packs on two servers. You install SQL Server Core Services and Analysis Services on the data-tier server, and you install SQL Server Reporting Services on the application-tier server.

This topic describes how to install and verify Reporting Services on an application-tier server. For more information, see the following sections:

  • Install SQL Server 2005 Reporting Services

  • Install SQL Server 2008 Reporting Services

  • Verify SQL Server 2005 or SQL Server 2008 Reporting Services

After you install Reporting Services, you can install the other prerequisites for a dual-server deployment of Team Foundation Server. For more information about dual-server deployments and their prerequisites, see Checklist: Dual-Server Team Foundation Server Installation.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the application-tier server.

Install SQL Server 2005 Reporting Services

You can install Reporting Services by using the installation wizard or by using an answer file. An answer file is an ASCII text file that supplies data that you would provide if you ran the installation wizard.

To install SQL Server 2005 Reporting Services by using the installation wizard

  1. Log on to Windows using an appropriate domain account (for example, TFSSETUP) for Team Foundation Server.

  2. Insert the installation DVD for SQL Server 2005 Enterprise Edition. For SQL Server 2005, you must use Enterprise Edition.

  3. On the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

  4. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select the I accept the licensing terms and conditions check box, and then click Next.

  5. On the Installing Prerequisites page, click Install.

  6. After installation of the prerequisites, click Next.

    The Microsoft SQL Server Installation Wizardstarts.

  7. Click Next.

  8. On the System Configuration Check page, perform any required actions, such as restarting the server, and then click Next to start installation.

  9. On the Registration Information page, complete the registration information, and then click Next.

  10. On the Components to Install page, select the Reporting Services check box, and then click Next.

  11. On the Instance Name page, click either Default instance or Named instance. If you clicked Named instance, type the name of the instance. Click Next.

  12. On the Service Account page, click Use the built-in system account, and then click Network Service. In Start services at the end of setup, select the Reporting Services check box, and then click Next.

  13. On the Report Server Installation Options page, make sure that Install but do not configure the server is specified, and click Next.

    Team Foundation Server will configure the report server for you.

  14. (Optional) On the Error and Usage Report Settings page, select one or both check boxes to specify where information about errors and feature usage should be sent, and then click Next.

  15. On the Ready to Install page, review the list of components to be installed, and then click Install.

    The Setup Progress page shows the status of each component.

  16. After installation has completed, click Next.

  17. Click Finish to close the wizard.

To install SQL Server 2005 Reporting Services by using an answer file

  1. Log on to the application-tier server using an appropriate domain account (for example, TFSSETUP).

  2. From the root directory of the installation DVD for Team Foundation Server, copy SQL2005ForAT.ini to a convenient location on the local hard disk (for example, C:\).

  3. To install Reporting Services to the default instance, continue to the next step without making additional changes. To install to a named instance, change the following line in the answer file:

    INSTANCENAME=MSSQLSERVER

    This line should be changed to the following string:

    INSTANCENAME=MyInstanceName

    Note Note:

    If you installed SQL Server to a named instance on the data-tier server, you do not have to use the same instance on the application-tier server. You can use the default instance or a different instance (as long as it is the only instance on the application-tier server).

  4. Open a Command Prompt window, and type the following command:

    C:\SQLServerSetupDirectory\setup.exe /qb /settings AnswerFileDirectory\AnswerFilePIDKEY=ProductKey

    • SQLServerSetupDirectory is the path of setup.exe for SQL Server.

    • AnswerFileDirectory is the path of the answer file.

    • AnswerFile is the name of the answer file SQL2005ForAT.ini.

      This file is designed to install Reporting Services on the application-tier server in a dual-server deployment of Team Foundation Server.

    • ProductKey is the product key for SQL Server without hyphens or spaces.

Install Service Pack 1 or Service Pack 2 for SQL Server 2005

If the application-tier server is running Windows Server 2003, you must also install either Service Pack 1 (SP1) or Service Pack 2 (SP2) for SQL Server 2005. If the application-tier server is running Windows Server 2008, you must also install SP2 for SQL Server 2005.

Note Note:

SP2 contains all of the updates in SP1. Therefore, you do not need to install SP1 before you install SP2.

To install Service Pack 1 or Service Pack 2 for SQL Server 2005

  1. On the Microsoft Web site, read the preparation steps and installation instructions for Service Pack 1 or Service Pack 2.

  2. From the Microsoft Download Center, download and install Service Pack 1 or Service Pack 2.

  3. Visit Windows Update, and install all items in the High Priority group.

Install SQL Server 2008 Reporting Services

To install SQL Server 2008 Reporting Services by using the installation wizard

  1. Log on to Windows using an appropriate account (for example, TFSSETUP).

  2. Insert the installation DVD for SQL Server 2008 Enterprise Edition or Standard Edition, and double-click setup.exe.

    Note Note:

    The installation program for SQL Server offers to install the appropriate versions of the Microsoft .NET Framework and Windows Installer if they are not already installed. You must install these components to proceed with the installation of SQL Server, and you must restart your server when prompted after these components are installed.

  3. On the SQL Server Installation Center page, click Installation, and then click New SQL Server stand-alone installation or add features to an existing installation.

  4. On the Setup Support Rules page, click OK.

  5. On the Product Key page, type your product key.

  6. On the License Terms page, review the license agreement. If you accept the terms and conditions, select the I accept the licensing terms check box, and then click Next.

  7. On the Setup Support Files page, click Install.

  8. On the Setup Support Rules page, click Next.

  9. On the Feature Selection page, select the check box for Reporting Services and then click Next.

  10. On the Instance Configuration page, click Default instance or Named instance. If you click Named instance, type the name of the instance. Click Next.

  11. On the Disk Space Requirements page, click Next.

  12. On the Server Configuration page, type NT AUTHORITY\NETWORK SERVICE in Account Name. Leave the Password box blank. In the Startup Type column, verify that Automatic appears, and then click Next.

  13. On the Reporting Services Configuration page, click Install, but do not configure the report server, and click Next.

    Team Foundation Server will configure the report server for you.

  14. (optional) On the Error and Usage Reporting page, select one or both check boxes to specify where information about errors and feature usage should be sent, and then click Next.

  15. On the Installation Rules page, click Next.

  16. On the Ready to Install page, review the list of components to be installed, and then click Install.

    The Installation Progress page shows the status of each component.

  17. After installation has completed, click Next.

  18. On the Complete page, click Close.

Verify SQL Server 2005 or SQL Server 2008 Reporting Services

After you install SQL Server and any required service pack, you should verify that Reporting Services is running and set to start automatically.

Note To use Reporting Services from a browser on Windows Server 2008, you might need to configure the browser. For more information, see "How to: Set Team Foundation Server Administrator Permissions" on the Microsoft Web site.

To verify Reporting Services

  1. Click Start, click Administrative Tools, and then click Services.

  2. In the Name column, locate SQL Server Reporting Services.

  3. In the Status column, verify that Started appears.

  4. In the Startup Type column, verify that Automatic appears.

  5. Close Services.

See Also

Tasks

How to: Install Team Foundation Server

Other Resources

Repairing and Troubleshooting Team Foundation

Change History

Date | History | Reason
July 2010 | Revised supported editions of SQL Server 2005 Reporting Services for dual-server deployment. | Customer feedback.


How to: Verify SQL Server 2005 or SQL Server 2008

[image]

Visual Studio Team System
How to: Verify SQL Server 2005 or SQL Server 2008
See Also Send Feedback

After you install SQL Server 2005 or SQL Server 2008, you might want to verify that the installation completed and the server is configured for the next installation step of Team Foundation Server. The procedures that follow show you how to verify the following configurations.

  • The services are running.

  • The connection settings are configured.

  • The firewall is correctly configured.

If you did not click Workstation Components, Books Online, and development tools when you installed SQL Server 2005 or Management Tools - Basic when you installed SQL Server 2008, you will not have SQL Server Management Studio installed on this server. You must have these tools installed on this server or another computer to follow the procedure later in this topic about how to verify a connection.

If SQL Server is installed on a cluster, the server name is the name of the cluster and not the computer name. If you are using a named instance of SQL Server, you must specify the name of the server and the name of the instance.

If you cannot connect to the server, verify the firewall settings, and then try to connect again.

Caution note Caution:

The installation wizard for Team Foundation Server configures components for you during installation. Limit your verification to examining what is running and set as described in the following procedures. If you try to configure SQL Server Reporting Services at this point, you might prevent the correct installation and configuration of Team Foundation Server.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the application-tier server for Team Foundation and a member of the sysadmin security group for SQL Server on the data-tier server for Team Foundation. For more information, see Accounts Required for Installation.

To verify that the services are running

  1. On the application-tier server for Team Foundation, open the Start menu, point to All Programs, point to Microsoft SQL Server, point to Configuration Tools, and then click SQL Server Configuration Manager.

  2. Click SQL Server Services, and verify that each service has a green arrow.

    The green arrow indicates that the service is running.

  3. Click SQL Server Network Configuration, double-click Protocols for MyInstanceName, and then verify that TCP/IP is enabled.

    If you specified the default instance during installation, the instance name will be MSSQLSERVER.

To verify a connection to the server

  1. On the data-tier server for Team Foundation, open the Start menu, point to All Programs, point to Microsoft SQL Server, and then click SQL Server Management Studio.

    The Connect to Server dialog box opens.

  2. In the Server type list, click Database Engine.

  3. Type the name of the server to which you want to connect, and then click Connect.

  4. In Object Explorer, verify that a green arrow appears next to the server name.

See Also

Tasks

How to: Install SQL Server 2005 in a Single-Server Deployment
How to: Install SQL Server 2008 in a Single-Server Deployment
How to: Install SQL Server 2005 in a Dual-Server Deployment
Troubleshooting Installation for Team Foundation

Reference

Checklist: Single-Server Team Foundation Server Installation
Checklist: Dual-Server Team Foundation Server Installation


Installing SharePoint Products and Technologies
Send Feedback

You must install SharePoint Products and Technologies as a part of the logical application tier for Team Foundation Server. To meet this requirement, you can install Windows SharePoint Services 3.0, Microsoft Office SharePoint Server 2007, or Windows SharePoint Services 2.0 on either the application-tier server or on a separate server.

Installing SharePoint Products and Technologies

You can install SharePoint Products and Technologies before you install Visual Studio Team System Team Foundation Server, or you can install Windows SharePoint Services 3.0 and Team Foundation Server at the same time. For more information, see How to: Install SharePoint Products and Technologies on Windows Server.

Note Note:

Before you can install Windows SharePoint Services 3.0 and Team Foundation Server at the same time on Windows Server 2008, you must first integrate the installation of Team Foundation Server with its Service Pack 1 (SP1). For more information, see How to: Integrate the Installation of Team Foundation Server and Service Pack 1. If you take this approach, you can install Team Foundation Server with its SP1 and Windows SharePoint Services 3.0 with its SP1 at the same time.

Using an Existing Deployment of SharePoint Products and Technologies

For Team Foundation Server to work with an existing deployment of SharePoint Products and Technologies, the deployment must meet the following requirements:

  • If SharePoint Products and Technologies is installed on the same computer as SQL Server Reporting Services, you must extend the Base URL from the site that is named Default Web Site, and you must use port 80. If Reporting Services and SharePoint Products and Technologies are not configured to use the same Web site, Team Foundation Server will not work.

  • If SharePoint Products and Technologies is not installed on the same computer as Reporting Services, you can extend the Base URL from any Web site and use any port, including port 80.

  • You must know the URL and the port number of the SharePoint Central Administration site. You can find this information in Internet Information Services (IIS) Manager.

  • When you install Team Foundation Server, you must provide the Base URL (which includes the port number for SharePoint Products and Technologies), the SharePoint Central Administration URL, and the administration port number. If the installation wizard does not find a valid deployment of SharePoint Products and Technologies at the location that you specify, Team Foundation Server will not be installed. For more information, see How to: Install Team Foundation Server.

  • For more information about how to use an existing installation of SharePoint Products and Technologies, see How to: Verify an Existing Installation of SharePoint Products and Technologies.

Installing Team Foundation Server Extensions for SharePoint Products and Technologies

If you are using an existing deployment of SharePoint Products and Technologies that is not located on the application-tier server, you must install Team Foundation Server Extensions for SharePoint Products and Technologies after you install Team Foundation Server and before you can connect to SharePoint Products and Technologies. For more information, see How to: Install Windows SharePoint Services Extensions for Team Foundation Server.


How to: Install SharePoint Products and Technologies on Windows Server

[image]

Visual Studio Team System
How to: Install SharePoint Products and Technologies on Windows Server
See Also Send Feedback

You can install SharePoint Products and Technologies before you install Visual Studio Team System Team Foundation Server, or you can install Windows SharePoint Services 3.0 and Team Foundation Server at the same time.

On Windows Server 2008, you can install Windows SharePoint Services 3.0, but you must install it with Service Pack 1 (SP1) for that product. You can meet this requirement in either of two ways. One, you can install Windows SharePoint Services 3.0 with its SP1 before you install Team Foundation Server. Two, you can integrate files from the installation DVD for Team Foundation Server with files for its SP1. If you integrate those files and then run the installation wizard for Team Foundation Server, you can automatically install Windows SharePoint Services 3.0 with its SP1. For more information, see How to: Integrate the Installation of Team Foundation Server and Service Pack 1. For more information about the prerequisites for SharePoint Products and Technologies, see one of the following topics on the Microsoft Web site.

Windows SharePoint Services 3.0 | Prepare the front-end Web servers (Windows SharePoint Services)
Microsoft Office SharePoint Server 2007 | Install Microsoft Office SharePoint Server 2007 on a standalone computer
Windows SharePoint Services 2.0 | System Requirements for Windows SharePoint Services 2.0

Required Permissions

To perform this procedure, your account must be a member of the Administrators security group on the computer where you intend to install SharePoint Products and Technologies. You can use the same account to install Team Foundation Server and SharePoint Products and Technologies. For more information, see Accounts Required for Installation.

Install .NET Framework 3.0

Before you manually install SharePoint Products and Technologies on a server that is running Windows Server 2008, you must use Server Manager to install .NET Framework 3.0. This procedure does not apply to Windows Server 2003.

To install .NET Framework 3.0 on Windows Server 2008

  1. Click Start, point to Programs, point to Administrative Tools, and then click Server Manager.

  2. In the tree pane, click Features.

  3. In the details pane, click Add Features.

    The Add Features Wizard starts.

  4. On the Select Features page, expand .NET Framework 3.0 Features, select the .NET Framework 3.0 check box, and click Next.

  5. On the Confirm Installation Selections page, review the installation information.

  6. If the information is correct, click Install. To make corrections, click Previous.

  7. After the Add Features Wizard installs .NET Framework 3.0, click Close.

Install SharePoint Products and Technologies

On Windows Server 2008, you must download the installation program that includes Service Pack 1 for SharePoint Products and Technologies. You can download this installation program from the Microsoft Download Center. This requirement does not apply to Windows Server 2003.

To install SharePoint Products and Technologies and prepare to install Team Foundation Server

  1. Perform one of the following tasks:

    • To install Windows SharePoint Services 3.0 or Microsoft Office SharePoint Server 2007 on Windows Server 2003, insert the installation media for that product, and launch the installation wizard.

    • To install Windows SharePoint Services 3.0 on Windows Server 2003, insert the installation media for Team Foundation Server, browse to the AT\WCU\WSS directory on that media, and run the file SharePoint.exe.

    • To install Windows SharePoint Services 3.0 on Windows Server 2003 or Windows Server 2008, download it from the Microsoft Download Center, and launch the installation wizard.

  2. On the Read the Microsoft Software License Terms page, read the agreement. If it is acceptable, select the I accept the terms of this agreement check box, and then click Continue.

  3. If you are installing Windows SharePoint Services 3.0, on the Choose the installation you want page, click Advanced. Otherwise, proceed to the next step.

  4. On the Server Type tab, click Web Front End.

  5. (Optional) On the Feedback tab, specify an option. For more information about the program, click the link. You must have an Internet connection to view the program information.

  6. Click Install Now.

    When the Setup wizard finishes, a dialog box appears that prompts you to complete the configuration of your server.

  7. In that dialog box, be sure that the Run the SharePoint Products and Technologies Configuration Wizard now check box is selected.

  8. Click Close to start the configuration wizard.

  9. On the Welcome to SharePoint Products and Technologies page, click Next.

  10. On the Connect to a server farm page, click No, I want to create a new server farm, and then click Next.

  11. On the Specify Configuration Database Settings page, perform the following steps:

    1. In Database server, type the name of the server that is running SQL Server and which you will use for Team Foundation Server. If you will use a named instance, add its name after the name of the database server, separated by a slash (for example, MyDatabaseServer\MyInstanceName).

    2. In Database name, type the name of the database that you want to use, or accept the default value.

    3. Under Specify Database Access Account, in Username, type the name of the user account that you want to use as the service account for SharePoint Products and Technologies.

      You can use the same service account that you will use for Team Foundation Server (referred to as TFSSERVICE).

    4. In Specify Database Access Account, in Password, type the password for the service account.

    5. After you fill in all the required information, click Next.

  12. On the Configure SharePoint Central Administration Web Application page, select the Specify port number check box, and type the port number that you want to use for SharePoint Products and Technologies administration. Make a careful note of this port number for your records, because you will need this information when you install Team Foundation Server.

  13. In Configure Security Settings, click NTLM, and then click Next.

  14. On the Completing the SharePoint Products and Technologies Configuration Wizard page, review the information. If it is correct, click Next. If you must make any changes, click Back, and update the information.

  15. On the Configuration Successful page, click Finish.

  16. Open a Command Prompt window on the server that is running SharePoint Products and Technologies.

    Note Note:

    To perform this step on Windows Server 2008, you must open an elevated command prompt. This step is required even if you log on with administrative credentials. To open an elevated command prompt, click Start, right-click Command Prompt, and then click Run as Administrator.

  17. Change directories to the following:

    Drive:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\12\bin\

  18. At the command prompt, type the following command, replacing the placeholders as specified.

    stsadm.exe -o extendvs -exclusivelyusentlm -url http://WSSServerName:80 -ownerlogin Domain\UserName -owneremail "admin@localhost" -sitetemplate sts -description "Default Web Site"

    • WSSServerName is the name of the server that is running SharePoint Products and Technologies.

    • Domain\UserName is the domain and user name of the account that you specified above as the database access account.

    • Default Web Site is a brief description of the site. If you specify Default Web Site as the description, you can extend the default Web site. This approach is helpful if you want the Report Server site and the SharePoint Products and Technologies site to share the same site. If you specify any other string for the description, stsadm.exe shuts down the Default Web Site and creates a separate site.

  19. At the command prompt, type the following command, and replace these strings as described in the previous step:

    stsadm.exe -o siteowner -url http://WSSServerName:80 -secondarylogin Domain\TFSSETUP

  20. If necessary, restart any services.

See Also

Tasks

How to: Install SQL Server 2005 in a Single-Server Deployment
How to: Install SQL Server 2008 in a Single-Server Deployment
How to: Install SQL Server 2005 in a Dual-Server Deployment
How to: Install SQL Server 2008 in a Dual-Server Deployment

Concepts

Choosing a Deployment for SharePoint Products and Technologies


How to: Install Windows SharePoint Services Extensions for Team Foundation Server

[image]

Visual Studio Team System
How to: Install Windows SharePoint Services Extensions for Team Foundation Server
See Also Send Feedback

If SharePoint Products and Technologies is not located on the application-tier server, you must install Windows SharePoint Services Extensions for Team Foundation Server on the server where you installed SharePoint Products and Technologies. Before you proceed, you need the name of the server on which SQL Server Reporting Services is installed. By default, it is located on the application-tier computer and uses port 80.

Note Note:

If SharePoint Products and Technologies is located on the application-tier server, you do not need to install these extensions. They are automatically installed with Team Foundation Server.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

To install Windows SharePoint Services Extensions for Team Foundation Server on a server other than the application-tier server

  1. Log on to the server that is running SharePoint Products and Technologies using an appropriate account (for example, Domain\TFSSETUP).

  2. Insert the installation medium for Team Foundation Server.

    The Team Foundation Server Setup wizard starts.

    Note Note:

    If the wizard does not launch automatically, open the \wssext\cd directory from the installation DVD, double-click setup.exe, and skip to step 5.

  3. Click Windows SharePoint Services Extensions, and then click Install.

  4. On the Welcome page, click Next.

  5. On the License Terms page, read the license terms, click I accept, and then click Next.

  6. On the Destination Folder page, specify where to install Windows SharePoint Services Extensions for Team Foundation Server.

  7. On the Ready to Install page, click Install.

  8. On the Setup Completed Successfully page, click Finish.

  9. In the Team Foundation Server SharePoint Configuration dialog box, type the appropriate URLs, and then click Apply.

  10. When prompted, click OK.

  11. In the Team Foundation Server SharePoint Configuration dialog box, click Exit.

See Also

Concepts

Accounts Required for Installation


How to: Verify an Existing Installation of SharePoint Products and Technologies

[image]

Visual Studio Team System
How to: Verify an Existing Installation of SharePoint Products and Technologies
See Also Send Feedback

Updated: July 2010

When you install Visual Studio Team System Team Foundation Server, you can either install Windows SharePoint Services 3.0 at the same time, or you can specify an existing installation of SharePoint Products and Technologies. Before you specify an existing installation, you should verify that it meets the following guidelines:

  • The administration site, default Web site, and reporting site are running. You must be able to connect to each of these sites from other computers on the network.

  • The port numbers for SharePoint Products and Technologies and the SharePoint Central Administration site have been added to your firewall. For more information, see Ports Required for Installation.

  • If the deployment of SharePoint Products and Technologies includes Windows SharePoint Services 2.0:

    • Service Pack 2 (SP2) must be installed.

    • The default Web site must be named Default Web site and configured to use port 80. Installation might fail if the default Web site uses a different name or port number.

  • If the deployment of SharePoint Products and Technologies includes Windows SharePoint Services 3.0 or Microsoft Office SharePoint Server 2007:

    • The default Web site must be configured to use NTLM authentication.

    • You must install Windows SharePoint Services Extensions for Team Foundation Server. For more information, see How to: Install Windows SharePoint Services Extensions for Team Foundation Server.

      Tip Tip:

      You only have to manually install Windows SharePoint Services Extensions for Team Foundation Server if SharePoint Products and Technologies is not installed on the application-tier. If SharePoint Products and Technologies is already on the application tier, the extensions are installed during Team Foundation Server installation.

    • If you are running the version of Team Explorer for Visual Studio 2005, you must upgrade client computers on which you create team projects. For more information, see "How to: Upgrade Team Explorer for New Releases of SharePoint Products and Technologies" on the Microsoft Web site.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the local computer. For more information, see Accounts Required for Installation.

To verify an existing deployment of SharePoint Products and Technologies

  1. Verify that the SharePoint Central Administration site is working correctly:

    • Open Internet Information Services (IIS) Manager, review the properties of the site, and determine the port number that it requires.

    • In an Internet browser, browse to http://ServerName:AdminPortNumber, replacing ServerName and AdminPortNumber with the correct values.

    • Ensure that this site is visible from other computers on the network.

      If the site is not visible, see the documentation for SharePoint Products and Technologies to troubleshoot your site configuration.

    • On the Central Administration page, click the Application Management tab. Under SharePoint Site Management, click Site collection list to display the paths of the site collections. Use this information to determine the path of the collection on the default Web site. Typically, this path is the name of the server followed by sites (http://ServerName/sites), but the path might be different on a localized installation.

  2. Verify that the default Web site is working correctly:

    • In an Internet browser, browse to http://ServerName, replacing ServerName with the correct value.

      If you configured your deployment of SharePoint Products and Technologies to use a different location (for example, http://ServerName/sites) or a different port number, use those settings instead.

    • Ensure that this site is visible from other computers on the network.

      If the default Web site is not visible, see the documentation for SharePoint Products and Technologies to troubleshoot your site configuration.

  3. Verify that the port numbers for SharePoint Products and Technologies and the SharePoint Central Administration site have been added to your firewall. For more information, see How to: Specify and Verify Port Settings.

For more information about how to deploy and configure Windows SharePoint Services 2.0, see the Administrator's Guide for Windows SharePoint Services on the Microsoft Web site.

For more information about how to deploy and configure Windows SharePoint Services 3.0, see "Deployment for Windows SharePoint Services 3.0 technology" on the Microsoft Web site.

For more information about how to deploy and configure Microsoft Office SharePoint Server 2007, see "Deployment for Microsoft Office SharePoint Server 2007" on the Microsoft Web site.

See Also

Tasks

How to: Install SharePoint Products and Technologies on Windows Server
How to: Install SQL Server 2005 in a Single-Server Deployment
How to: Install SQL Server 2005 in a Dual-Server Deployment

Concepts

Choosing a Deployment for SharePoint Products and Technologies

Change History

Date | History | Reason
July 2010 | Added note that installing Windows SharePoint Services Extensions for Team Foundation Server only required if SharePoint Products and Technologies not installed on application-tier. | Customer feedback.


Configuring Servers for Team Foundation Cluster Installation

[image]

Visual Studio Team System
Configuring Servers for Team Foundation Cluster Installation
See Also Send Feedback

You can configure multiple computers to act as a clustered data tier for Team Foundation Server. This provides continuous service in case a data-tier computer fails or needs to be removed from the network.

In This Section

Checklist: Data Tier Cluster Deployment

Use these guidelines to install the data-tier in a cluster.

How to: Prepare a Server for Accelerated Recovery in a Cluster

Shows you how to use a script file to explicitly restart services between the clustered data tier and the application tier.

Related Sections

Installing Team Foundation Server

Use the procedures in this section to install and configure Team Foundation Server.

See Also

Concepts

Visual Studio Team Foundation Installation


Checklist: Data Tier Cluster Deployment

[image]

Visual Studio Team System
Checklist: Data Tier Cluster Deployment
See Also Send Feedback

To provide maximum availability for Team Foundation Server, you can install the data tier in a cluster. Use this checklist to install Team Foundation Server in a cluster configuration.

Data Tier Prerequisites for Cluster Deployment

Use the following checklist to be sure your data-tier server is correctly configured for Team Foundation Server cluster deployment.

Done

Step

From the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79226), download the most current available version of the Team Foundation Installation Guide.

Install Windows Server 2003 Enterprise Edition or Windows Server 2003 Datacenter Edition.

Configure a single quorum cluster that supports at least two nodes configured for active/passive mode.

On the active node, install Microsoft SQL Server 2005 Standard or Enterprise Edition.

  • You can specify either the default instance of SQL Server or a named instance.

  • Use the Team Foundation Server service account (for example, Domain\TFSSERVICE) as the SQL service account.

  • Be sure the Analysis component is included in the installation.

  • Do not install Reporting Services.

  • Use a static IP address for both the virtual server name of the cluster and the virtual server name of the SQL Server.

  • For more information, see How to: Install SQL Server 2005 in a Dual-Server Deployment.

Install Microsoft SQL Server 2005 Service Pack 1 (SP1) or Service Pack 2 (SP2). You do not have to install SP1 to get the updates available in SP2. Team Foundation Server supports either configuration.

For more information, see How to: Install SQL Server 2005 in a Dual-Server Deployment.

Verify your Microsoft SQL Server 2005 installation.

For more information, see How to: Verify SQL Server 2005 or SQL Server 2008 or "How to: Verify a Successful Installation of SQL Server 2005 Services" in SQL Server Books Online (http://go.microsoft.com/fwlink/?LinkId=60404).

Verify that the appropriate ports are open on all nodes.

If you are using Windows Firewall or another firewall software or hardware solution, you should be sure that the required ports are open to enable communication between components.

For more information, see Ports Required for Installation.

Team Foundation Server Installation

You must install the application services on a computer outside the cluster. Only the Team Foundation Server databases can reside in a cluster.

Done

Step

Verify that the application-tier computer meets the hardware and software requirements.

For more information, see System Requirements for Team Foundation Server.

Add the setup account to the local administrators group.

In this guide, the setup account is referred to as Domain\TFSSETUP. For more information, see Accounts Required for Installation.

Log on to the application-tier computer with the setup account.

Install Internet Information Services (IIS) 6.0 and enable ASP.NET.

Important note Important Note:

Do not install FrontPage Server Extensions.

For more information, see How to: Install Internet Information Services 6.0 on Windows Server 2003.

Install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

Important note Important Note:

You do not need to configure the Report Server. The Team Foundation Server setup wizard configures the Report Server for you.

Install the security update for MSXML 6.0 Parser as described in the Knowledge Base article 925673.

  • You might have this security update already installed on the application-tier server. If it is, you do not need to install it again.

  • If this update is not already installed, locate it at the Microsoft Download Center.

  • Locate the executable file for your platform (for example, msxml6-KB925673-enu-x86.exe), and then double-click the file to install the update.

For more information about this update, see "MS06-061: Security update for Microsoft XML Core Services 6.0" in the Microsoft Knowledge Base on the Microsoft Web site.

If you want Team Foundation Server to use an existing installation of SharePoint Products and Technologies, be sure that it is currently installed on the application-tier computer or on a separate computer.

For more information, see How to: Verify an Existing Installation of SharePoint Products and Technologies.

Important note Important Note:

If you want to configure Team Foundation Server to use a new Windows SharePoint Services 3.0 deployment on the application-tier computer, do not install Windows SharePoint Services 3.0 now. It can be installed later automatically by the Team Foundation Server setup wizard. For more information, see How to: Install Team Foundation Server.

Install Team Foundation Server.

For more information, see How to: Install Team Foundation Server.

Important note Important Note:

On the Team Foundation Database Server page, be sure to enter the virtual server name of the data tier cluster.

Verify that the appropriate ports are open.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should be sure that the required ports are open to enable communication between components.

For more information, see Ports Required for Installation.

Install Team Explorer on the application-tier computer or on a different computer.

For more information, see Installing Team Explorer.

See Also

Tasks

How to: Install SQL Server 2005 in a Dual-Server Deployment
How to: Verify SQL Server 2005 or SQL Server 2008
How to: Install Internet Information Services 6.0 on Windows Server 2003
How to: Verify an Existing Installation of SharePoint Products and Technologies
How to: Install Team Foundation Server

Concepts

System Requirements for Team Foundation Server
Accounts Required for Installation
Ports Required for Installation

Other Resources

Repairing and Troubleshooting Team Foundation
Installing Team Explorer


How to: Prepare a Server for Accelerated Recovery in a Cluster

[image]

Visual Studio Team System
How to: Prepare a Server for Accelerated Recovery in a Cluster
Example See Also Send Feedback

As a Team Foundation Administrator, you can use a script file to explicitly restart Internet Information Services (IIS) on the application tier from the data tier in a cluster. Although SQL Server 2005 eventually repairs invalid connections and restarts the application pools after initiating fail-over, you can provide a more timely recovery by adding a resource to the data-tier cluster. The resource contains a script that updates the connections and restarts IIS.

The following procedures assume that you have a data-tier server that is running in a cluster and that you have a working application-tier server.

Required Permissions

To perform this procedure, you must be a member of the Cluster Administrator security group.

To add a resource to the data-tier cluster

  1. Log on to the active node of the cluster.

    Note Note:

    The passive node accepts only the connections that were established to the active node. If you try to log on to the passive node, you will get an error message.

  2. In a text editor, create a script file that uses Windows Management Instrumentation (WMI) to query the application pool processes and reset each process.

    Note Note:

    In Visual Studio, you can quickly create the script file by using either the VBScript or JScript Web templates and adding the script from the example that is provided in this topic. You must replace the placeholder for the name of the application-tier server with the server name appropriate for your system.

  3. Save the file to an appropriate drive and directory.

  4. Click Start, click Programs, click Administrative Tools, and then click Cluster Administrator.

  5. Right-click the Resources node, click New, and then click Resources.

  6. In the New Resource wizard, type a name for the resource, and then click Generic Script for the Resource Type.

    For example, you might provide the following information.

    • Name: TFS IIS Reset

    • Description: Points to TFS_IIS_RESET.vbs which resets IIS connections to the application tier.

    • Resource type: Generic Script

    • Group: Cluster Group

  7. On the Possible Owners page, verify that the two computers in the cluster are in the Possible Owners list.

  8. On the Dependencies page, select and click Add for each resource in the Available Resources box to move the resources to the Dependencies box.

    By adding all resources as dependencies, you make sure that the new resource is the last resource brought online.

  9. On the Generic Script Parameters page, type the path and name of the script file, and then click Finish.

    Note Note:

    If the file path is long, you can locate the file in Windows Explorer and view the file's properties. On the General tab, you can select and copy the path from the Location and paste the text into the wizard. You have to type the file name.

  10. In the Cluster Administrator, right-click the resource for the script you added and then click Bring Online.

Example

In Visual Studio, you can create a script file by using the Web template for VBScript available in the New File dialog box. The following example implements the routines of the Cluster API to control the operating system by using the WMI. The Online function queries the IIS application pool and starts each process in the pool. The Offline function queries the IIS application pool and stops each process. The LooksAlive and IsAlive functions of the Cluster API set the status information that is used by the Resource Monitor.

Note Note:

Be sure to replace the placeholder for the name of the application-tier server, TFS AT Name, with the server name for the application tier in your system.

Copy image Copy Code
Sub Open( )
End Sub

Function Close( )
End Function

Function Online( )
strComputer = "TFS AT Name"

Set objWMIService = GetObject _
    ("winmgmts:{authenticationLevel=pktPrivacy}\\" _
        & strComputer & "\root\microsoftiisv2")

Set colItems = objWMIService.ExecQuery _
    ("Select * From IIsApplicationPool")

For Each objItem in colItems
    objItem.Start
Next
End Function

Function Offline( )
strComputer = "TFS AT Name"

Set objWMIService = GetObject _
    ("winmgmts:{authenticationLevel=pktPrivacy}\\" _
        & strComputer & "\root\microsoftiisv2")

Set colItems = objWMIService.ExecQuery _
    ("Select * From IIsApplicationPool")

For Each objItem in colItems
    objItem.Stop
Next
End Function

Function Terminate( )
    Call Offline
End Function

Function LooksAlive ( )
    LooksAlive = True

End Function

Function IsAlive( )
   IsAlive= True
End Function

See Also

Tasks

Troubleshooting Installation for Team Foundation

Concepts

Accounts Required for Installation


Installing Team Foundation Server

[image]

Visual Studio Team System
Installing Team Foundation Server
Send Feedback

By following the procedures in this section, you can determine what kind of hardware Visual Studio Team System Team Foundation Server requires and how to install and configure Team Foundation Server in a single-server or dual-server deployment.

For more information, see Visual Studio Team Foundation Installation.

In This Section

System Requirements for Team Foundation Server

Describes the operating system requirements for Team Foundation Server and hardware recommendations for both the application tier and the data tier based on user load.

Language Requirements and Considerations (Installation)

Describes how to configure a single language for both Team Foundation Server and the operating system on which it runs, whether your deployment includes only one or more than one server.

How to: Install Team Foundation Server

Provides detailed instructions you can use to install and configure Team Foundation Server, whether the application and data tiers are on the same server (single-server deployment) or different servers (dual-server deployment).

Related Sections

Overview of Team Foundation Architecture

Provides links to topics about support for 64-bit operating systems, Active Directory domains, and the server software necessary for Team Foundation Server.

Security Issues for Team Foundation

Describes the accounts, ports, and other security-related information that you need to install Team Foundation Server.

Installing Team Foundation Build

Provides information about how to install and configure Team Foundation Build, which you can use to automate building and sharing solutions.

Installing Team Explorer

Provides links to topics about how to install and configure Team Explorer, which is a client component of Team Foundation.

Installing Team Foundation Server Proxy

Provides links to topics about how to install Team Foundation Server Proxy, which caches previously accessed files to improve performance when you download files from source control.


System Requirements for Team Foundation Server

[image]

Visual Studio Team System
System Requirements for Team Foundation Server
See Also Send Feedback

Team Foundation Server installations can be categorized as either single-server deployments or dual-server deployments.

Single-server deployments host both the application tier and the data tier on one server. The guidelines for single-server deployments are based on the following assumptions.

  • Your environment contains 450 Team Foundation Server users or less.

  • The server has a reliable network connection with a minimum bandwidth of 1 Mbps and a latency maximum of 350 ms.

  • The server meets the minimum system requirements for Team Foundation Server prerequisites, such as those required by SQL Server and SharePoint Products and Technologies.

Dual-server deployments host the application tier on one server and the data tier on a different server. The guidelines for dual-server deployments are based on the following assumptions.

  • Your environment contains up to 2,200 Team Foundation Server users.

  • The server has a reliable network connection with a minimum bandwidth of 1 Mbps and a latency maximum of 350 ms.

  • The server meets the minimum system requirements for Team Foundation Server prerequisites, such as those required by SQL Server and SharePoint Products and Technologies.

  • Team Foundation Server supports 64-bit operating systems only for its data tier. For more information, see 64-Bit Support in Team Foundation.

Caution note Caution:

You cannot install Team Foundation Server on a domain controller or a computer that is running other server products such as Exchange Server or Host Integration Server.

Software Requirements

All servers on which you install either Team Foundation Server as a single-server deployment or the application tier of a dual-server deployment must be running Internet Information Services (IIS). For more information, see How to: Install Internet Information Services 6.0 on Windows Server 2003 or How to: Install Internet Information Services 7.0 on Windows Server 2008.

All servers on which you install Team Foundation Server must be running one of the following operating systems:

  • Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition

  • Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition

  • Windows Server 2003 with Service Pack 1 (SP1), Standard Edition

  • Windows Server 2003 with Service Pack 2 (SP2), Datacenter Edition

  • Windows Server 2003 with Service Pack 2 (SP2), Enterprise Edition

  • Windows Server 2003 with Service Pack 2 (SP2), Standard Edition

  • Windows Server 2003 R2, Datacenter Edition

  • Windows Server 2003 R2, Enterprise Edition

  • Windows Server 2003 R2, Standard Edition

  • Windows Server 2003 R2, Datacenter Edition with Service Pack 2 (SP2)

  • Windows Server 2003 R2, Enterprise Edition with Service Pack 2 (SP2)

  • Windows Server 2003 R2, Standard Edition with Service Pack 2 (SP2)

  • Windows Server 2008

Hardware Recommendations for the Application Tier

Configuration | CPU | Hard Disk | Memory | Comments
Fewer than 20 users | 1 processor, 2.2 GHz | 8 GB | 1 GB | Installed on the same computer as the logical data tier (single-server)
20 to 250 users | 1 processor, 3.6 GHz | 230 GB | 2 GB | Installed on the same computer as the logical data tier (single-server)
250 to 450 users | 2 processors, 2.8 GHz | 500 GB | 4 GB | Installed on the same computer as the logical data tier (single-server)
450 to 2,200 users | 2 processors, 2.8 GHz | Dual drives or drive arrays, 31 GB and 136 GB | 3.5 GB | Installed on a different computer from the logical data tier (dual-server)
2,200 to 3,600 users | 4 processors, 2.2 GHz | Dual drives or drive arrays, 31 GB and 136 GB | 3.5 GB | Installed on a different computer from the logical data tier (dual-server)

Hardware Recommendations for the Data Tier

Configuration | CPU | HD | Memory | Comments
Fewer than 20 users | 1 processor, 2.2 GHz | 8 GB | 1 GB | Installed on the same computer as the logical application tier (single-server)
20 to 250 users | 1 processor, 3.6 GHz | 230 GB | 2 GB | Installed on the same computer as the logical application tier (single-server)
250 to 450 users | 2 processors, 2.8 GHz | 500 GB | 4 GB | Installed on the same computer as the logical application tier (single-server)
450 to 2,200 users | 4 processors, 2.6 GHz | Dual drives or drive arrays, 480 GB and 3.75 TB | 8 GB | Installed on a different computer from the logical application tier (dual-server)
2,200 to 3,600 users | 8 processors, 2.6 GHz | Dual drives or drive arrays, 480 GB and 3.75 TB | 16 GB | Installed on a different computer from the logical application tier (dual-server)

See Also

Tasks

How to: Install Team Explorer Prerequisites

Concepts

Visual Studio Team Foundation Installation
Logical and Physical Architecture

Reference

Checklist: Dual-Server Team Foundation Server Installation
Checklist: Configure a Standby Server for the Application Tier
Checklist: Data Tier Cluster Deployment


Language Requirements and Considerations (Installation)

[image]

Visual Studio Team System
Language Requirements and Considerations (Installation)
See Also Send Feedback

Whether you deploy Visual Studio Team System Team Foundation Server on one computer or two, you must configure your logical deployment to support a single language for both Team Foundation Server and the operating system.

The following table illustrates the various language configurations that are supported:

Operating System | SharePoint Products and Technologies | Team Foundation Server | Team Foundation Build computer
English | English | English | English Other
 | Matching Language Pack | Other | English Other
Other | English Language Pack | English | English Other
 | Matching Language Pack | Other | English Other

You can install an English version of Team Foundation Server on any operating system. You can install a localized version of Team Foundation Server on the same language operating system or on an English operating system. For example, you can install a Japanese version of Team Foundation Server on an English or Japanese version of Windows Server 2003 but not on a German version of Windows Server 2003.

You must install the language pack for SharePoint Products and Technologies that matches the Team Foundation Server language. For example, if you deploy the English version of Team Foundation Server on an operating system that is localized for another language, you must install the English language pack for SharePoint Products and Technologies. If you deploy a Japanese version of Team Foundation Server on an English operating system, you must install the Japanese language pack for SharePoint Products and Technologies.

You can install a version of Team Foundation Build in a different language from your version of Team Foundation Server.

See Also

Other Resources

Installing Team Foundation Server


How to: Install Team Foundation Server

[image]

Visual Studio Team System
How to: Install Team Foundation Server
See Also Send Feedback

These procedures show you how to install Visual Studio Team System Team Foundation Server. To upgrade an existing deployment of Team Foundation Server, see Upgrading Your Team Foundation Server.

Before you install Team Foundation Server, be sure Microsoft SQL Server 2005 Standard or Enterprise Edition is installed and is running on the data-tier server. Be sure you have installed all prerequisites. For more information, see Checklist: Single-Server Team Foundation Server Installation or Checklist: Dual-Server Team Foundation Server Installation.

Important note Important Note:

You can successfully install Team Foundation Server using many different configurations. Be sure to review the procedural steps carefully before you start the installation. For information about troubleshooting the installation, see Repairing and Troubleshooting Team Foundation.

By default, the Setup program for Team Foundation Server installs Windows SharePoint Services 3.0 on the application-tier server. However, you can use an existing deployment of SharePoint Products and Technologies, or you can install SharePoint Products and Technologies on the application-tier server or on another computer before you install Team Foundation Server. For more information, see Logical and Physical Architecture. If you install SharePoint Products and Technologies before you install Team Foundation Server, see How to: Verify an Existing Installation of SharePoint Products and Technologies.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is added automatically to the Team Foundation Administrators security group during the installation process. For more information, see Accounts Required for Installation.

Installing Team Foundation Server

To install Team Foundation Server

  1. Be sure you have installed the necessary prerequisites for Team Foundation Server.

    For more information, see Installing Prerequisites for Team Foundation Server.

  2. Log on to the server that you intend to use as the Team Foundation application tier using an account that has the required permissions (for example, Domain\TFSSETUP). For more information, see Accounts Required for Installation.

  3. Insert the installation media.

  4. Modify an msiproperty.ini file only if you need to support one of the following custom deployments:

    • Custom port assignments

    • Deploy Team Foundation Server with SQL Server Reporting Services on a remote server

    • Deploy SQL Server Analysis Services on a remote server

    • Deploy Team Foundation Server without SQL Server Browser service running

    For information about how to support these custom deployments, see How to: How to: Customize Deployment of Team Foundation.

  5. On the Team Foundation Server Setup page, click Team Foundation Server, and then click Install.

    A file download window appears and copies the setup files to your computer. This might take a few minutes.

    The Microsoft Visual Studio 2008 Team Foundation Server Setup wizard starts.

    Note Note:

    If the Team Foundation Server Setup page does not appear, double-click the autorun file (autorun.exe) in the root folder on the installation media.

  6. On the Welcome to Setup page, click Next.

  7. On the License Terms and Product Key page, type in the product key, and review the licensing terms. If you accept the terms and conditions, select the I accept the terms of the License Agreement check box, and then click Next.

    Note Note:

    The Next button will not be active until you select the I accept the terms of the License Agreement check box.

  8. On the Destination Folder page, accept the default destination folder or specify a different destination folder, and then click Next.

  9. On the Team Foundation Database Server page, type the name of the server that hosts the Team Foundation database, and then click Next.

    Important note Important Note:

    If you specified a named instance when you installed Microsoft SQL Server 2005, you must specify the named instance here. Use the form MyServername\MyInstanceName. If you want to connect to a data-tier cluster, specify the virtual server name of the cluster. For more information, see Specifying the Location of the Data Tier.

  10. On the System Health Check page, the setup wizard scans for conditions that could cause setup to fail or cause issues later during server operation.

    When the health check is complete, examine any warnings or blocks by clicking the Click here link on the setup page.

    • You must address blocks before you continue setup. Once you have addressed the issues, click Rescan to perform the system health check again. If no issues are found, click Next.

    • You should address warnings before you continue, but these warnings should not keep you from completing your setup. You can click Next.

    • If you do not see any blocks or warnings, click Next.

    The setup wizard tries to connect to the database server you specified on the Team Foundation Database Server page. Depending on the result of this attempt, perform one of the following steps:

    • If the system does not detect any database problems, the setup wizard moves directly to the Team Foundation Server Service Account page of the setup wizard.

    • If the system detects any database problems, the Database Tier Inspection Information page displays additional information. You must address these issues before you can continue the setup process. For more information about fixing problems encountered during the database tier inspection, see Database Tier Inspection Information.

    • If you are upgrading an existing Team Foundation Server deployment, the Database Tier Inspection Information page appears. It will instruct you to perform a backup of the existing database. For more information about upgrading an existing Team Foundation Server deployment, see How to: Upgrade Team Foundation Server.

  11. On the Team Foundation Server Service Account page, click Specify an account.

    1. Type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box. To specify a workgroup account, you must use the format ComputerName\AccountName.

    2. Type the password in the Password box, and click Next.

    Note Note:

    To specify the built-in account NetworkService as the Team Foundation Server service account, see Specifying a Service Account for Team Foundation.

  12. On the Reporting Services Data Source Account page, click Use Team Foundation Server service account, and then click Next.

    Note Note:

    To specify a different domain account as the Reporting Services service account, see Specifying a Service Account for SQL Server Reporting Services.

  13. On the Windows SharePoint Services page, click Install and configure Windows SharePoint Services 3.0 on this computer, and then click Next.

    To use an existing deployment of SharePoint Products and Technologies, see Choosing a Deployment for SharePoint Products and Technologies.

  14. On the Windows SharePoint Services Service Account page, select Use Team Foundation Server service account, and then click Next.

    To specify a different domain account as the Windows SharePoint Services service account, see Specifying the Service Account for SharePoint Products and Technologies.

    Important note Important Note:

    If you are upgrading Team Foundation Server, or if you are using an existing deployment of SharePoint Products and Technologies, the Windows SharePoint Services Service Account page will not appear in the setup wizard. For more information about upgrading Team Foundation Server, see How to: Upgrade Team Foundation Server. For more information about using an existing deployment of SharePoint Products and Technologies, see Specifying the Service Account for SharePoint Products and Technologies.

  15. On the Specify Alert Settings page, you can optionally select Enable Team Foundation Alerts.

    1. In the SMTP server box, type the name of the server that you will use to send e-mail notifications.

    2. In the From e-mail address box, type the name of the e-mail address from which notifications appear to come, and then click Next.

  16. On the Ready to Install page, review the components and settings. If they are correct, click Install. If you want to change any of the settings, click Previous.

  17. On the Installing Components page, monitor the installation of Team Foundation Server.

  18. On the Setup Completed Successfully page, verify that the installation is complete, and then click Finish.

    If the setup process fails, use the link to the setup log on the Setup Failed page to investigate the reason for the failure. For more information about troubleshooting the setup process, see Repairing and Troubleshooting Team Foundation.

    Note Note:

    If you did not previously install Microsoft SQL Server 2008 or QFE KB925673 for MSXML 6.0 Parser on your application-tier computer, you might be required to reboot your computer to complete the setup process.

The following steps are not required to create team projects, but are part of best practices for managing Team Foundation Server

  • After installing Team Foundation Server, you should back up the Reporting Services Encryption key using the Reporting Services Configuration Tool. For more information, see "How to: Back Up the Reporting Services Encryption Key" in the Team Foundation Server Administrator's Guide on MSDN.

  • After installing Team Foundation Server, you might also want to install Team Explorer or Team Foundation Build.

See Also

Tasks

How to: Upgrade Team Foundation Server
Troubleshooting Installation for Team Foundation

Concepts

Accounts Required for Installation
Specifying the Location of the Data Tier
Database Tier Inspection Information
Specifying a Service Account for Team Foundation
Specifying a Service Account for SQL Server Reporting Services
Choosing a Deployment for SharePoint Products and Technologies
Specifying the Service Account for SharePoint Products and Technologies

Reference

Checklist: Dual-Server Team Foundation Server Installation

Other Resources

Installing Team Foundation Server
Installing Team Foundation Build
Installing Team Foundation Server Proxy


How to: Customize Deployment of Team Foundation

[image]

Visual Studio Team System
How to: Customize Deployment of Team Foundation
See Also Send Feedback

You can customize your deployment of Team Foundation by modifying properties that are defined in an msiproperty.ini file. You should make these modifications before you run the installation wizard for Team Foundation Server.

Note Note:

You should modify a property only when you must customize a deployment of Team Foundation. You should modify only those properties that this topic describes. You should never modify a property in an msiproperty.ini file if you can specify it instead in the installation wizard for Team Foundation Server.

To customize your deployment of Team Foundation, you should follow one or more procedures that meet your requirements:

  • How to Change the msiproperty.ini file

  • How to Customize the Team Foundation Server Port Assignment

  • How to Deploy Team Foundation Server with SQL Server Reporting Services on a Remote Server

  • How to Deploy Team Foundation Server with SQL Server Analysis Services on a Remote Server

  • How to Deploy Team Foundation Server without SQL Server Browser Service Running

    Note Note:

    Several of these procedures describe how to modify port assignments. When you run the installation wizard for Team Foundation Server, the installation process will automatically open the ports that are defined in the msiproperty.ini file if you are installing Team Foundation Server on a computer that is running Windows Firewall. If you are using another software or hardware solution for firewall protection, you must open the ports manually. For more information, see the documentation for your firewall solution.

For more information about the ports that are used in a deployment of Team Foundation, see Ports Required for Installation.

How to change an msiproperty.ini file

You might want to change either or both of two msiproperty.ini files to customize a deployment of Team Foundation. One file affects Team Foundation Server, and the other affects Team Foundation Server Proxy.

To change an msiproperty.ini file

  1. Copy the contents of the installation media into a folder on a network drive (for example, InstallFolder).

  2. Open the appropriate msiproperty.ini file in a text-based editor.

    By default, the msiproperty.ini files are located in the following directories:

    Software

    Directory

    Team Foundation Server

    Drive:\InstallFolder\AT

    Team Foundation Server Proxy

    Drive:\InstallFolder\Proxy

  3. In the msiproperty.ini file, change the value of the property that you want to customize. For example, to change the port that is assigned to the Team Foundation Server site, change the value of the VSTF_WEBSITE_PORT property to the new port number, NewPortNumber:

    VSTF_WEBSITE_PORT=NewPortNumber

  4. Save the file, and close the text-based editor.

How to Customize the Port Assignment for Team Foundation Server

For Team Foundation Server, the default port assignment is 8080; for Team Foundation Server Proxy, it is 8081. You can assign a different port number in each case by modifying the corresponding msiproperty.ini file. You must assign a dedicated port for Team Foundation Server and for Team Foundation Server Proxy.

To customize a port assignment

  1. Perform one of the following steps:

    1. To change the port assignment for Team Foundation Server, open the msiproperty.ini file in the AT directory.

    2. To change the port assignment for Team Foundation Server Proxy, open the msiproperty.ini file in the Proxy directory.

    For more information, see How to change the msiproperty.ini file.

  2. Locate the VSTF_WEBSITE_PORT property, and change its value to the port number that you want. Be sure to specify a dedicated port. For example, you can specify the following assignment:

    VSTF_WEBSITE_PORT=NewPortNumber

  3. Save and close the file.

  4. After you install Team Foundation Server, verify that the port settings are open. For information about how to verify the port settings, see How to: Specify and Verify Port Settings.

How to Deploy Team Foundation Server with SQL Server Reporting Services on a Remote Server

You can deploy SQL Server Reporting Services on a remote server, which is a server other than the application-tier server for Team Foundation. In this scenario, you can deploy Team Foundation Server and run SQL Server Reporting Services on any of the following types of servers:

  • The data-tier server for Team Foundation.

  • The same server on which SharePoint Products and Technologies is running.

  • A remote server anywhere on the network.

To deploy Team Foundation Server with SQL Server Reporting Services on a remote server

  1. Log on to the remote server, and install SQL Server Reporting Services. For more information, see How to: Install SQL Server Reporting Services in a Dual-Server Deployment.

  2. Log on to the application-tier server for Team Foundation, and open the msiproperty.ini file for Team Foundation Server. For more information, see How to change the msiproperty.ini file.

  3. In the msiproperty.ini file, change the following property:

    VSTF_RS_SERVER=ReportServer

    Replace ReportServer with the name of the remote server.

    Note Note:

    When SQL Server Reporting Services is hosted on the application-tier server, the value of VSTF_RS_SERVER must be [ComputerName].

  4. In the same directory as the msiproperty.ini file that you modified in the previous step, double-click setup.exe to start the installation wizard for Team Foundation Server.

  5. Install Team Foundation Server. For more information, see How to: Install Team Foundation Server.

  6. In Internet Explorer, open the URL for the SQL Server Reporting Services to verify that the Web site can be reached:

    http://ReportServer/ReportServer

How to Deploy Team Foundation Server with SQL Server Analysis Services on a Remote Server

You can deploy SQL Server Analysis Services on a server other than the data-tier server for Team Foundation. By taking this approach, you can deploy Team Foundation Server and run SQL Server Analysis Services on a different computer than that used for SQL Server Database Services. This kind of deployment supports load balancing requirements.

To deploy Team Foundation Server with SQL Server Analysis Services on a server other than the data-tier server

  1. Install SQL Server Analysis Services on the server referred to here as AnalysisServer. For information about how to install SQL Server Analysis Services, see How to: Install SQL Server 2005 in a Dual-Server Deployment.

  2. Log on to the application-tier server for Team Foundation, and open the msiproperty.ini file for Team Foundation Server. For more information, see How to change the msiproperty.ini file.

  3. Change the value of the VSTF_AS_INSTANCE property, replacing AnalysisServer with the name of the remote server on which you installed SQL Server Analysis Services:

    • For a non-named instance:

      VSTF_AS_INSTANCE=AnalysisServer

    • For a named instance:

      VSTF_AS_INSTANCE=AnalysisServer/InstanceName

    • For a named instance that is independent of SQL Server Browser Service and is associated with a dedicated port:

      VSTF_AS_INSTANCE=AnalysisServer:ASPortNumber

  4. In the same directory as the msiproperty.ini file that you modified in the previous step, double-click setup.exe to start the installation wizard for Team Foundation Server.

  5. Install Team Foundation Server. For more information, see How to: Install Team Foundation Server.

How to Deploy Team Foundation Server without SQL Server Browser Service Running

You can deploy Team Foundation Server without SQL Server Browser service running on the data-tier server.

Corporate security policies sometimes mandate running SQL Server without SQL Server Browser service. SQL Server Browser service is responsible for mapping SQLDatabaseServer/InstanceName to a specific server and port number.

Team Foundation Server uses both SQL Server database services and Analysis Services. To deploy Team Foundation Server in an environment independent of the SQL Server Browser service, you must run SQL Server services on dedicated ports and then install Team Foundation Server with these specific ports. You must specify dedicated ports for each SQL Server service.

By taking this approach, you can also deploy Team Foundation Server using an existing SQL Server cluster.

Note Note:

Before you complete this procedure, SQL Server database services and SQL Server Analysis Services must be installed. You can install these services on the same computer or on different computers.

To deploy Team Foundation Server without SQL Server Browser service running

  1. Log on to the application-tier server for Team Foundation, and open the msiproperty.ini file. For more information, see How to change the msiproperty.ini file.

  2. Change the following property, replacing AnalysisServer with the name of the server where SQL Server Analysis Services is installed and ASPortNumber with the number of the dedicated port that is assigned to that server.

    VSTF_AS_INSTANCE=AnalysisServer:ASPortNumber

  3. In the same directory as the msiproperty.ini file that you just modified, double-click setup.exe to start the installation wizard for Team Foundation Server.

  4. Install Team Foundation Server. For more information, see How to: Install Team Foundation Server.

  5. On the Team Foundation Database Server page of the wizard, type the name of the server and the port that hosts the database for Team Foundation, and then click Next.

    • For a non-named instance, specify:

      SQLDatabaseServer, SQLDBPort

    • For a named instance, specify:

      SQLDatabaseServer\InstanceName, SQLDBPort

    • For a database cluster, specify:

      SQLCluster\InstanceName, SQLDBPort

      Important note Important Note:

      Specify a comma for the separator in the installation wizard. This requirement is different from the colon separator used in the msiproperty.ini file.

  6. Finish the installation wizard.

  7. If required, log on to the server that is running SQL Server database services and SQL Server Analysis Services. Open SQL Server Configuration Manager, and stop the SQL Server Browser service.

See Also

Tasks

How to: Specify and Verify Port Settings
How to: Install SQL Server Reporting Services in a Dual-Server Deployment
How to: Install SQL Server Reporting Services in a Dual-Server Deployment
How to: Install Team Foundation Server

Concepts

Ports Required for Installation
Visual Studio Team Foundation Installation


Specifying a Destination Folder for Team Foundation Server Components

[image]

Visual Studio Team System
Specifying a Destination Folder for Team Foundation Server Components
See Also Send Feedback

This topic helps you decide where to install the application-tier components of Team Foundation Server.

Choosing an Installation Folder

This folder location determines where the Team Foundation Server setup wizard installs the files and folders needed by Team Foundation.

Note Note:

If you have a dual-server or multiple-server deployment, you must run the Team Foundation Server setup wizard on the application-tier server. The installation process for the data-tier server components is handled automatically by the setup wizard.

The setup wizard installs the Team Foundation program files to the destination folder you specify. The folder must be specified as a fully-qualified path (for example, c:\Program Files\Microsoft Visual Studio 9.0 Team Foundation Server).

To Specify an Installation Folder for Team Foundation Server Components

  1. To install to the default destination folder, click Next.

  2. To install to a different location, type the fully qualified folder path in the Destination folder textbox or use the Browse button to select a new location. Click Next.

See Also

Tasks

How to: Install Team Foundation Server

Concepts

Logical and Physical Architecture
Visual Studio Team Foundation Installation


Specifying the Location of the Data Tier

[image]

Visual Studio Team System
Specifying the Location of the Data Tier
See Also Send Feedback

This topic helps you decide where to install the data-tier components of Team Foundation Server.

Choosing a Physical Architecture

In a dual-server deployment, the data tier components are installed on a different computer from the application-tier components.

Use the Team Foundation Server Planning section of the Team Foundation Administrator's Guide (http://go.microsoft.com/fwlink/?LinkID=52460) to learn about the different configurations.

Upgrading Team Foundation Server

If you are upgrading Team Foundation Server, the data tier location will be the name of the server that contains the existing database.

To Upgrade Team Foundation Server in a Single-Server Deployment

  • The text box labeled Type the name of the server that hosts the Team Foundation Server database should already contain the current server name. You will not be able to type a new server name. Click Next.

To Upgrade Team Foundation Server in a Dual-Server Deployment

  1. In the text box labeled Type the name of the server that hosts the Team Foundation Server database, type the server name of the data tier for the deployment you want to upgrade.

  2. Click Next.

To Upgrade Team Foundation Server in a Clustered Deployment

  1. In the text box labeled Type the name of the server that hosts the Team Foundation Server database, type the virtual server name of the cluster.

  2. Click Next.

Installing a New Team Foundation Server Deployment

Be sure Microsoft SQL Server 2005 is installed correctly before you continue with the Setup Wizard. For more information, see Installing Prerequisites for Team Foundation Server.

To Install Team Foundation Server on a Single-Server Deployment

  1. In the text box labeled Type the name of the server that hosts the Team Foundation Server database, type the name of the current computer.

  2. Click Next

To Install Team Foundation Server on a Dual-Server Deployment

  1. In the text box labeled Type the name of the server that hosts the Team Foundation Server database, type the name of the data-tier computer where you installed Microsoft SQL Server 2005.

  2. Click Next.

To Install Team Foundation Server on a Clustered Deployment

  1. In the text box labeled Type the name of the server that hosts the Team Foundation Server database, type the virtual server name of the cluster where you installed Microsoft SQL Server 2005.

  2. Click Next.

See Also

Tasks

How to: Install SQL Server 2005 in a Single-Server Deployment
How to: Install SQL Server 2005 in a Dual-Server Deployment
How to: Verify SQL Server 2005 or SQL Server 2008

Concepts

Logical and Physical Architecture
Installing Prerequisites for Team Foundation Server

Other Resources

Configuring Servers for Team Foundation Cluster Installation


Performing the System Health Check

[image]

Visual Studio Team System
Performing the System Health Check
See Also Send Feedback

This topic provides an overview of the conditions that will be checked during the System Health Check for Visual Studio Team System Team Foundation Server. If your computer does not pass the health check, the setup wizard will display a link that provides additional information. Be sure to click this link for the specific information that applies to your computer.

To Perform the System Health Check

The system health check is a series of tests performed by the setup wizard to determine whether your computer can successfully install Team Foundation Server.

The health check returns both warning and blocking conditions. Warnings will not prevent an installation from completing successfully. However, you must fix any blocks before you continue with the Setup Wizard.

The following procedure explains how to perform the system health check.

To perform the system health check

  1. On the System Health Check page, examine any warnings or blocks by clicking the here link in the informational text: To review the details of the system scan, click here.

    Note Note:

    Blocking conditions must be fixed in order to successfully install the software. Warnings should be fixed, but will not prevent the installation from completing successfully.

  2. If there are blocks, click Cancel. Fix the blocking issues and run the setup wizard again.

  3. If there are warnings, you should resolve the issues and click Next. You can also complete setup without resolving the warning conditions.

  4. If there are no warnings or blocks, click Next.

Potential Issues that Result in a Warning Condition

The following messages, which the system health check can generate, are considered warning conditions. These problems should be fixed, but the setup process can continue. These issues can potentially cause performance problems with larger deployments of Team Foundation.

  • Current user does not have administrative access to the data tier, so health check warnings are inaccurate.

  • Current user does not have administrative access to SQL Server Analysis Services, so health check warnings are inaccurate.

  • Processor type and speed do not meet recommendations.

  • Available disk space does not meet recommendations.

  • Physical memory does not meet recommendations.

  • The SQL Server Browser is not installed.

  • SQL Server Browser service is stopped.

  • The SQL Server Browser service is not set to start automatically.

  • Windows Firewall is not enabled.

  • Internet Information Service (IIS) was stopped and restarted and IIS returned an error.

The following messages are considered to be warning conditions only if they occur on the application tier computer in a dual-server deployment.

  • The selected instance of SQL Server is not compatible with Team Foundation Server 2008.

  • SQL Server Analysis Services service is not installed.

  • SQL Server Analysis Services service is stopped.

  • SQL Server Analysis Services service is not set to start automatically.

  • SQL Server service is stopped.

  • SQL Server Agent service is stopped.

If the setup wizard displays one or more of these warnings, examine the detailed log to determine how to fix the problem. You can view this log by clicking the here link in the informational text: To review the details of the system scan, click here.

Potential Issues that Result in a Blocking Condition

The following messages, which the system health check can generate, are considered blocking issues. These problems must be fixed for installation to continue.

  • Computer is not joined to a domain.

  • Team Foundation Server is attempting to install on a domain controller.

  • Internet Information Services (IIS) is not installed.

  • Internet Information Services (IIS) is not running.

  • Internet Information Services (IIS) Front Page Server Extensions are installed.

  • The Internet Information Services version 6 Compatibility Pack is not installed.

  • The selected instance of SQL Server is not compatible with Team Foundation Server 2008.

  • A compatible version of SQL Server is not installed.

  • SQL Server service is not installed.

  • SQL Server service is stopped.

  • SQL Server service is not set for automatic startup.

  • SQL Server Agent service is not installed.

  • SQL Server Agent service is stopped.

  • SQL Server Agent service is not set for automatic startup.

  • SQL Server Analysis Services service is not installed.

  • SQL Server Analysis Services service is stopped.

  • SQL Server Analysis Services service is not set for automatic startup.

  • SQL Server Analysis Services assemblies are not installed on the application tier.

  • SQL Server Analysis Services on the application tier does not match the SQL Server version on the data-tier.

  • SQL Server Analysis Services instance is not available.

  • SQL Server 2005 Reporting Services service is not installed.

  • SQL Server 2005 Reporting Services service is not started.

  • SQL Server 2005 Reporting Services service is not set for automatic startup.

  • SQL Server 2005 Reporting Services service is configured using Local System account.

  • SQL Server 2005 is not listening for remote connections using TCP/IP.

  • SQL Server collation is not set to one supported by Team Foundation Server.

  • SQL Server connection should not have the 'no count' option checked.

  • Windows Firewall is not configured to allow exceptions.

  • Team Foundation Web services port is not available.

  • SQL Full Text Search service is not installed.

  • SQL Full Text Search service is stopped.

  • SQL Full Text Search service is not set for automatic startup.

  • MSXML 6.0 Parser QFE KB925673 is not installed on this computer.

If the setup wizard displays one or more of these blocks, examine the detailed log to determine how to fix the problem. You can see this log by clicking the here link in the informational text: To review the details of the system scan, click here.

The following table suggests other help topics with information that might resolve the blocking issue.

Blocking Issue

Resolution

Computer is not joined to a domain.

Team Foundation Server cannot be installed on a workgroup in dual-server configuration.

Team Foundation Server is attempting to install on a domain controller.

Team Foundation Server cannot be installed on a machine running as a domain controller.

For more information, see System Requirements for Team Foundation Server.

Internet Information Services (IIS) is not installed.

Internet Information Services (IIS) is not running.

Install and configure IIS on the server.

For more information, see Installing Internet Information Services (IIS).

Internet Information Services (IIS) Front Page Server Extensions are installed.

Be sure that Front Page Server Extensions are not installed.

For more information, see How to: Install Internet Information Services 6.0 on Windows Server 2003.

The selected instance of SQL Server is not compatible with Visual Studio Team System 2008 Team Foundation Server.

A compatible version of SQL Server is not installed.

SQL Server Analysis Services on the application tier does not match the SQL Server version of the data-tier

Install SQL Server 2005 Service Pack 1 or SQL Server 2008 on the data-tier computer before running the setup wizard.

For more information, see Installing SQL Server.

SQL Server service is not installed.

SQL Server service is stopped.

SQL Server service is not set for automatic startup.

SQL Server Agent service is not installed.

SQL Server Agent service is stopped.

SQL Server Agent service is not set for automatic startup.

SQL Server Analysis Services service is not installed.

SQL Server Analysis Services service is stopped.

SQL Server Analysis Services service is not set for automatic startup.

SQL Server Analysis Services assemblies are not installed on the application tier.

SQL Server Analysis Services on the application tier does not match the SQL Server version on the data-tier.

SQL Server Analysis Services instance is not available.

SQL Full Text Search service is not installed.

SQL Full Text Search service is stopped.

SQL Full Text Search service is not set for automatic startup.

These services must be correctly installed and configured in order to run Team Foundation Server. Be sure you installed SQL Server 2005 according to the recommendations in the prerequisites section.

For more information, see How to: Verify SQL Server 2005 or SQL Server 2008.

If you have already installed SQL Server 2005, be sure the following services are installed, started, and set for automatic startup.

  • SQL Server

  • SQL Server Agent

  • SQL Server Analysis Services

  • SQL Full Text Search

  • SQL Server Browser

SQL Server 2005 Reporting Services service is not installed.

SQL Server 2005 Reporting Services service is not started.

SQL Server 2005 Reporting Services service is not set for automatic startup.

SQL Server 2005 Reporting Services service is configured using Local System account.

SQL Server 2005 Reporting Services must be correctly installed and configured in order to run Team Foundation Server.

For more information, see Installing SQL Server.

If you have already installed SQL Server 2005 Reporting Services, be sure the service named SQL Server 2005 Reporting Services is installed, started, and set for automatic startup.

Windows Firewall is not configured to allow exceptions.

If Windows Firewall is enabled and configured to allow exceptions, the Team Foundation Server setup wizard will attempt to add exceptions for ports used by Team Foundation Server. You will still have to configure some ports manually. For more information about ports, see Ports Required for Installation.

SQL Server collation is not set to one supported by Team Foundation Server.

Team Foundation Server requires that collation settings are case insensitive and accent sensitive. The collation setting for SQL Server must be supported by Team Foundation Server.

For more information, see Collation Setting Requirements for Team Foundation Server.

MSXML 6.0 Parser QFE KB925673 is not installed on this computer.

Install QFE KB925673 for MSXML 6.0 Parser.

On the installation media, locate the folder KB925673. Open that folder, and locate the executable file (.exe) for your platform (X86), and then double-click the file to install the QFE.

Team Foundation Web services port is not available.

Be sure port 8080 is not being used by other services. If you changed the port number in the msproperty.ini file, check the appropriate port.

Team Foundation Proxy port is not available.

Be sure port 8081 is not being used by other services. If you changed the port number in the msproperty.ini file, check the appropriate port.

SQL Server 2005 is not listening for remote connections using TCP/IP.

  • On the data-tier computer, run the SQL Server Surface Area Configuration tool.

  • Click Surface Area Configuration for Services and Connections.

  • Click Remote Connections, located under the Database Engine node in the View by Instance tab.

  • Click Local and remote connections.

  • Click either Using TCP/IP only or Using both TCP/IP and named pipes.

  • Restart the service. To do this, click on Service, located under the Database Engine node in the View by Instance tab. Click Stop. Then, click Start.

  • Close the SQL Server Surface Area Configuration tool.

See Also

Tasks

How to: Install Team Foundation Server
How to: Install SQL Server 2005 in a Single-Server Deployment
How to: Install SQL Server 2005 in a Dual-Server Deployment
How to: Verify SQL Server 2005 or SQL Server 2008
How to: Install Internet Information Services 6.0 on Windows Server 2003

Concepts

System Requirements for Team Foundation Server


Database Tier Inspection Information

[image]

Visual Studio Team System
Database Tier Inspection Information
See Also Send Feedback

The installation wizard for Visual Studio Team System Team Foundation Server inspects the data-tier server for any potential problems. This topic explains the potential conditions that can occur during the inspection of the data tier.

Normal Conditions Occurring During Data Tier Inspection

Installing a New Deployment of Team Foundation Server

If the wizard does not find any problems and if this is a new deployment (not an upgrade) of Team Foundation Server, the Data Tier Inspection Information screen does not appear. The wizard continues directly to the System Health Check screen.

Installing Team Foundation Server as an Upgrade

The installation wizard for Team Foundation Server can upgrade an existing deployment of Visual Studio 2005 Team Foundation Server to Visual Studio Team System 2008 Team Foundation Server.

If you are upgrading an existing deployment of Visual Studio 2005 Team Foundation Server, the following message appears on the Data Tier Inspection Information screen:

An existing database with an earlier version was found. This database will be upgraded to support Microsoft Visual Studio 2008.

The upgrade process cannot be interrupted or cancelled. Consider backing up your database before clicking Next.

For more information about how to back up your existing database, see "How to: Back up a Team Foundation Server" in the administrator's guide for Team Foundation (http://go.microsoft.com/fwlink/?LinkID=66339).

Error Conditions Occurring During Data Tier Inspection

Existing Team Foundation Server Database is Unusable

TF220044: An existing Team Foundation database was found, but it is not valid. Installation cannot continue.

The installation wizard could not retrieve the state of the databases for Team Foundation. Therefore, the wizard cannot upgrade the existing databases. You should try to restore your databases from an earlier backup and run the installation wizard again.

TF220048: An existing Team Foundation database was found, but it cannot be upgraded. Installation cannot continue.

This installation wizard cannot upgrade the existing database for Team Foundation. The version information might have been corrupted. You should try to restore your data from an earlier backup and run the installation wizard again.

Existing Team Foundation Server Database Version is More Recent

TF220046: An existing Team Foundation database was found, but it is a newer version than the ones supported by Microsoft Visual Studio 2008. Installation cannot continue.

The existing database for Team Foundation is more recent than the version that you are trying to install. This situation can occur if you have already upgraded the database to a more recent version. You must use the correct installation wizard for your version of Team Foundation Server.

Unable to Connect to the Team Foundation Server Data-Tier Server

TF220050: Unable to connect to the specified Team Foundation data-tier server. Installation cannot continue.

The installation wizard for Team Foundation could not connect to the specified data-tier server. To resolve this problem, you should verify that the data-tier server is running and connected to the network. Then you should click Previous and verify that the server name was typed correctly on the previous screen.

See Also

Concepts

Specifying the Location of the Data Tier


Specifying a Service Account for Team Foundation

[image]

Visual Studio Team System
Specifying a Service Account for Team Foundation
See Also Send Feedback

This topic helps you decide what type of service account to use for Team Foundation.

How the Service Account is Used

This service account is referred to in the Installation Guide by the placeholder name TFSSERVICE. For more information about the different accounts that are used by Team Foundation Server, see Accounts Required for Installation.

The following table describes the services that use the TFSSERVICE account.

Service Name | Purpose
Code Coverage Analysis service | Analyzes code for specific defect patterns when Code Coverage Analysis is enabled.
Visual Studio Team Foundation Server Task Scheduler service | Runs scheduled Web service tasks registered on Team Foundation Server.

The TFSSERVICE account is also used an application pool identity. The following table describes which application pools use the TFSSERVICE account.

Application Pool Name | Owner
Team Foundation Server Application Pool | Team Foundation Server

Considerations for Specifying a Service Account

The TFSSERVICE account must have the Log on as a service permission. For optimal security, the TFSSERVICE service account:

  • Should not be a member of the Administrators group on Team Foundation Server computers.

  • Should have the option Account is sensitive and cannot be delegated selected for Active Directory on the domain.

  • Should be a domain account.

Note Note:

The name TFSSERVICE is used in the Installation Guide as an example. You can use any account name as long as the name is consistent throughout the installation process.

Specifying a Service Account

The service account can be a built-in account, a domain account, or, for a single-server workgroup deployment, a local account. For more information about account types, see "How Security Principals Work" (http://go.microsoft.com/fwlink/?LinkId=89216).

Note Note:

For security reasons, we recommend that you use a domain account without Administrator credentials for the Team Foundation Service account. However, Network Service and Local Service accounts may also be used.

Using a System Account

The Network Service account is a system account that is used in Windows Server 2003. It does not have a password and may be used by applications other than Team Foundation Server. It is similar to an authenticated user account, but it does not have a password. It has the same level of access to resources and objects as members of the Users group.

If you use the Network Service account as the Team Foundation service account, the Team Foundation services will be run with whatever rights and permissions are currently assigned to that account.

Using the Network Service Account

Services that run as the Network Service (NT AUTHORITY\NetworkService) account access network resources by using the credentials of the computer account.

The following procedure describes how to select the Network Service account as the Team Foundation service account.

To specify Network Service as the service account

  1. On the Team Foundation Server Service Account page, click Use a system account.

  2. In the system account list, click NETWORK SERVICE.

  3. Click Next.

Using a Domain Account

A domain account that does not have administrative permissions for the local computer is the preferred type of service account for Team Foundation.

To specify a domain account as the service account

  1. On the Team Foundation Server Service Account page, click Specify Account Information.

  2. In Account Name, type the name of the domain account to use as the service account. Use the format Domain\User or User@Domain.

  3. Click Next.

Using a Local Account

Local accounts are user accounts that are not associated with a domain. You can specify a local user account as a service account only in single-server deployments in a workgroup. If you are installing Team Foundation in a domain, you must use a domain account.

To specify a local account as the service account (Workgroup only)

  1. On the Team Foundation Server Service Account page, click Specify Account Information.

  2. In Account Name, type the name of the local user account to use as the service account. Use the format ComputerName\User.

  3. Click Next.

See Also

Concepts

Accounts Required for Installation

Other Resources

Security Issues for Team Foundation


Specifying a Service Account for SQL Server Reporting Services

[image]

Visual Studio Team System
Specifying a Service Account for SQL Server Reporting Services
See Also Send Feedback

This topic helps you decide what type of service account to use for SQL Server Reporting Services.

How the Reporting Account is Used

The reporting account is a data sources account that is used by Microsoft SQL Server 2005 to gather reporting data. This account is referred to in the Installation Guide by the placeholder name TFSREPORTS. For more information about the different accounts that are used by Team Foundation Server, see Accounts Required for Installation.

Considerations for the Reporting Account

The TFSREPORTS service account is used as the service account for data sources by SQL Server Reporting Services. The account must have the Allow log on locally permission. For optimal security, the TFSREPORTS service account:

  • Must not be a member of the Administrators group on Team Foundation Server computers.

  • Should be a domain account.

Note Note:

The name TFSREPORTS is used in the Installation Guide as an example. You can use any account name as long as the name is consistent throughout the installation process.

Specifying a Reporting Account

The reporting account can be a domain account, or for a single-server workgroup deployment, a local account. For more information about account types, see "How Security Principals Work" (http://go.microsoft.com/fwlink/?LinkId=89216).

Using a Domain Account

Domain accounts are authenticated user accounts created in a domain. Choosing a domain account as the reporting account lets you customize the permissions available to that account.

A domain account without Administrator credentials is the preferred type of reporting account. For more information, see "Setting up Windows Service Accounts" in Microsoft SQL Server 2005 Books Online (http://go.microsoft.com/fwlink/?LinkId=78809).

The following procedure describes how to specify a domain account as the reporting account.

To specify a domain account as the reporting account

  1. On the Reporting Services Data Source Account page, click Specify an account.

  2. In Account Name, type the name of the domain account to use as the reporting account. Use the format domain\user or user@domain.

  3. In the Password text box, type the password for the account you specified.

  4. Click Next.

Using a Local Account

Local accounts are user accounts created on a computer that is a member of a workgroup environment. The computer is not associated with a domain.

Local user service accounts are only permitted in single-server workgroup deployments of Team Foundation Server.

The following procedure describes how to specify a local account as the Team Foundation Server service account.

To specify a local account as the reporting account (Workgroup only)

  1. On the Reporting Services Data Source Account page, click Specify an account.

  2. In Account Name, type the name of the local user account to use as the service account. Use the format computer name\user.

  3. In the Password text box, type the password for the account you specified.

  4. Click Next.

See Also

Concepts

Accounts Required for Installation

Other Resources

Security Issues for Team Foundation


Choosing a Deployment for SharePoint Products and Technologies

[image]

Visual Studio Team System
Choosing a Deployment for SharePoint Products and Technologies
See Also Send Feedback

You can install SharePoint Products and Technologies, or you can use an existing deployment.

Deploying Windows SharePoint Services 3.0 on Windows Server 2003

When you install Team Foundation Server on Windows Server 2003, you can automatically install and configure Windows SharePoint Services 3.0 at the same time. This deployment will be configured with default values for the site addresses and ports. The Central Administration URL will be set to http://server_name:17012. The Default Site URL for Team Foundation will be set to http://server_name:80.

To install Windows SharePoint Services 3.0

  1. On the Windows SharePoint Services page of the setup wizard, click Install and configure Windows SharePoint Services 3.0 on this computer.

  2. Click Next.

  3. On the Windows SharePoint Services Service Account page, you must select the service account for Windows SharePoint Services.

    • To use the same service account you specified for Team Foundation Server, select Use Team Foundation Service Account.

    • To select a different account, select Specify Account Information. For a domain account, use the format domain\user or user@domain. For a local user account in a workgroup, use the format ComputerName\user.

  4. Click Next.

Deploying SharePoint Products and Technologies on Windows Server 2008

If you are installing Team Foundation Server on Windows Server 2008, you must specify an existing deployment of SharePoint Products and Technologies. For more information, see How to: Install SharePoint Products and Technologies on Windows Server.

To specify an existing deployment of SharePoint Products and Technologies on Windows Server 2008

  1. On the Windows SharePoint Services page of the setup wizard, click the Central Administration URL box. Type the complete URL of the administration site for the existing deployment.

    • Use the following format: http://ServerName:PortNumber

    • If the deployment of SharePoint Products and Technologies is on a different server, be sure to use that server name in the URL.

  2. In the Default Site URL box, type the complete URL of the default site for the existing deployment.

    • Use the following format: http://ServerName:PortNumber/Sites

    • If the deployment of SharePoint Products and Technologies is on a different server, be sure to use that server name in the URL.

  3. Click Next.

Using an Existing Deployment of SharePoint Products and Technologies

You can also use Team Foundation Server with an existing deployment of SharePoint Products and Technologies. This deployment can be on the same server as the application tier or on a different server.

In order to connect to an existing deployment of SharePoint Products and Technologies, you must provide the server name and port numbers of the deployment. You supply this information by providing an Administration URL and a Site URL in the setup wizard.

The Central Administration URL is the address you will use to access administration tasks for your new SharePoint site. It should be in the format http://ServerName:PortNumber. The default port number for the administration site is 17012. If the existing SharePoint site has a different administration port number, use that port number instead of 17012.

The Default Site URL is the address you will use to access the team site for Team Foundation Server. It should be in the format http://servername:portnumber. The default port number for the team site is 80. If the existing SharePoint site has a different port number, use that port number instead of 80.

Important note Important Note:

If the existing deployment of SharePoint Products and Technologies is installed on the application-tier computer, it must be running on port 80 using the site named "Default Web Site." If a different configuration is used, the Reporting Services Web site will not work correctly. You can examine the configuration using the Internet Information Services (IIS) Manager application.

The following procedure describes how to use an existing deployment of SharePoint Products and Technologies.

To specify the location of an existing deployment of SharePoint Products and Technologies

  1. On the Windows SharePoint Services page of the setup wizard, click Use a server already running Windows SharePoint Services.

  2. In the Central Administration URL box, type the complete URL of the administration site for the existing deployment.

    • Use the following format: http://servername:portnumber

    • If the deployment of SharePoint Products and Technologies is on a different server, be sure to use that server name in the URL.

      Note Note:

      In Windows SharePoint Services 2.0, the port number for the SharePoint Central Administration site defaults to 17012. However, for Windows SharePoint Services 3.0 and Microsoft Office SharePoint Server 2007, the default number is randomly assigned. Check the administration site settings in the Internet Information Services (IIS) Manager application to determine the correct value.

  3. In the Default Site URL box, type the complete URL of the default site for the existing deployment.

    • Use the following format: http://ServerName:PortNumber:PortNumber/Sites

    • If the deployment of SharePoint Products and Technologies is on a different server, be sure to use that server name in the URL.

  4. Click Next.

See Also

Tasks

How to: Verify an Existing Installation of SharePoint Products and Technologies


Specifying the Service Account for SharePoint Products and Technologies

[image]

Visual Studio Team System
Specifying the Service Account for SharePoint Products and Technologies
See Also Send Feedback

This topic helps you decide which service account to use for SharePoint Products and Technologies.

How the Service Account for Windows SharePoint Services is Used

The service account for SharePoint Products and Technologies provides the application pool identity that is needed to run the application pool for SharePoint Products and Technologies.

Important note Important Note:

If you are upgrading Team Foundation Server or using an existing deployment of SharePoint Products and Technologies, the Windows SharePoint Services Service Account page will not appear in the Setup wizard. The existing information about the application pool identity for SharePoint Products and Technologies will be used.

You can use the Team Foundation service account (Domain\TFSSERVICE) for this purpose, or you can specify a different account.

Considerations for the Service Account for SharePoint Products and Technologies

For optimal security, the service account for SharePoint Products and Technologies:

  • Should not be an administrator on computers that are running Team Foundation Server.

  • Should have the option Account is sensitive and cannot be delegated selected in the Properties pane of Active Directory Users and Computers. For more information, see "Enabling Delegated Authentication" in the Windows Server TechCenter on the Microsoft Web site.

  • Must not be a built-in system account, such as NetworkService.

Specifying a Service Account for SharePoint Products and Technologies

The service account for SharePoint Products and Technologies can be either the existing Team Foundation service account (Domain\TFSSERVICE) or a different domain account. For a single-server deployment in a workgroup, you can use a local account. For more information about account types, see "How Security Principals Work" (http://go.microsoft.com/fwlink/?LinkId=89216).

Using the Team Foundation Service Account

The following procedure describes how to select the service account for Team Foundation Server (Domain\TFSSERVICE) as the service account for SharePoint Products and Technologies.

To specify the service account for Team Foundation Server as the service account for Windows SharePoint Services

  1. On the Windows SharePoint Services Service Account page, click Use Team Foundation Service Account.

  2. Click Next.

Note Note:

If you selected Network Service as the service account for Team Foundation Server, this option will not be available. For security reasons, you cannot use a system account as the service account for SharePoint Products and Technologies.

Using a Domain Account

Domain accounts are authenticated user accounts created in a domain. When you choose a domain account as the service account for SharePoint Products and Technologies, you can customize the rights and permissions available to that account.

The preferred type of service account for SharePoint Products and Technologies is a domain account without Administrator credentials.

The following procedure describes how to specify a domain account as the service account for Windows SharePoint Services.

To specify a domain account as the service account for Windows SharePoint Services

  1. On the Windows SharePoint Services Service Account page, click Specify an account.

  2. In Account Name, type the name of the domain account to use as the service account for Windows SharePoint Services.

    Use the format Domain\User or User@Domain.

  3. In the Password text box, type the password of the account that you specified.

  4. Click Next.

Using a Local Account

Local accounts are user accounts that are created on a specific computer. The accounts are not associated with a domain.

You can designate a local account as a service account only in single-server deployments of Team Foundation Server in a workgroup.

The following procedure describes how to specify a local account as the service account for SharePoint Products and Technologies.

To specify a local account as the service account for SharePoint Products and Technologies (Workgroup only)

  1. On the Windows SharePoint Services Service Account page, click Specify an account.

  2. In Account Name, type the name of the local user account to use as the service account for SharePoint Products and Technologies.

    Use the format ComputerName\User.

  3. In the Password box, type the password of the account that you specified.

  4. Click Next.

See Also

Concepts

Accounts Required for Installation


Enabling Team Foundation Alerts

[image]

Visual Studio Team System
Enabling Team Foundation Alerts
See Also Send Feedback

Updated: July 2010

The Team Foundation Alerts feature uses e-mail to notify users of changes that are made to work items and to files in version control. This topic explains how to enable alerts in your Team Foundation deployment during installation. You can also enable alerts after installation. For more information, see the following page on the Microsoft Web site: How to: Configure SMTP Server and E-mail Notification Settings in the Services Web.Config File.

To Enable Alerts in Team Foundation

To enable the Team Foundation Alerts feature, you must provide the Microsoft Visual Studio 2008 Team Foundation Server Setup with two pieces of information:

  • The computer name of the SMTP mail server that will send out the e-mail. This could be either a server name (for example, SMTPHOST) or a fully qualified domain name (for example, mail.example.com).

    Important note Important Note:

    The computer that you specify must already be correctly configured as an SMTP host.

  • An e-mail address that will appear as the name of the sender for the notifications (for example, someone@example.com ).

To Enable Alerts in Team Foundation

  1. Select Enable Team Foundation Alerts.

  2. In SMTP server, type the name of the server from which you send e-mail.

  3. In From e-mail address, type the e-mail address you want to designate as the sender of the alert.

  4. Click Next.

To Disable Alerts in Team Foundation

To prevent the use of the Team Foundation Alerts feature, you can disable it.

To Disable Alerts in Team Foundation

  1. If it is selected, clear Enable Team Foundation Alerts.

  2. Click Next.

See Also

Tasks

How to: Install Team Foundation Server

Change History

Date | History | Reason
July 2010 | Added link to information about how to enable alerts after installation. | Customer feedback.


Upgrading Your Team Foundation Server

[image]

Visual Studio Team System
Upgrading Your Team Foundation Server
See Also Send Feedback

You can upgrade either Visual Studio 2005 Team Foundation Server or the Beta 2 release of Visual Studio Team System 2008 Team Foundation Server.

As you prepare to upgrade, you should perform certain tasks to make the upgrade process as smooth as possible. After you upgrade, you must also upgrade other components in Team Foundation so that you can access all the features in the new version of Team Foundation Server. With the new version, you can also change your configuration in other ways to better suit the needs of your organization.

Caution note Caution:

Do not try to change your server configuration when you upgrade. For example, if you want to change a single-server configuration to a dual-server configuration, you should make that change after you have successfully upgraded.

Before You Upgrade Team Foundation Server

Before you upgrade, you should perform the following tasks:

  1. Verify whether Windows SharePoint Services is functioning correctly on the application-tier server. For more information, see the section about verifying Windows SharePoint Services in How to: Verify an Existing Installation of SharePoint Products and Technologies.

  2. Verify whether SQL Server Reporting Services is functioning correctly on the application-tier server by opening http://localhost/reports.

  3. Verify that your deployment of Visual Studio 2005 Team Foundation Server does not use fully qualified domain names (FQDNs). If it does, the upgrade will fail. Before you upgrade a deployment that is configured with FQDNs, you must first reconfigure it to use either computer names or IP addresses.

  4. If you are mirroring the databases for Team Foundation Server, you must remove mirroring. For more information, see How to: Remove Database Mirroring. For a list of databases, see How to: Back Up a Team Foundation Server.

  5. If you are using a standby server for Visual Studio 2005 Team Foundation Server, you should uninstall the standby server before you upgrade. After you upgrade, you can create a standby server for the upgraded deployment. Visual Studio Team System 2008 Team Foundation Server has architectural requirements for a standby server that previous versions did not. For more information, see Checklist: Configure a Standby Server for the Application Tier.

  6. Back up the databases for Team Foundation Server. For more information, see Backing Up the Team Foundation Server.

  7. Install Service Pack 1 for SQL Server 2005 on the data-tier server if it is not already installed. To get the most recent version of SQL Server, see Microsoft SQL Server.

  8. If you are running a dual-server deployment of Visual Studio 2005 Team Foundation Server, uninstall Team Foundation Server from the data-tier. (When you upgrade the application-tier server, the new version of Team Foundation Server automatically uninstalls the previous version of the product and upgrades the data tierremotely).

  9. If you are running the Beta 2 release of Team System 2008 Team Foundation Server, you must uninstall it before you upgrade.

  10. Record the accounts that were used as the service accounts for Team Foundation Server and SQL Server Reporting Services.

    You can obtain the service account for Team Foundation Server in the Internet Information Services (IIS) Manager by viewing the identity of the application pool for Team Foundation Server. For more information, see Identity Application Pool Settings.

    You can obtain the service account for Reporting Services by opening http://localhost/reports and clicking the TfsOlapReportDS data source.

When You Upgrade Team Foundation Server

To upgrade from Visual Studio 2005 Team Foundation Server to Team System 2008 Team Foundation Server, follow the procedures in How to: Upgrade Team Foundation Server.

After You Upgrade Team Foundation Server

After you upgrade to Team System 2008 Team Foundation Server, you should install the new versions of other components of Team Foundation. You can also modify your server configuration in ways that Visual Studio 2005 Team Foundation Server does not support.

  • To use features in the new version of Team Foundation Server, you must install the new version of Team Explorer. You can use the old version of Team Explorer to connect to the new version of Team Foundation Server, but the new features will not be available. For more information about version compatibility, see Team Foundation Versions and Editions.

  • If you are using Team Foundation Build and Team Foundation Server Proxy, you must install the new versions of them after you upgrade. For more information, see Installing Team Foundation Build and Installing Team Foundation Server Proxy.

  • To use features in newer versions of SharePoint Products and Technologies, you can upgrade either to Windows SharePoint Services 3.0 or to Microsoft Office SharePoint Server 2007. For more information, see Upgrading SharePoint Products and Technologies for Team Foundation Server.

  • You can move the SharePoint sites from the application-tier server to another server that is running Windows SharePoint Services, even if that server hosts other sites. For more information, see Moving Team Project Portals to a Different Server Running SharePoint Products and Technologies.

  • You can move the data-tier databases for Team Foundation Server from the default instance of SQL Server to a named instance of SQL Server. For more information, see Using Named Instances and How to: Move Your Team Foundation Server from One Hardware Configuration to Another.

  • You can change the identity of SQL Server from a domain account to Network Service. For more information, see Security Considerations for a SQL Server Installation and How to: Change the Service Startup Account for SQL.

See Also

Concepts

Overview of Team Foundation Architecture

Other Resources

Security Issues for Team Foundation


How to: Upgrade Team Foundation Server

[image]

Visual Studio Team System
How to: Upgrade Team Foundation Server
See Also Send Feedback

You can use this procedure to upgrade from Visual Studio 2005 Team Foundation Server to Visual Studio Team System 2008 Team Foundation Server and then verify the upgraded system. Before you begin the upgrade, you must shut down access to Team Foundation Server and back up the databases. If your deployment uses fully qualified domain names (FQDNs), you must reconfigure it to use either computer names or IP addresses before you upgrade it. After you upgrade, you can reconfigure your deployment to use FQDNs.

Note Note:

You can also use this procedure to upgrade from the Beta 2 release of Visual Studio Team System 2008 Team Foundation Server to the released version of that product.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer.

Upgrading Team Foundation Server

To upgrade Team Foundation Server

  1. On the application-tier server, log on to Windows using the Setup account for Team Foundation Server (for example, Domain\TFSSETUP). For more information, see Accounts Required for Installation.

  2. Insert the installation media for Visual Studio Team System 2008 Team Foundation Server.

  3. On the Team Foundation Server Setup page that appears, click Team Foundation Server, and then click Install.

    The setupwizard starts.

    Note Note:

    If the autorun page does not appear, find and run the autorun file (autorun.exe) in the root folder on the installation media.

  4. On the Welcome to Setup page, click Next.

  5. On the License Terms and Product Key page, type the product key, and review the terms. If you accept the terms and conditions, select the I accept the terms of the License Agreement check box, and then click Next.

  6. On the Destination Folder page, verify that the installation path refers to Visual Studio Team System 2008 Team Foundation Server, and then click Next.

  7. On the Team Foundation Database Server page, verify that the server matches your existing database server, and then click Next.

    The setup wizard then scans for conditions that could cause the Setup program to fail or cause issues later during server operation.

  8. On the Database Tier Inspection Information page, if you have backed up your databases, click My database has been backed up and I am ready to continue, and then click Next.

  9. On the System Health Check page, examine any warnings or blocking issues by clicking the link.

    • If you have one or more blocking issues, you must address them before you can continue the upgrade process. Click Cancel, and run the Setup program again after you fix the issues.

    • If you have one or more warnings, you should address them before you continue. However, they should not prevent you from completing the upgrade process. You can click Next.

    • If you have no blocking issues or warnings, click Next.

  10. On the Team Foundation Server Service Account page, perform one of the following steps:

    1. Click Specify an account, and add an Account Name and Password.

    2. Click Use a system account, click an account in the list, and then click Next.

  11. On the Reporting Services Data Source Account page, type the password for the data source account for Reporting Services, and then click Next.

  12. On the Specify Alert Settings page, select the Enable Team Foundation Alerts check box if you configured your previous installation with alerts. Otherwise, click Next.

    1. In the SMTP server box, type the name of the server that you will use to send e-mail notifications.

    2. In the From e-mail address box, type the name of the e-mail address from which notifications will appear to come, and then click Next.

  13. On the Ready to Install page, click Install if all the specified settings are correct. Otherwise, click Back, and make corrections.

    On the Installing Components page, you can monitor the installation of Team Foundation Server.

  14. When the upgrade is complete, click Finish.

Note Note:

You might need to restart the server that you just upgraded.

Verifying Upgrade of Team Foundation Server

You can use the following procedure to perform a basic validation check of the upgrade that you just completed.

To verify upgrade of Team Foundation Server

  1. Be sure that you are logged on to the application-tier computer.

  2. In Internet Explorer, open http://localhost:8080/services/v1.0/Registration.asmx, and then click GetRegistrationEntries.

  3. On the GetRegistrationEntries page, click Invoke.

    You do not have to specify anything in the ToolID box.

  4. In the XML code that appears, look for the following text:

    <Type>vstfs</Type>

    If that text appears, you can close the page.

See Also

Tasks

Troubleshooting Installation for Team Foundation

Concepts

Accounts Required for Installation
Database Tier Inspection Information
Specifying a Service Account for Team Foundation
Specifying a Service Account for SQL Server Reporting Services

Other Resources

Installing Team Foundation Build
Installing Team Foundation Server Proxy


Installing Team Foundation Server Proxy

[image]

Visual Studio Team System
Installing Team Foundation Server Proxy
Send Feedback

By following the procedures in this section, you can install Team Foundation Server Proxy, which caches previously accessed source control files. You can install Team Foundation Server Proxy on the same computer as the application tier for Team Foundation or on a separate computer.

In This Section

System Requirements for Team Foundation Server Proxy

Describes the system requirements necessary to install Team Foundation Server Proxy.

Installing Internet Information Services (IIS)

Contains links to procedures about how to install IIS on Windows Server 2003 or Windows Server 2008.

How to: Install Team Foundation Server Proxy

Describes how to install Team Foundation Server Proxy, which can improve source control operations by caching previously accessed files.

How to: Configure Team Explorer to Use a Team Foundation Server Proxy

Describes how to configure Team Explorer to use a Team Foundation Server Proxy.

Related Sections

System Requirements for Team Foundation Server

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Security Issues for Team Foundation

Provides security-related information for installing Team Foundation Server.

Installing Team Foundation Server

Use the procedures in this section to install and configure Team Foundation Server.

Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share solutions.

Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.


System Requirements for Team Foundation Server Proxy

[image]

Visual Studio Team System
System Requirements for Team Foundation Server Proxy
See Also Send Feedback

The software requirements for Team Foundation Server Proxy are the same as for Team Foundation Server, including Internet Information Services (IIS) and .NET Framework 2.0.

The Team Foundation Server Proxy recommended hardware requirements are as follows:

Hardware Recommendations

Configuration | CPU | HD | Memory | Comments
Standard | 1 processor, 2.2 GHz | 40 GB | 2 GB | Used to support version control files for a remote team.
Teams up to 2,200 users | 2 processors, 2.0 GHz | 73 GB | 2 GB | Used to support large teams in a dual-server configuration.
Teams between 2,200 and 3,600 users | 4 processors, 2.0 GHz | 73 GB | 2 GB | Used to support very large teams in a dual-server configuration.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Concepts

Visual Studio Team Foundation Installation
Logical and Physical Architecture


How to: Install Team Foundation Server Proxy

[image]

Visual Studio Team System
How to: Install Team Foundation Server Proxy
See Also Send Feedback

By installing Team Foundation Server Proxy, you improve version control download operations by caching previously accessed files. Typically, you install Team Foundation Server Proxy in the remote location of a distributed team.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. For more information, see Accounts Required for Installation.

Installing Prerequisites

The following procedure describes how to prepare a computer for installation of Team Foundation Server Proxy.

To prepare a computer for Team Foundation Server Proxy

  1. Identify which user account you want to use to run setup and add the account to the local Administrators group.

    Typically, this would be your user account. In this guide, this account is referred to as Domain\TFSSETUP, but you can use a different account name. For more information about the requirements for this account, see Accounts Required for Installation.

  2. Create a dedicated service account for the proxy and add the account to a server-level group on all Team Foundation Server application-tier servers that the proxy serves.

  3. Install Internet Information Services, and enable ASP.NET.

    For more information, see Installing Internet Information Services (IIS).

  4. Verify that Microsoft .NET Framework 2.0 is installed on the proxy computer. To verify, click Start, click Control Panel, click Add or Remove Programs or Programs and Features, and then review the list of Currently installed programs.

    Note Note:

    To install Microsoft .NET Framework 2.0, locate the folder Proxy\WCU\dotNetFramework on the installation media, and then run dotnetfx.exe.

  5. Install QFE KB925673 for MSXML 6.0 Parser.

    This update is available on the installation media.

    1. Locate the folder MSXML 6.0 KB on the installation media and determine the correct executable file (.exe) for the operating system.

    2. Double-click the file to install the update.

  6. If you are connecting Team Foundation Server to the network through a proxy server, verify that you have selected Bypass proxy server for local addresses for the Local Area Network (LAN) settings.

    1. To verify the settings, click Start, click Control Panel, and then click Internet Options.

    2. On the Connections tab, click LAN Settings.

    3. In the Local Area Network (LAN) Settings dialog box, select Bypass proxy server for local addresses.

      You need to clear both options for automatic detection.

      If you do not select this setting, Team Foundation Server Proxy Setup cannot work with SharePoint Products and Technologies to complete authentication. Your access will be denied.

Installing Team Foundation Server Proxy

Use the following procedure to install Team Foundation Server Proxy.

To install Team Foundation Server Proxy

  1. Install and complete the prerequisites for a Team Foundation Server proxy computer. On the proxy server, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the installation media. The Team Foundation Server Setup page appears. If this page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

  3. On the Team Foundation Server Setup page, click Team Foundation Server Proxy, and then click Install.

    The Microsoft Visual Studio 2008 Team Foundation Server Proxy Setup wizard starts.

  4. On the Welcome to Setup page, click Next.

  5. On the License Terms and Product Key page, type the product key into the Product Key text boxes and review the terms of the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  6. On the System Health Check page, examine any warnings or blocks by clicking the link in the To review the details of the system scan, click here. text.

    • You must address blocks before you continue with the setup. Click Cancel and run setup again after fixing the issues.

    • You should address warnings before you continue, but if you do not, you can still complete the setup. After addressing the warnings, click Next.

    • If nothing is listed, click Next.

  7. On the Destination Folder page, accept the default destination folder, and then click Next.

  8. On the Cache Directory page, accept the default path and folder, and then click Next.

    Note Note:

    Be sure the folder you specify has sufficient free space to store the files you expect to cache there.

  9. On the Service Logon Account page, you will use the Windows domain user account you created for the Team Foundation Server Proxy account (for example, Domain\TFSPROXY).

    1. In the Account Name box, type the Windows domain user account you created for the Team Foundation Server Proxy account (for example, Domain\TFSPROXY).

    2. In the Password box, type the password and click Next.

  10. On the Ready to Install page, click Install.

  11. On the Installing Components page, monitor the installation of Team Foundation Server Proxy.

  12. On the Setup Completed Successfully page, click Finish.

    Internet Explorer appears.

  13. On the Configuring Source Control Caching for Team Foundation Server Proxy page, follow the directions for configuring the proxy.

    Note Note:

    You must configure Team Foundation Server Proxy before you can use it. If this page does not appear, locate and open the file ProxyConfig.htm. This file is located in the Proxy folder on the installation media.

See Also

Other Resources

Installing Team Foundation Server Proxy
Send feedback on this topic to Microsoft.


Performing the System Health Check for Team Foundation Server Proxy

[image]

Visual Studio Team System
Performing the System Health Check for Team Foundation Server Proxy
See Also Send Feedback

This topic provides an overview of the conditions that will be checked during the System Health Check for Team Foundation Server Proxy. If your computer does not pass the health check, the setup wizard will display a link that provides additional information. Be sure to click this link for the specific information that applies to your computer.

To Perform the System Health Check

The system health check is a series of tests performed by the setup wizard to determine whether your computer can successfully install Team Foundation Server Proxy.

The health check returns both warning and blocking conditions. Warnings will not prevent an installation from completing successfully. However, you must fix any blocks before you continue with the Setup Wizard.

The following procedure explains how to perform the system health check.

To perform the system health check

  1. Click Next to start the health check.

  2. On the System Health Check page, examine any warnings or blocks by clicking the here link in the informational text: To review the details of the system scan, click here.

    Note Note:

    Blocking conditions must be fixed in order to successfully install the software. Warnings should be fixed but will not prevent the installation from completing successfully.

  3. If there are blocks, click Cancel. Fix the blocking issues and run the setup wizard again.

  4. If there are warnings, you should resolve the issues and click Next. You can also complete setup without resolving the warning conditions.

  5. If there are no warnings or blocks, click Next.

Potential Issues that Result in a Warning Condition

The following conditions will cause a warning message. These problems should be fixed, but the setup process can continue.

  • Processor type and speed do not meet recommendations.

  • Available disk space does not meet recommendations.

  • Physical memory does not meet recommendations.

  • Windows Firewall is not enabled.

If the setup wizard displays one or more of these warnings, examine the detailed log to determine how to fix the problem. You can view this log by clicking the here link in the informational text: To review the details of the system scan, click here.

Potential Issues that Result in a Blocking Condition

The following conditions will cause a blocking message. These problems must be fixed for the setup process to continue.

  • Team Foundation Server is trying to install on a domain controller.

  • Internet Information Services (IIS) is not installed.

  • Internet Information Services (IIS) is not running.

  • Windows Firewall is not configured to allow exceptions.

  • Team Foundation Proxy port is not available.

  • The ASP.NET 2.0 update is not installed on this computer.

If the setup wizard displays one or more of these blocks, examine the detailed log to determine how to fix the problem. You can see this log by clicking the here link in the informational text: To review the details of the system scan, click here.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Concepts

System Requirements for Team Foundation Server Proxy


Specifying a Destination Folder for Team Foundation Server Proxy

[image]

Visual Studio Team System
Specifying a Destination Folder for Team Foundation Server Proxy
See Also Send Feedback

This topic helps you decide where to install Team Foundation Server Proxy.

Choosing a Destination Folder

This folder location determines where the Team Foundation Server setup wizard installs the files and folders needed by Team Foundation Server Proxy.

The setup wizard installs the Team Foundation Server Proxy program files to the destination folder you specify. The folder must be specified as a fully-qualified path (for example, c:\Program Files\Microsoft Visual Studio 9.0 Team Foundation Server).

To Specify an Installation Folder for Team Foundation Server Proxy

  1. To install to the default destination folder, click Next.

  2. To install to a different location, type the fully qualified folder path in the Destination folder textbox or use the Browse button to select a new location. Click Next.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Concepts

Logical and Physical Architecture
Visual Studio Team Foundation Installation


Specifying a Cache Folder for Team Foundation Server Proxy

[image]

Visual Studio Team System
Specifying a Cache Folder for Team Foundation Server Proxy
See Also Send Feedback

This topic helps you decide where to locate the cache folder for Team Foundation Server Proxy.

Choosing a Cache Folder

Team Foundation Server Proxy can be installed on the application-tier computer or on a different computer. Typically, you would install Team Foundation Server Proxy on a computer in the remote location of a distributed team. For more information, see Installing Team Foundation Server Proxy.

The main consideration in choosing a cache folder is the amount of disk space available. The cache folder must contain sufficient space to hold a copy of each file managed by source control. If the proxy deployment is associated with more than one Team Foundation Server deployment, it must have sufficient space for files from all of those servers.

You can create the new cache folder in the following locations: on a local disk, on a UNC path, or on a mounted drive. The proxy deployment can be located on the application-tier computer or on a separate computer.

To Specify a Cache Folder for Team Foundation Server Proxy

  1. To accept the default cache folder location, click Next.

  2. To specify a different cache folder, type the fully qualified folder path in the Cache folder textbox or use the Browse button to select a new location. Click Next.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Concepts

Logical and Physical Architecture

Other Resources

Installing Team Foundation Server Proxy


Specifying a Service Account for Team Foundation Server Proxy

[image]

Visual Studio Team System
Specifying a Service Account for Team Foundation Server Proxy
See Also Send Feedback

This topic helps you decide which service account to use for Team Foundation Server Proxy.

How the Proxy Service Account is Used

The Team Foundation Server Proxy service account is used to access the server that is running Team Foundation Server and for which it caches client requests. This account is also used to perform version-control tasks on cached version-control files.

Considerations for the Proxy Service Account

The Team Foundation Server Proxy service account:

  • Must not be a built-in system account, such as NetworkService.

  • Must appear in a server-level group on every application-tier server for Team Foundation Server that the proxy will access. This requirement enables the remote proxy to access and cache source control files.

  • Should have the option Account is sensitive and cannot be delegated selected in the Properties pane of Active Directory Users and Computers. For more information, see "Enabling Delegated Authentication" in the Microsoft Windows Server TechCenter on the Microsoft Web site.

Specifying a Proxy Service Account

The Proxy service account can be either the existing Team Foundation Server Proxy service account (Domain\TFSPROXY) or a different domain account. For more information about account types, see "How Security Principals Work" (http://go.microsoft.com/fwlink/?LinkId=89216).

Domain accounts are authenticated user accounts created in a domain. When you choose a domain account as the Team Foundation Server Proxy service account, you can customize the rights and permissions available to that account.

The following procedure describes how to specify a domain account as the Team Foundation Server Proxy service account.

To specify a domain account as the Team Foundation Server Proxy service account

  1. On the Service Logon Account page, click in the Account Name text box, and type the name of the Team Foundation Server Proxy service account.

    Use the format domain\user or user@domain.

  2. Click in the Password text box, and type the password for the service account.

  3. Click Next.

See Also

Concepts

Accounts Required for Installation


How to: Configure Team Explorer to Use a Team Foundation Server Proxy

[image]

Visual Studio Team System
How to: Configure Team Explorer to Use a Team Foundation Server Proxy
See Also Send Feedback

This topic describes how to configure Team Explorer to use a Team Foundation Server Proxy.

Required Permissions

To perform this procedure, you must be a member of the Users security group on the computer.

To configure Team Explorer to use a Team Foundation Server Proxy

  1. Start Team Explorer.

  2. On the Tools menu, click Options.

  3. Expand Source Control, and then click Visual Studio Team Foundation Server.

  4. Select Use proxy server.

  5. In the Proxy server name box, type the name of the computer hosting Team Foundation Server Proxy.

  6. In the Port box, type 8081.

  7. In Protocol, select Http.

  8. Click OK.

See Also

Other Resources

Installing Team Foundation Server Proxy


Installing Team Foundation Build

[image]

Visual Studio Team System
Installing Team Foundation Build
See Also Send Feedback

Team Foundation Server offers build automation to help you build and share Visual Studio 2008 solutions using Team Foundation Build. You can either install Team Foundation Build on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

System Requirements for Team Foundation Build

Provides the hardware and software requirements based on the size of your team.

How to: Install Team Foundation Build

Use this procedure to install Team Foundation Build.

Related Sections

System Requirements for Team Foundation Server

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Security Issues for Team Foundation

Provides security-related information for installing Team Foundation Server.

How to: Install Team Foundation Server

Use the procedures in this section to install and configure Team Foundation Server.

Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Visual Studio Team Foundation Installation


System Requirements for Team Foundation Build

[image]

Visual Studio Team System
System Requirements for Team Foundation Build
See Also Send Feedback

Updated: July 2010

The Team Foundation Build software requirements are the same as the Visual Studio 2008 system requirements, with some important exceptions. Support is limited to Windows XP Professional with Service Pack 2 (SP2); Windows Server 2003 with Service Pack 1 (SP1), Standard or Enterprise Edition; Windows Server 2003 R2, Standard or Enterprise Edition; Windows Vista, Home Premium, Business, Enterprise, or Ultimate Edition; and Windows Server 2008. For more information, see the Visual Studio 2008 Readme.

Hardware Recommendations

Configuration | CPU | Memory | Build time
Fewer than 50 users | 1.5 GHz (minimum 766 MHz) | 512 MB (minimum 256 MB) | Less than 0.5 hours
50 to 250 users | 2.6 GHz (minimum 2.0 GHz) | 1 GB (minimum 512 MB) | 0.5 hrs – 2 hrs
250 or more users | Dual processor, 2.2 GHz (minimum 2.0 GHz) | 2 GB (minimum 512 MB) | 2 - 7 hrs

Additional Software

You can use the following additional software with Team Foundation Build. You do not have to install it in order to use Team Foundation Build. However, the software must be installed on the same computer as Team Foundation Build to take advantage of certain features.

Client Software | Purpose
Visual Studio Team System Development Edition | Supports running static code analysis.
Visual Studio Team System Test Edition | Supports running tests during a build.

See Also

Tasks

How to: Install Team Foundation Build

Concepts

Logical and Physical Architecture
System Requirements for Team Foundation Server

Other Resources

Installing Team Foundation Build

Change History

Date | History | Reason
July 2010 | Added Windows Server 2008 to the list of supported operating systems. | Customer feedback.


How to: Install Team Foundation Build

[image]

Visual Studio Team System
How to: Install Team Foundation Build
See Also Send Feedback

This procedure shows you how to install Team Foundation Build. This procedure assumes that your computer meets the hardware and software requirements for the size of your team. For more information, see System Requirements for Team Foundation Build.

Important note Important Note:

If Microsoft .NET Framework 3.5 is not already installed on your build computer, the setup wizard will install it. This will require a system restart.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

How to install Team Foundation Build

  1. Insert the installation media.

  2. The Team Foundation Server Setup page appears. Click Team Foundation Build.

    If the Team Foundation Server Setup page does not appear, locate and run the autorun file (autorun.exe) in the top-level folder of the installation media.

  3. Click Install.

    The Microsoft Visual Studio 2008 Team Foundation Server Build Setup wizard starts.

  4. On the Welcome to Setup page, click Next.

  5. On the License Terms page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  6. On the System Health Check page, the setup wizard scans your system for conditions that could cause setup to fail, or cause issues later during server operation. The setup wizard reports the status of the system health check when the health check is finished.

    1. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks.

      Warnings should be addressed before continuing with setup, but should not prevent setup from completing. Blocks must be addressed before continuing with setup.

      - or -

    2. If the system health check did not find any blocks, click Next.

  7. On the Destination Folder page, click Next.

    If you want to install Team Foundation Build to a different location, type the location in the Destination folder text box or use the Browse button to select a new location.

  8. On the Service Logon Account page, ensure that the Use a system account check box is selected and that NETWORK SERVICE appears in the list of accounts.

    Note Note:

    You can specify an account other than NETWORK SERVICE for the Team Build service account, but you should not use an account that already appears in the Team Foundation Administrators group (as does Domain\TFSSERVICE). Whatever account you use must also appear in the Build Services group.

    For more information, see Accounts Required for Installation.

  9. On the Ready to Install page, click Install.

    Note Note:

    Setup creates program exceptions for MSBuild.exe and TeamBuildService.exe in Windows Firewall to allow communication with Team Foundation Server.

  10. On the Installing Components page, you can monitor the installation of Team Foundation Build.

  11. On the Setup Completed Successfully page, click Finish.

  12. If the setup wizard installed Microsoft .NET Framework 3.5 on your computer, you will be prompted to restart the computer. Click Restart Now to immediately restart the computer. If you plan to manually restart the computer, click Restart Later.

    Note Note:

    If the projects you want to build require additional items such as components, programs, or dynamic link libraries (.dll), you must add them to the build computer manually.

See Also

Concepts

Logical and Physical Architecture
System Requirements for Team Foundation Build

Other Resources

Installing Team Foundation Server


Specifying a Destination Folder for Team Foundation Build

[image]

Visual Studio Team System
Specifying a Destination Folder for Team Foundation Build
See Also Send Feedback

This topic helps you decide where to install Team Foundation Build.

Choosing a Destination Folder

This folder location determines where the Team Foundation Server setup wizard installs the files and folders needed by Team Foundation Build.

The setup wizard installs the Team Foundation Build program files to the destination folder you specify. The folder must be specified as a fully-qualified path (for example, C:\Program Files\Microsoft Visual Studio 9.0.)

To Specify an Installation Folder for Team Foundation Build

  1. To install to the default destination folder, click Next.

  2. To install to a different location, type the fully qualified folder path in the Destination folder textbox or use the Browse button to select a new location. Click Next.

See Also

Tasks

How to: Install Team Foundation Build

Concepts

Logical and Physical Architecture
Visual Studio Team Foundation Installation


Performing the System Health Check for Team Foundation Build

[image]

Visual Studio Team System
Performing the System Health Check for Team Foundation Build
See Also Send Feedback

This topic provides an overview of the conditions that will be checked during the System Health Check for Team Foundation Build. If your computer does not pass the health check, the setup wizard will display a link that provides additional information. Be sure to click this link for the specific information that applies to your computer.

To Perform the System Health Check

The system health check is a series of tests performed by the setup wizard to determine whether your computer can successfully install Team Foundation Build.

The health check returns both warning and blocking conditions. Warnings will not prevent an installation from completing successfully. However, you must fix any blocks before you continue with the setup wizard.

The following procedure explains how to perform the system health check.

To perform the system health check

  1. On the System Health Check page, examine any warnings or blocks by clicking the here link in the informational text: To review the details of the system scan, click here.

    Note Note:

    Blocking conditions must be fixed in order to successfully install the software. Warnings should be fixed, but will not prevent the installation from completing successfully.

  2. If there are blocks, click Cancel. Fix the blocking issues and run the setup wizard again.

  3. If there are warnings, you should resolve the issues and click Next. You can also complete setup without resolving the warning conditions.

  4. If there are no warnings or blocks, click Next.

Potential Issues that Result in a Warning Condition

The following conditions will cause a warning message. These problems should be fixed, but the setup process can continue.

  • Processor type and speed do not meet recommendations.

  • Available disk space does not meet recommendations.

  • Physical memory does not meet recommendations.

  • Windows Firewall is not enabled.

If the setup wizard displays one or more of these warnings, examine the detailed log to determine how to fix the problem. You can view this log by clicking the here link in the informational text: To review the details of the system scan, click here.

Potential Issues that Result in a Blocking Condition

The following conditions will cause a blocking message. These problems must be fixed for the setup process to continue.

  • Team Foundation Server is trying to install on a domain controller.

  • Windows Firewall is not configured to allow exceptions.

If the setup wizard displays one or more of these blocks, examine the detailed log to determine how to fix the problem. You can see this log by clicking the here link in the informational text: To review the details of the system scan, click here.

See Also

Tasks

How to: Install Team Foundation Build

Concepts

System Requirements for Team Foundation Build


Specifying a Service Account for Team Foundation Build

[image]

Visual Studio Team System
Specifying a Service Account for Team Foundation Build
See Also Send Feedback

This topic explains which service account to use for Team Foundation Build. The Visual Studio Team Foundation Build service account runs the build steps on the build computer, using instructions from the Team Foundation Build Web service.

Considerations for the Build Service Account

For optimal security, the service account for Team Foundation Build:

  • Must be a member of the Team Foundation Build Services group but not a member of the Team Foundation Administrators group. Do not use the same account for build services as you use for the service account for Team Foundation Server (Domain\TFSSERVICE).

    Note Note:

    You must manually add the build services account after you install Team Foundation Build.

  • Should not be an administrator on Team Foundation Server computers.

    Note Note:

    If you are running tests as part of the build process, the Visual Studio Team Foundation Build service account must be an administrator on the build computer. In this case, you should create a new domain account for the build service account. Do not give the Domain\TFSSERVICE account administrator permissions.

  • Should have the option Account is sensitive and cannot be delegated selected in the Properties pane of Active Directory Users and Computers. For more information, see "Enabling Delegated Authentication" (http://go.microsoft.com/fwlink/?LinkId=89364).

  • Must have full access to the drop location you specify when you create the Build Type.

  • Must have the Publish Test Results permission if you include tests as part of the build process.

Specifying a Service Account

If you are running tests during the build, you will need to create a new domain account with administrator permissions on the build computer.

For more information about the different accounts that are used by Team Foundation Server, see Accounts Required for Installation.

The following procedure describes how to specify a domain account as the Visual Studio Team Foundation Build service account.

To specify a domain account as the Visual Studio Team Foundation Build service account

  1. On the Service Logon Account page, click in Account Name and type the name of the Team Foundation Build service account.

    Use the format domain\user or user@domain.

  2. Click in Password and type the password for the service account.

  3. Click Next.

See Also

Concepts

Accounts Required for Installation

Other Resources

Security Issues for Team Foundation


Installing Team Explorer

[image]

Visual Studio Team System
Installing Team Explorer
See Also Send Feedback

The procedures in this section enable you to install and configure Team Explorer. You can install Team Explorer on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

System Requirements and Additional Client Software for Team Explorer

Describes the hardware requirements for Team Explorer and any optional software you might want to use with Team Foundation Server.

How to: Install Team Explorer Prerequisites

Describes how to install the Team Explorer prerequisites.

How to: Install Team Explorer

Describes how to install Team Explorer.

How to: Manage Team Foundation Server Connections in Team Explorer

Describes how to connect to Team Foundation Server from Team Explorer.

Related Sections

System Requirements for Team Foundation Server

Provides links you can use to read more about support for 64-bit operating systems, Active Directory Domain requirements, and server software requirements for both single- and multiple-server deployments.

Security Issues for Team Foundation

Provides descriptions of the accounts, ports, and other security-related information you need to install Team Foundation Server.

Installing Team Foundation Server

Use the procedures in this section to install and configure Team Foundation Server.

Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share solutions.

Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

See Also

Concepts

Visual Studio Team Foundation Installation


System Requirements and Additional Client Software for Team Explorer

[image]

Visual Studio Team System
System Requirements and Additional Client Software for Team Explorer
See Also Send Feedback

Team Explorer acts as a client of Team Foundation. You can extend Team Explorer with additional client software.

Team Explorer

Team Explorer provides access to the functionality available with Visual Studio Team System Team Foundation Server.

  • Work Items

  • Team Documents

  • Reports

  • Team Builds

  • Source Control

For Visual Studio users, your team edition includes a Client Access License (CAL) for installing and using Team Explorer.

The Team Explorer system requirements are the same as the Visual Studio system requirements. For more information, see the Visual Studio Readme on the Microsoft Web site. Team Explorer recommended hardware requirements are as follows:

Component | Minimum Requirements
Processor | 2.0 GHz
Operating System | The Team Explorer operating system requirements are the same as the Visual Studio operating system requirements. For more information, see the Visual Studio Readme.
RAM | 256 MB
Hard Disk | 5 GB of available space

Additional Client Software for Team Foundation Users

Additional client software is not required to use Team Explorer, but extends functionality offered by Team Foundation Server. You can install the software in any order except as noted in the following table. If you are using Visual Studio Team System, you can use this topic to select the software that meets your particular needs.

Software | Purpose | Installation Information
Visual Studio Team System | Provides support and flexibility for developers, testers, architects, and database developers to work together and with Team Foundation Server. | Available on the Microsoft Web site.
Microsoft Office Excel 2003 or Microsoft Office Excel 20071 | Integrates with work item tracking for bulk editing, sorting, and analysis operations. | Available on the Microsoft Web site. For more information, see How to: Install Team Explorer Prerequisites.
Microsoft SQL Server 2005 Analysis Services 9.0 OLE DB Provider | Provides the ability to connect to the Team Foundation data warehouse from Microsoft Excel so you can create a PivotTable or PivotChart report. | Available through the Microsoft Download Center. Analysis Services 9.0 OLE DB Provider is part of the Feature Pack for Microsoft SQL Server 2005.
Microsoft Office Project 2003 or Microsoft Office Project 20071 | Integrates with work item tracking for project planning and analysis. | Available on the Microsoft Web site. For more information, see How to: Install Team Explorer Prerequisites.
Microsoft Office Word 2003 or Microsoft Office Word 2007 | Used for creating and editing team documents. | Available on the Microsoft Web site.
SQL Business Intelligence Development Studio | Integrates with Team Foundation reporting to create and edit team reports. | Available from the installation media for Microsoft SQL Server 2005. When you run the Microsoft SQL Server 2005 setup wizard, the Feature Selection page displays this component under Client Components. For more information, see SQL Server Books Online .
Team Foundation Server SDK | Provides the Team Foundation Server API for extending Team Explorer and creating Team Foundation Server services. | Available as part of the Visual Studio SDK.

1 Install this software before you install Team Explorer.

See Also

Tasks

How to: Install Team Explorer Prerequisites
How to: Install Team Explorer

Concepts

Visual Studio Team Foundation Installation
Logical and Physical Architecture


How to: Install Team Explorer Prerequisites

[image]

Visual Studio Team System
How to: Install Team Explorer Prerequisites
See Also Send Feedback

You must install and configure Team Explorer prerequisites before you can install and use Team Explorer.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the computer.

To install the prerequisites for the client tier

  1. Install an operating system that meets the system requirements for Visual Studio as specified in the Visual Studio Readme (http://go.microsoft.com/fwlink/?LinkID=92390).

    Note Note:

    If you are installing the Team Foundation client tier on the same computer as the Team Foundation application tier, complete the installation of the application tier before installing the client tier components.

  2. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  3. Optionally, install Team System to provide support for Team Foundation Build.

  4. Optionally, install Microsoft Excel.

  5. On the Type of Installation page of the installation wizard, click Complete Install.

    Note Note:

    If you chose to customize install features, you must install .NET Programmability Support to use Visual Studio Team System integration features. If you choose to install Microsoft Excel, you must install it before you install Team Foundation Server.

  6. Optionally, install Microsoft Office Project Professional.

  7. On the Type of Installation page of the installation wizard, select Complete Install.

    Note Note:

    If you chose to customize install features, you must install .NET Programmability Support to use Visual Studio Team System integration features. If you choose to install Microsoft Office Project Professional, you must install it before you install Team Foundation Server.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  9. Visit Office Update (http://office.microsoft.com/officeupdate) and install any available updates.

Internet Explorer Enhanced Security Configuration

If you are installing Team Explorer on Windows Server 2003, you need to apply Windows 2000 default Internet Explorer security settings to enable Team Foundation functionality for the client. To apply Windows 2000 default Internet Explorer security settings on Windows Server 2003, you must disable Internet Explorer Enhanced Security Configuration.

Important note Important Note:

Applying the Windows 2000 default Internet Explorer security settings increases your server's exposure to potential attacks from malicious Web-based content.

To apply Windows 2000 default Internet Explorer security settings

  1. Close all instances of Internet Explorer.

  2. Open Control Panel, click Add or Remove Programs, and then click Add/Remove Windows Components.

  3. Clear the Internet Explorer Enhanced Security Configuration check box, and then click Next.

  4. Click Finish.

See Also

Other Resources

Installing Team Explorer


How to: Install Team Explorer

[image]

Visual Studio Team System
How to: Install Team Explorer
See Also Send Feedback

Users who are members of one or more team projects in Team Foundation Server can install and use Team Explorer to connect and work with Team Foundation Server. You can also install Team Explorer on your Team Foundation application-tier server and use Team Explorer to manage most of the administrative tasks for Team Foundation Server.

Required Permissions

To perform this procedure, you must be a member of the Users security group on the computer on which you are installing Team Explorer.

To install Team Explorer

  1. Complete the prerequisites for installing Team Explorer.

    For more information, see How to: Install Team Explorer Prerequisites.

  2. Insert the installation media, and do one of the following:

    If you are installing from the installation media for Visual Studio Team System 2008 Team Foundation:

    1. On the Team Foundation Server Setup page, click Team Explorer.

      If this page does not appear, locate and run the autorun file (autorun.exe) in the root folder of the installation media.

    2. Click Install.

    If you are installing from the installation media for an edition in Visual Studio Team System 2008:

    1. Open Windows Explorer, and browse to the installation media.

    2. Open the TFC folder, and double-click setup.exe.

  3. The Microsoft Visual Studio 2008 Team Explorer Setup wizard starts.

  4. On the Welcome to Setup page, click Next.

  5. On the License Terms and Product Key page, type the product key, and review the license agreement. If you accept the terms and conditions, select the I accept the terms of the License Agreement check box, and then click Next.

  6. On the Destination Folder page, click Next.

    If you want to install Team Explorer in a location other than the default folder, type the location as a fully qualified path in the Destination Folder box, or click Browse, and specify the installation folder that you want.

    Note Note:

    If Visual Studio is already installed on this computer, you cannot change the destination folder.

  7. On the Ready to Install page, click Install.

    The Installing Components page shows the progress of the installation.

  8. On the Setup Completed Successfully page, click Finish.

  9. Restart the computer.

Important note Important Note:

You should install the most recent release of MSDN Library for Visual Studio to ensure that you have the current product documentation for Team Foundation. For more information, see the Team System Documentation Directory on the Microsoft Web site.

See Also

Other Resources

Installing Team Explorer


Specifying a Destination Folder for Team Explorer

[image]

Visual Studio Team System
Specifying a Destination Folder for Team Explorer
See Also Send Feedback

When you install Team Explorer, you must specify where you want the Setup wizard to install files and folders for it. You must specify a fully qualified path (for example, C:\Program Files\Microsoft Visual Studio 9.0). You can specify a path other than the default path, but this approach might increase the complexity of future configuration or service maintenance.

Note Note:

If Visual Studio is already installed, you cannot change the destination folder.

Procedure

To specify an installation folder for Team Explorer

  1. To install Team Explorer in the default folder, click Next.

  2. To install Team Explorer in a different location, type the fully qualified path in the Destination Folder box, or click the Browse button, and specify the installation folder that you want. Then click Next.

See Also

Tasks

How to: Install Team Explorer

Concepts

Logical and Physical Architecture
Visual Studio Team Foundation Installation


How to: Manage Team Foundation Server Connections in Team Explorer

[image]

Visual Studio Team System
How to: Manage Team Foundation Server Connections in Team Explorer
See Also Send Feedback

This topic shows you how to add and connect to a Team Foundation Server from Team Explorer, or to remove a Team Foundation Server from Team Explorer.

Required Permissions

To perform these procedures, you must be a member of the Readers security group or have at least one permission in a team project set to Allow. For more information, see "Team Foundation Server Permissions" in the Team Foundation Server Administrator's Guide. If you installed Team Foundation Server Workgroup Edition, you must be a member of the Team Foundation Licensed Users security group to connect to the server.

To add a Team Foundation Server

  1. Start Visual Studio.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. Click Add.

    The Add Team Foundation Server dialog box appears.

  5. In the Team Foundation Server Name box, type the name or the IP address of the computer hosting the Team Foundation Server application tier.

  6. In the Port Number box, specify the port to use for this connection (the default port is 8080 for HTTP) and select the corresponding protocol.

  7. Click OK to return to the Add/Remove Team Foundation Server dialog box.

  8. Click Close to return to the Connect to Team Foundation Server dialog box.

  9. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  10. Click OK.

To connect to a Team Foundation Server

  1. Start Team Explorer.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. In the Connect to a Team Foundation Server list, select the Team Foundation Server you want to use.

  4. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  5. Click OK.

To remove a Team Foundation Server

  1. Start Team Explorer.

    Note Note:

    If you are currently connected to the server you want to remove, you need to disconnect by right-clicking the server name and clicking Disconnect.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. In the Team Foundation Server List, select the Team Foundation Server to remove, and then click Remove.

  5. Click Close to return to the Connect to Team Foundation Server dialog box, and then click OK.

See Also

Other Resources

Installing Team Explorer


Installing Team Foundation Server and Service Pack 1

[image]

Installing Team Foundation Server and Service Pack 1
See Also Send Feedback

You can install Service Pack 1 (SP1) on any server that is running one or more components of Visual Studio Team System 2008 Team Foundation Server. These components include Team Foundation Server, Team Foundation Server Proxy, or Team Foundation Build. You should install SP1, regardless of what type of deployment you have.

You must install SP1 in the following circumstances:

  • You want to upgrade your deployment of Team Foundation Server from SQL Server 2005 to SQL Server 2008. If you upgrade SQL Server but do not install SP1 after the upgrade, Team Foundation Server will no longer function.

  • You want to install SP1 for Visual Studio 2008 on the application-tier server for Team Foundation. If you install only one service pack, you will create an unsupported configuration.

  • You have a standby application-tier server, and the primary application-tier server has or will have SP1 installed on it. You must install SP1 on the standby application-tier server if you install it on the primary server.

Integrated Installation of Team Foundation Server and Service Pack 1

If you are installing Team Foundation Server for the first time or upgrading from Visual Studio 2005 Team Foundation Server, you should determine whether to integrate the installation files for Team Foundation Server with those of SP1.

Note Note:

You can perform an integrated installation with Team Foundation Server only. You cannot integrate the installation of SP1 with Team Foundation Server Proxy or Team Foundation Build.

The integration process creates a set of installation files that you can use to install both Team Foundation Server and SP1 at the same time. By integrating these files, you avoid having to perform separate installations. In addition, you must integrate the installation under the following circumstances:

  • You intend to use SQL Server 2008 as part of your deployment. In this environment, installation will fail if you try to install Team Foundation Server without SP1 integrated as part of the installation.

  • You intend to use a server that is running Windows Server 2008 as your application-tier server, and you want to automatically install and configure Windows SharePoint Services 3.0 when you install Team Foundation Server. In this environment, the option to automatically configure Windows SharePoint Services 3.0 will be unavailable if you install Team Foundation Server without SP1.

    Note Note:

    If you perform an integrated installation of Team Foundation Server with its SP1 and you include Windows SharePoint Services 3.0 as part of that installation, you will automatically install Windows SharePoint Services 3.0 with its SP1.

  • You want to update a build server that has more than 10,000 builds that were migrated from Visual Studio 2005 Team Foundation Server.

For more information, see How to: Integrate the Installation of Team Foundation Server and Service Pack 1.

Updating Client Components

When you install SP1 for Team System 2008 Team Foundation Server, you update only the server components of Team Foundation. To update the client components such as Team Explorer, you must download SP1 for Visual Studio 2008 from the Microsoft Web site and install these two service packs separately.

You must install SP1 for Visual Studio 2008 under the following circumstances:

  • The client component must connect to a deployment of Team Foundation Server that uses SQL Server 2008. If you do not update the client, it will not be able to connect to that deployment.

  • An application-tier server for Team Foundation, a build server for Team Foundation, or a proxy server for Team Foundation has or will have both a client component and SP1 for Team Foundation Server installed. If you install only one of these service packs, you will create an unsupported configuration.

    Important note Important Note:

    In deployments where the application tier and a client tier component are installed on the same computer, you must install SP1 for Visual Studio 2008 before you install SP1 for Team Foundation Server. Otherwise, you will not be able to install SP1 for Team Foundation Server.

For example, you should first install SP1 for Visual Studio 2008 and then install SP1 for Team Foundation Server on any server that is running both Team Foundation Server and Team Explorer. If you try to update Team Foundation Server first, the update will fail. If you update Team Foundation Server but not Team Explorer, you will encounter errors if you try to use that installation of Team Explorer to perform certain administrative tasks on Team Foundation Server.

See Also

Tasks

How to: Integrate the Installation of Team Foundation Server and Service Pack 1


How to: Integrate the Installation of Team Foundation Server and Service Pack 1

[image]

How to: Integrate the Installation of Team Foundation Server and Service Pack 1
See Also Send Feedback

Updated: July 2010

This topic describes how to merge files from the installation DVD for Visual Studio Team System 2008 Team Foundation Server with the installation files for Service Pack 1 (SP1) so that you can install them at the same time. For more information, see Installing Team Foundation Server and Service Pack 1.

Note Note:

SP1 for Team System 2008 Team Foundation Server updates the server components of Team Foundation. If you install this service pack, you should also install SP1 for Visual Studio 2008 from the Microsoft Web site. This service pack updates Team Explorer and other clients of Team Foundation to work with Team Foundation Server SP1.

You can integrate the installation of SP1 with Team Foundation Server Trial Edition, Team Foundation Server Workgroup Edition, or an edition from a volume-licensing program. However, you must provide your product key, which you can find on your installation DVD. If you open the setup.sdb file in a text editor, you can search for a line that contains the text Product Key. The next line contains the product key. For more information, see this topic on the Microsoft Web site: How to: Locate the Product Key for Team Foundation Server.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the local computer.

To integrate the installation of Team Foundation Server and Service Pack 1

  1. Download SP1 from the Microsoft Web site, and save the update to a folder on the local computer.

    For example, you can save the file to C:\SP1Download.

  2. From the files that originated on the DVD for Team Foundation Server, copy the AT folder to a location on the local computer.

    For example, you can copy the folder to C:\InstallMedia.

  3. On the local computer, right-click the AT folder, click Properties, and then clear the Read-only check box.

  4. Open a Command Prompt window, and type the following command, replacing C:\SP1Download with the location that you chose in step 1 and C:\SP1Extract with a separate location on the local computer:

    C:\SP1Download\TFS90SP1-KB949786-ENU /extract:C:\SP1Extract

  5. Create a folder where you can merge files from SP1 and the DVD.

  6. Type the following command, replacing C:\InstallMedia with the location that you chose in step 2, C:\SP1Extract with the location that you chose in step 3, and C:\MergeFolder with the absolute path of the location that you chose in step 4:

    msiexec /a C:\InstallMedia\AT\vs_setup.msi /p C:\SP1Extract\TFS90sp1-KB949786.msp TARGETDIR=C:\MergeFolder

    Note Note:

    You must replace C:\MergeFolder with an absolute path, but you can replace C:\InstallMedia and C:\SP1Extract with absolute or relative paths.

  7. From C:\MergeFolder (which you created in step 4), run setup.exe to install Team Foundation Server with SP1.

See Also

Concepts

Installing Team Foundation Server and Service Pack 1

Change History

Date | History | Reason
July 2010 | Revised command-line sample. | Customer feedback.
July 2010 | Added step about changing permissions on the AT folder. | Customer feedback.


Configuring a Standby Application Tier

[image]

Visual Studio Team System
Configuring a Standby Application Tier
Send Feedback

To avoid downtime during maintenance or in the event of a server failure, you can add a standby application tier to the Team Foundation system.

In This Section

Checklist: Configure a Standby Server for the Application Tier

Summarizes the steps that you must complete to set up an architecture that can support a standby application-tier.

How to: Configure a Standby Server for the Application Tier

Describes how to set up a computer as a standby application tier. This computer takes over the application-tier services if the main application-tier server fails or requires downtime.

Related Sections

Installing Team Foundation Server

Contains topics that describe how to install and configure Visual Studio Team System Team Foundation Server.


Checklist: Configure a Standby Server for the Application Tier

[image]

Visual Studio Team System
Checklist: Configure a Standby Server for the Application Tier
See Also Send Feedback

This checklist outlines the general steps for configuring a standby server for the application tier. To follow this list, you must have the following physical architecture:

  • A data-tier server on which a supported version of SQL Server is installed and running.

  • A server other than the application-tier server on which SharePoint Products and Technologies is installed and running.

  • An application-tier server on which Visual Studio Team System Team Foundation Server is installed and running. If you are using Service Pack 1 (SP1) for Team Foundation Server on the primary application tier, you must also use it on the standby application tier.

  • A server that meets the hardware and software requirements for the standby application tier.

You should print this checklist and mark each step as you complete it.

Preparation

You must prepare the following items before you install and configure the standby server.

Done

Step

Download the most recent version of the installation guide for Team Foundation from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79226).

Verify that the standby server meets the hardware and software requirements for an application tier.

For more information, see the Application Tier section in System Requirements for Team Foundation Server.

You must use the same service and data source accounts and passwords on the standby server as you did on the primary server.

  • The user account to install Visual Studio Team System Team Foundation Server (TFSSETUP).

  • The service account to run Team Foundation services (TFSSERVICE).

  • The data source account to access SQL Server Reporting Services (TFSREPORTS).

For more information, see Accounts Required for Installation.

Installation

Done

Step

On the standby server, install Internet Information Services (IIS) 6.0, and enable ASP.NET.

For more information, see How to: Install Internet Information Services 6.0 on Windows Server 2003.

On the standby server, install SQL Server Reporting Services and any required service packs.

For more information, see How to: Install SQL Server Reporting Services in a Dual-Server Deployment.

Install the required software update that relates to the MSXML 6.0 Parser.

  1. Locate the update at the Microsoft Download Center.

  2. Locate the executable file for your operating system (for example, msxml6-KB925673-enu-x86.exe), and then double-click the file to install the update.

For more information, see "MS06-061: Security update for Microsoft XML Core Services 6.0" on the Microsoft Web site.

On the standby server, verify the network connection between the it and the primary server.

On the standby server, install Team Foundation Server.

For more information, see How to: Install Team Foundation Server.

Note Note:

If you are using Service Pack 1 (SP1) for Team Foundation Server on the application tier, you must use the integrated SP1 files to set up the standby server. For more information, see How to: Integrate the Installation of Team Foundation Server and Service Pack 1.

Verify that the appropriate ports are open on the standby server.

If you are using a firewall, you should be sure that the required ports are open to allow communication between components.

For more information, see Ports Required for Installation.

Install Team Explorer. For more information, see Installing Team Explorer.

On the standby server, update the Team Foundation Server user accounts and groups to match the primary server.

For example, be sure that the group memberships and roles for creators of team projects on the primary computer have appropriate memberships and roles on the standby computer.

For more information, see Managing Security Roles in Team Foundation Server.

Configuration

Done

Step

Choose a method for adding a DNS host to the domain. You must be able to specify a single host name for binding to the clients and the data tier, regardless of which server is active.

  • If the Team Foundation Server administrator has Domain Administration rights, use DNS Hosts Update.

  • If domain administration is unavailable to the Team Foundation Server administrator, use Dedicated IP (DIP) Addresses. For this option, obtain static IP addresses for the primary and standby servers, and specify a virtual server name on the domain that uses the same IP address as the primary server.

For more information about how to specify a host name, see the section "Configuring Network Adapters" in How to: Configure a Standby Server for the Application Tier.

On the primary server, back up the encryption key for Reporting Services by using the Reporting Services Configuration tool.

On the standby server, manually configure Reporting Services.

For more information, see the section "Configure Reporting Services" in How to: Configure a Standby Server for the Application Tier.

On the primary application-tier computer, rename the primary server to use the virtual server name. By following this step, you can point to either computer through the DNS method that you chose.

Connect Team Explorer to the virtual server name.

See Also

Tasks

How to: Configure a Standby Server for the Application Tier
How to: Install Team Foundation Server
How to: Install SQL Server 2005 in a Dual-Server Deployment
How to: Install Internet Information Services 6.0 on Windows Server 2003

Concepts

Ports Required for Installation
Managing Security Roles in Team Foundation Server
System Requirements for Team Foundation Server

Other Resources

Installing Team Explorer


How to: Configure a Standby Server for the Application Tier

[image]

Visual Studio Team System
How to: Configure a Standby Server for the Application Tier
See Also Send Feedback

After you set up the standby application tier, you should manually set up SQL Server Reporting Services on it and configure a virtual server name. This process helps ensure that the switch between computers is timely and transparent.

The following procedures provide detailed information about how to complete the configuration steps in the checklist.

  • Configuring Reporting Services

  • Configuring a Host Record in the Domain Name System (DNS)

  • Configuring Team Foundation Server to use the virtual server name

  • Connecting Team Explorer to connect to the virtual server

For more information about how to activate the standby server, see "How to: Activate a Fail-Over Application-Tier Server" on the Microsoft Web site.

The standby application tier requires a particular architecture. For more information, see Checklist: Configure a Standby Server for the Application Tier

Required Permissions

To configure a standby server for the application tier, you must be a member of the Team Foundation Administrators security group and a member of the Cluster Administrator security group.

Configuring Reporting Services

On the primary server for the application tier, you must back up the encryption key for Reporting Services to a file. When the servers fail over, you can use this file to start Reporting Services on the standby server.

On the standby server, you must manually configure Reporting Services.

To back up the encryption key for Reporting Services

  1. On the primary server, open a Command Prompt window, and type the following command:

    cd %Program Files%\Microsoft SQL Server\90\Tools\binn\rsconfigtool.exe

    The Reporting Services Configuration tool opens.

  2. Click Encryption Keys, and then click Backup.

  3. In Password, type a strong password.

  4. In Key File, clickthe Browse button (…), and type a name for the key file.

  5. Click Save, and then click OK.

    You should save the key file to a location that is available if the primary server fails.

To configure Reporting Services on the standby server

  1. On the standby server, open a Command Prompt window, and type the following command:

    cd %Program Files%\Microsoft SQL Server\90\Tools\binn\rsconfigtool.exe

    The Reporting Services Configuration tool opens.

  2. Click Report Server Virtual Directory, and then click New.

    The Create a New Virtual Directory dialog box opens.

  3. Click OK to create a virtual directory called ReportServer.

  4. Click Report Manager Virtual Directory, and then click New.

    The Create a New Virtual Directory dialog box opens.

  5. Click OK to create a virtual directory called Reports.

  6. Click Web Service Identity, and then click New to create a Report Server application pool.

    The New Application Pool dialog box opens.

  7. In Application Pool Name, type ReportServer.

  8. Click Built-in Account,click Network Service, and then click OK.

  9. In the Report Manager list, click ReportServer.

  10. Click Exit to close the Reporting Services Configuration tool.

    When the servers fail over, you connect this instance of Reporting Server to the data tier.

Configuring a Host Record in the Domain Name System (DNS)

To provide a single name that clients and the data tier can use for communications regardless of which application tier server is active, you must specify a virtual server name on the Domain Name System (DNS). When you want to switch application-tier services from the primary to the standby server, you must use that name to activate the standby and bind it to the data-tier server.

The following procedures describe two options for specifying a virtual server name on the domain. Both options require DNS administrator privileges because you must create a DNS Host (A) record for the virtual server name. If your organization does not provide DNS Administration permissions to Team Foundation administrators, you must use Dedicated IP Addresses so that you can update the IP Address for the host name.

In an organization where DNS administrator permissions are granted to the Team Foundation Server administrator, Microsoft recommends the DNS Hosts update approach.

DNS Hosts Update A DNS Host (A) record is created for the virtual server name that has the IP address of the primary Team Foundation Server application-tier server. You do not need a special network configuration on either of the Team Foundation Server application-tier servers. DNS resolves requests for the virtual Team Foundation Server application-tier server to the IP address of the primary application-tier server. During failover, a DNS administrator must update the DNS Host's entry to redirect traffic to the standby Team Foundation Server application-tier server.

Dedicated IP (DIP) Addresses In this configuration, you need three static IP addresses. A domain administrator creates the DNS Host record that maps the virtual Team Foundation Server application-tier server name to one of the dedicated IP addresses. The administrator manually sets that static IP address and one of the unused ones in the TCP/IP properties for the network connection on the primary Team Foundation Server application-tier server. The administrator uses the remaining static IP address to configure the standby Team Foundation Server application-tier server. During failover, the Team Foundation Server administrator changes the network settings on the new primary Team Foundation Server application-tier server so that it now responds to requests on the static IP address used for the virtual Team Foundation Server application-tier server.

To implement a standby server, the DNS server must have resource records for three servers.

  • Primary The computer name of the primary application-tier server that uses a static IP Address. For example, you might name the primary server TFS_AT_01.

  • Standby The computer name of the standby application-tier server that uses a static IP Address. For example, you might name the standby server TFS_AT_02.

  • Virtual server The virtual server name for the application tier with the static IP Address that is the same as the IP Address for the primary computer. For example, you might use the name TFS_AT for the virtual server name.

    After a failure, you need to manually update the IP Address for the virtual server name to match the standby computer.

    The following procedures assume that you already have a data-tier server and application-tier server set up and running.

    Note Note:

    The steps to obtain static IP Addresses and specify a virtual server name depend on how your organization manages the domain. This documentation does not describe domain management. For more information, see the Domain Administrator.

To specify a virtual server name on the DNS

  1. From the Start menu, click Run, type dnsmgmt.msc,and then click OK.

  2. In the DNS Manager, click Forward Lookup Zones, right-click the domain name, and then click New Host (A).

  3. In the New Host dialog box, type the name that you want to use for the virtual server.

    For example, you can use TFS_AT.

  4. Examine and note the static IP Addresses for the primary and standby computers.

  5. Select Create associated pointer (PTR) record, type the IP address according to the method that you chose to use, and then click Add Host.

    • DNS Hosts Update Enter the IP address of the primary computer.

    • Dedicated IP (DIP) Addresses Enter one of the three static IP addresses as the address of the virtual server for the application tier. You must configure the network connections for the IP addresses.

  6. Verify that the primary computer and the virtual server are using the static IP address that you expect and that the addresses are the same.

To configure network connections for dedicated IP addresses

  1. On the primary server, open a Command Prompt window, and type ipconfig /all.

    Note Note:

    If you are using DNS Hosts Update, you do not have to complete this procedure.

    The network settings appear.

  2. On the Start menu, click Control Panel, and then click Network Connections.

  3. Right-click the network connection for the domain, and click Properties.

  4. In the This connection uses the following items list, click Internet Properties (TCP/IP), and then click Properties.

  5. Click Use the following IP Address, type the static IP address for the primary computer, the subnet mask for that IP address, and the default gateway for the network.

    This information appears in the Command Prompt window.

  6. In the Network Connections dialog box, type the first DNS server address that appears in the Command Prompt window as the Preferred DNS Server, and then click Advanced.

  7. In the Advanced TCP/IP Settings dialog box, click the DNS tab, click Add, and then specify any additional DNS servers that appear in the Command Prompt window.

  8. Click the WINS tab, click Add, and specify the primary and secondary Windows Internet Name Service (WINS) servers that appear in the Command Prompt window.

  9. Repeat these steps on the standby server.

Configuring Team Foundation Server to Use the Virtual Server Name

You can configure both the standby and the primary servers to use the virtual server name as soon as the name is available in the system. Any existing clients using the name of the primary server can still connect. However, after you activate the standby server, the clients need to reconnect using the virtual server name.

To configure the primary computer to use the virtual server name

  • On the primary computer, activate the virtual server name by using the ActivateAT command of the TfsAdminUtil command-line utility.

    For example, the following command activates TFS_AT as the application-tier server, which is using the same IP Address as the primary server.

    TfsAdminUtil ActivateAT TFS_AT

To configure the standby computer to use the virtual server name

  • On the standby computer, activate the virtual server name by using the ActivateAT command of the TfsAdminUtil command-line utility.

    For example, the following command activates TFS_AT as the application-tier server which is using the same IP Address as the primary server.

    TfsAdminUtil ActivateAT TFS_AT

Connecting Team Explorer to the Virtual Server

To connect Team Explorer to the virtual server

  1. Open Team Explorer, click Tools, and then click Connect to Team Foundation Server.

  2. Add a server name to the list by clicking Add, specifying the virtual server name, and clicking Close.

  3. In the Connect to dialog box, click the virtual server name in the list, and then click Connect.

See Also

Tasks

How to: Install Team Foundation Server

Reference

Checklist: Configure a Standby Server for the Application Tier

Other Resources

Configuring a Standby Application Tier
Repairing and Troubleshooting Team Foundation


Repairing and Troubleshooting Team Foundation

[image]

Visual Studio Team System
Repairing and Troubleshooting Team Foundation
Send Feedback

By using the procedures in this section, you can repair or uninstall Visual Studio Team System Team Foundation Server and all related components.

In This Section

How to: Repair Team Foundation Server

Describes how to restore the Team Foundation Server components to their original state.

How to: Repair Team Foundation Server Proxy

Describes how to restore Team Foundation Server Proxy.

How to: Repair Team Explorer

Describes how to restore the Team Explorer component.

Troubleshooting Installation for Team Foundation

Describes common problems that occur when you install Team Foundation Server and its prerequisites.

Related Sections

Visual Studio Team Foundation Installation

Uninstalling Team Foundation


How to: Repair Team Foundation Server

[image]

Visual Studio Team System
How to: Repair Team Foundation Server
See Also Send Feedback

This topic shows you how to restore Team Foundation Server to its original state.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

Repairing Team Foundation Server

If you encounter unexpected results when using Team Foundation Server, you can repair the installation.

To repair Team Foundation Server

  1. In the Control Panel, open Add or Remove Programs.

  2. Select Microsoft Visual Studio 2008 Team Foundation Server - LOC (where LOC is the three letter locale for the installed product), and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Repair or Reinstall, and then click Next.

  4. On the Team Foundation Server Service Account page, examine the type of account used for installation.

    • If Use a system account is selected, click Next.

    • If Specify an account is selected, click the Password text box and type the password for the specified account. Click Next.

  5. On the Reporting Services Data Source Account page, examine the type of account used for installation.

    • If Use Team Foundation Server service account is selected, click Next.

    • If Specify an account is selected, click the Password text box and type the password for the specified account. Click Next.

  6. On the Ready to Repair page, click Repair.

  7. On the Maintenance - Repair/Reinstall page, examine the installation progress.

    You may be asked to provide the location of the original installation media.

  8. On the Maintenance - Setup Complete page, click Finish.

  9. At the prompt, click Restart Now, and allow time for the server to restart.

See Also

Other Resources

Repairing and Troubleshooting Team Foundation
Installing Team Foundation Server


How to: Repair Team Foundation Server Proxy

[image]

Visual Studio Team System
How to: Repair Team Foundation Server Proxy
See Also Send Feedback

This topic shows you how to repair Team Foundation Server Proxy.

Note Note:

The repair procedure requires that you restart the proxy computer.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the proxy computer. For more information, see Accounts Required for Installation.

To repair Team Foundation Server Proxy

  1. Log on to the proxy computer.

    If you use Terminal Server to connect to the proxy computer, use the /console option. For example: mstsc /console /v:proxy_computer

  2. Click Start, select Control Panel, and then click Add or Remove Programs.

  3. Select Microsoft Visual Studio 2008 Team Foundation Server Proxy and then click Change/Remove.

  4. On the Maintenance Mode Options page, select Repair/Reinstall, and then click Next.

  5. On the Service Account page, type the password for the service account.

    Note Note:

    The service account is specific to your organization. This guide uses Domain/TFSPROXY as a placeholder for this account.

  6. On the Maintenance - Repair/Reinstall page, examine the list of components, and then click Restart Now at the prompt.

  7. Log on to the proxy computer.

  8. On the Maintenance - Setup Complete page, click Finish.

See Also

Other Resources

Uninstalling Team Foundation
Installing Team Foundation Server Proxy


How to: Repair Team Foundation Build

[image]

Visual Studio Team System
How to: Repair Team Foundation Build
See Also Send Feedback

This topic shows you how to restore Team Foundation Build to its original state.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

Repairing Team Foundation Build

If you encounter unexpected results when using Team Foundation Build, you can repair the installation.

To repair Team Foundation Build

  1. In the Control Panel, open Add or Remove Programs.

  2. Select Microsoft Visual Studio 2008 Team Foundation Server Build - LOC (where LOC is the three letter locale for the installed product), and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Repair or Reinstall, and then click Next.

  4. On the Team Foundation Server Service Account page, examine the type of account used for installation.

    • If Use a system account is selected, click Next.

    • If Specify an account is selected, click the Password text box and type the password for the specified account. Click Next.

  5. On the Ready to Repair page, click Repair.

  6. On the Maintenance - Repair/Reinstall page, examine the installation progress.

    You may be asked to provide the location of the original installation media.

  7. On the Maintenance - Setup Complete page, click Finish.

  8. At the prompt, click Restart Now.

    Allow time for the computer to restart.

See Also

Other Resources

Repairing and Troubleshooting Team Foundation
Installing Team Foundation Build


How to: Repair Team Explorer

[image]

Visual Studio Team System
How to: Repair Team Explorer
See Also Send Feedback

This topic shows you how to restore Team Explorer to its original state.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

Repairing Team Explorer

If you encounter unexpected results when using Team Explorer, you can repair the installation.

To repair Team Explorer

  1. In the Control Panel, open Add or Remove Programs.

  2. Select Microsoft Visual Studio 2008 Team Explorer, and then click Uninstall/Change.

  3. On the Maintenance Mode Options page, select Repair/Reinstall, and then click Next.

  4. On the Ready to Repair page, click Repair.

  5. On the Maintenance - Repair/Reinstall page, examine the installation progress.

  6. If you are prompted to restart your computer, click Restart Now, and allow time for the computer to restart. Log on to the computer and allow setup to continue.

  7. On the Maintenance - Setup Complete page, click Finish.

  8. At the prompt, click Restart Now, and allow time for the computer to restart.

See Also

Other Resources

Repairing and Troubleshooting Team Foundation
Installing Team Explorer


Troubleshooting Installation for Team Foundation

[image]

Visual Studio Team System
Troubleshooting Installation for Team Foundation
See Also Send Feedback

This topic describes the most common issues that may occur when you install Visual Studio Team System Team Foundation Server and its prerequisites, and provides solutions for resolving these problems. The setup wizards for most of the components offer system configuration checking that describes issues specific to your particular computer and system. You can use the information and procedures in the wizards to perform tasks customized to your circumstances.

Note Note:

The most common reason for an installation of Team Foundation Server to fail is because one or more procedures were skipped during the installation of a prerequisite component.

The following items provide additional information. If you cannot resolve your problem by using these items, you can uninstall Team Foundation Server, and try to install it again. For more information, see How to: Uninstall Team Foundation Server.

  • Problems that May Occur with the Installation of the Application-tier

    • Error Number 32000

    • Error Number 29112

    • Error Number 29109

    • Error Number 28806

    • Error Number 29000

    • Error Number 28805

    • Unable to Install Team Foundation Server Due to Incompatible SQL Server Collation Settings

    • Unable to Install Team Foundation Server Due to IIS 5.0 Isolation Mode

    • Problems that May Occur with the Installation of the Windows SharePoint Services Extensions

  • Problems that May Occur with the Installation of Team Foundation Build

  • Problems that May Occur with the Installation of Team Foundation Explorer

  • Problems that May Occur after the Installation of Team Foundation Server

    • Project Creation Wizard Fails

    • Documents and Reports are Unavailable in Team Explorer

    • "Service Unavailable" Error for a Team Foundation Web Site

  • Additional Troubleshooting Resources

    • Installation Log Files

    • Internet Information Services (IIS)

    • SQL Server

    • SharePoint Products and Technology

Problems that May Occur with the Installation of the Application-tier

Review the following sections for common problems and their solutions that may encounter when installing Team Foundation Server. These errors may appear in the installation wizard for Team Foundation Server or in MSI installation log file. For information on accessing the log files, see Installation Log Files.

Error Number 32000

The following error may appear in the MSI installation log file:

Error 32000. The Commandline ‘[1]’ returned non-zero value: [2]

Error 32000 - This is one of those all-inclusive errors that looks really intimidating when you see it because the error itself contains a really big number. 32000 comes in many flavors. It's the very end of the error that you want to look at right after the words 'non 0 value: or 'non-zero value'.

non zero value:-2130242250 or -1 -

There isn't much info on this error, just that it is normally caused by a bad installation of Windows Sharepoint Services 2.0. Try removing it from ARP (Add/Remove Programs) and reinstall.

non zero value: -4 or -5

This one is typically a problem with SQL Reporting Services. Check the Reporting Services Configuration tool to make sure that you have green check marks for all items.

Open Internet Explorer and in the Address Bar, type http://machinename/reports to bring up the Reporting Services reports. If you bring up a 'Page cannot be displayed' or 401 or 404 error then Reporting Services is not correctly configured.

Problem

Solution

A problem may have occurred with SQL Server Reporting Services.

  1. Open Internet Information Services (IIS) Manager and stop all Web sites on the application-tier server, other than the default Web site for IIS.

  2. Delete all of the virtual directories for Reporting Services for each Web site.

  3. Delete the application pool for Reporting Services.

  4. Press the Retry button on the Setup Failed page.

The ISO file image may be bad.

  1. Obtain a new ISO image file. For trial editions, you can download a new image file from http://www.microsoft.com/downloads/.

  2. Press the Retry button on the Setup Failed page.

The account that the user is logged in as might not be part of the local administrators group.

  1. Check the permissions of the user account that you are logged in as and are using to install Team Foundation Server.

  2. Either change to a user account that is part of the local administrators group or add the current user to the local administrators group (see Add a User Account to the Local Administrators Group).

  3. Press the Retry button on the Setup Failed page.

The "sa" account is named something other than "sa."

  1. Change this account to "sa" for the installation. The "sa" account can be changed by following commands, where [sys-admin] is the name of the current "sa" account:

    ALTER LOGIN [sys-admin] DISABLE;

    ALTER LOGIN [sys-admin] WITH NAME = sa;

  2. Press the Retry button on the Setup Failed page.

  3. Change the "sa" account back to the original name. The "sa" account can be changed back to its old name, denoted by [sys-admin], by using the following commands:

    ALTER LOGIN sa DISABLE;

    ALTER LOGIN sa WITH NAME = [sys-admin];

The default IIS website was configured to a specific a specific IP Address.

  1. Change the address to All Unassigned. For more information about changing the IP address can be found at the Microsoft Web site: How to set up your first IIS Web site.

  2. Press the Retry button on the Setup Failed page.

Some of the report schema files in the database have become corrupted.

aa

Unknown reason.

  • Some installers have found success by repeated selection of the Retry button on the Setup Failed page. (Repeat up to four times.)

(non-zero value=-2130246810)

In INETMGR, right click the Default web site and left click on Properties. On the Directory Security tab, click Edit and make sure that Integrated Windows Authentication is being used.

In INETMGR, right click the Default web site and left click on Properties. Go to the Web Site tab. Make sure the IP Address field under Web Site Identification is set to 'All Unassigned'.

non zero value:-2130242250 or -1 -

There isn't much info on this error, just that it is normally caused by a bad installation of Windows Sharepoint Services 2.0. Try removing it from ARP (Add/Remove Programs) and reinstall.

Error Number 29112

The following command line error may appear in the :

Error 29112. Team Foundation Report Server Configuration: Either SQL Reporting Services is not properly configured, or the Reporting Services Web site could not be reached. Use the Reporting Services Configuration tool to confirm that SQL Reporting Services is configured properly and that the Reporting Service Web site can be reached, and then run the installation again. For more information, see the Team Foundation Installation Guide.

Possible causes and solutions for this error are described in the following table:

Problem

Solution

SQL Server Reporting Services is not configured properly.

  1. Verify that all services for Reporting Services are configured properly. open the Reporting Services Configuration tool (located under Start->Programs->Microsoft SQL Server 2005 (2008)-> Configuration Tools. If some area does not have a green check (other than the Encryption Keys), then this could be the problem.

  2. Open the Reporting Services Configuration tool and verify that the following services are configured properly. For more information, see the Microsoft Web site: How to: Start Reporting Services Configuration.

  3. If the server status is not running, then click the START button on the middle of the page.

  4. Ensure that for the Report Server Virtual Directory the name is Report Server and the Website is Default Web Site.

  5. Ensure that for Report Manager Virtual Directory the name is Reports and the Website is Default Web Site.

  6. Ensure that for the Windows Service Identity the Service Name is Report Server, the Service account is LocalSystem, and Built in Account is selected within the Local System in the drop down box.

  7. Ensure that for the Web Service Identity, the ASP.NET Service account is NT Authority\Network Service, the Report Server is ReportServer, and the Report Manager is ReportServer.

  8. Under the Database Setup, the Server Name should be the name of the machine, the database name should be ReportServer, and the Credentials Type should be Service Credentials.

  9. Under the Initialization, the machine name should be listed with the SQL Server, the ID and the Initialized check boxes should be checked. If they are not checked, select the instance and click the Initialize button.

  10. Press the Retry button on the Setup Failed page.

The default application pool in IIS Manager is not running under the Network Service Account.

  1. In Start->Run type INETMGR and click OK.

  2. Click on Application Pools.

  3. Right click on the Default App Pool.

  4. Click on Properties.

  5. Click on Identity Tab.

  6. Click the radio button next to predefined.

  7. Choose Network Service from the dropdown menu next to predefined.

  8. Click OK.

  9. Close the IIS Manager.

  10. Press the Retry button on the Setup Failed page.

Error Number 29109

When installing Team Foundation Server on the application-tier, the following error may appear in the installation wizard:

Error 29109. Team Foundation Report Server Configuration: SQL Reporting Services configuration encountered an unknown error. Verify that you have sufficient permissions to configure SQL Reporting Services, and try again.

Possible causes and solutions for this error are described in the following table:

Problem

Solution

The virtual directories for the Reporting Services are not in the correct location. (This can occur if you install SharePoint after the Reporting Services.)

  1. Rerun the configuration tool for Reporting Services. (Directions for rerunning this tool can be found here: http://msdn.microsoft.com/en-us/library/ms159644.aspx .)

  2. Move the virtual directories to the WSS enabled site.

  3. Press the Retry button on the Setup Failed page.

The Reporting Server needs to be reset.

  1. Reboot the server on which SSRS is installed.

  2. Press the Retry button on the Setup Failed page.

Error Number 28806

When installing Team Foundation Server on the application-tier, the following error may appear in the installation wizard:

Error 29906. An unexpected error occurred. Verify that SQL Server Reporting Services is installed and running on the Team Foundation app tier and that you have sufficient privileges to access it. For more information, see the setup log.

The possible cause and solution for this error are described in the following table:

Problem

Solution

Credentials for the Reporting Server were set to service credentials and should be TFSSERVICE.

  1. Change the credentials from service credentials to TFSSERVICE.

  2. Open the Reporting Services Configuration Tool (Directions for running this tool can be found here: http://msdn.microsoft.com/en-us/library/ms159644.aspx .)

  3. Go to Database Setup.

  4. Change Credentials Type to Windows Login

  5. Enter the TFSSERVICE username and password.

  6. Press the Retry button on the Setup Failed page.

Error Number 29000

When installing Team Foundation Server, the following error may appear in the installation wizard for Team Foundation Server:

Error 29000. An unexpected error occurred. Verify that SQL Server Reporting Services is installed and running on the Team Foundation app tier and that you have sufficient privileges to access it. For more information, see the setup log.

The possible cause and solution for this error are described in the following table:

Problem

Solution

The server that hosts Analysis Server is not running, or the permissions to access Analysis Services for the user account are not sufficient.

  1. Ensure that the analysis server is running as an account with sufficient privileges (e.g., a local system account).

  2. Ensure that the setup account has sufficient permissions on the analysis services server. (This can be achieved by adding the setup account to the local admin group on the Analysis Server machine.) Directions for changing the Log On account (i.e., the account the analysis server is running as) can be found at http://msdn.microsoft.com/en-us/library/ms345578.aspx.

  3. Press the Retry button on the Setup Failed page.

Error Number 28805

When installing Team Foundation Server on the application-tier, the following error may appear in the installation wizard:

Error 28805. The setup program cannot complete the request to the server that is running SQL Server Reporting Services. Verify that SQL Server Reporting Services is installed and running on the Team Foundation app tier and that you have sufficient permissions to access it. For more information, see the setup log.

The possible causes and solutions for this error are described in the following table:

Problem

Solution

Insufficient privileges

  1. Have SSRS run as a network service and grant Network Service (on a single machine) or DOMAIN\TFSSERVER$ (on a dual-server) SQL DB permissions. Directions for changing the Log On account (i.e., the account the analysis server is running as) can be found at http://msdn.microsoft.com/en-us/library/ms345578.aspx.

  2. Press the Retry button on the Setup Failed page.

Certificates are installed on a Web site that must be ignored.

  1. Ignore certificates by changing SecureConnectionLevel to 0. Directions for changing SecureConnectionLevel can be found at http://msdn.microsoft.com/en-us/library/ms157273.aspx.

  2. Press the Retry button on the Setup Failed page.

Unable to install Team Foundation Server due to Incompatibility with Setting for SQL Server Collation

When installing Team Foundation Server on the application-tier, the following error may appear during the health check:

There is an error with the collation settings for SQL Server. The collation settings are not compatible with Team Foundation Server.

Team Foundation Server requires that collation settings are case insensitive and accent sensitive. If you want to use an installation of SQL Server with Team Foundation Server, you must verify that the collation settings meet these requirements. If they do not, installation of Team Foundation Server will fail. You cannot change the collation settings after you install SQL Server. For more information, see the Microsoft Web site: Collation Settings in Setup .

Unable to install Team Foundation Server due to IIS 5.0 Isolation Mode

IIS 5.0 isolation mode disables application pools that SharePoint Products and Technologies requires. When IIS 5.0 isolation mode is enabled, installation of SharePoint Products and Technologies completes without failure, but installation of Team Foundation Server fails.

By default, this option is not enabled at the time IIS is installed. If the option is enabled, SharePoint Products and Technologies cannot connect to the configuration database, and Team Foundation Server installation fails.

To complete installation of Team Foundation Server, you can disable the mode and then retry the procedure to install Team Foundation Server.

To disable IIS 5.0 isolation mode

  1. Click Start, click Control Panel, click Administrative Tools, and then click Internet Information Services (IIS) Manager.

  2. Right-click the Web Sites folder, and then click Properties.

  3. On the Service tab, clear the Run WWW service in IIS 5.0 isolation mode check box.

  4. Click OK.

Problems that May Occur with the Installation of the Windows SharePoint Services Extensions

The two most common problems and their solutions that users encounter when installing Windows SharePoint Services Extensions are described in the following table:

Problem

Solution

SharePoint Products and Technologies was not installed prior to installing Windows SharePoint Services Extensions.

  1. Install SharePoint Products and Technologies as described in Installing SharePoint Products and Technologies.

  2. Retry installing Windows SharePoint Services Extensions.

The version of SharePoint Products and Technologies that is installed is not supported.

  1. Install a version of SharePoint Products and Technologies that is 2.0 or higher.

  2. Retry installing Windows SharePoint Services Extensions.

For more information, see How to: Install Windows SharePoint Services Extensions for Team Foundation Server.

Problems that May Occur with the Installation of Team Foundation Build

When installing Team Foundation Build, the following error may appear in the MSI verbose installation log file:

ca_addlogonserviceprivilege_x86_enu.3643236f_1603

The cause and solution for this error is described in the following table:

Problem

Solution

The Domain Controller for the domain in which the server is a member of is not available and Team Foundation Build is being installed by using Network Service as the service account.

  1. Make sure that the domain controller is running and that the network connection from the server where you are installing Team Foundation Build is working.

  2. Check the user account being used to install Team Foundation Build.

    Note Note:

    If you do not want to install under the Network Service account you can install Team Foundation Build using a domain user account.

  3. Retry installing Team Foundation Build.

Problems that May Occur with the Installation of Team Foundation Explorer

Team Explorer is a separate install that is obtained from the Team Foundation Server installation media. It is accessible from the Team Foundation Server Setup page.

Team Explorer is both a standalone client (in the absence of Visual Studio Team System 2008), and an integrated part of Visual Studio. Also, you need not install them in any particular order. You can add Visual Studio to Team Explorer, or the other way around. Either way, Team Explorer will then be available through Visual Studio. However, you cannot use Team Explorer as a standalone client. You can also uninstall one or the other without ill effect.

The most common failure that may occur when installing Team Explorer is when it is installed on a computer on which Visual Studio is not installed. Thus, if both Visual Studio and Team Explorer will be installed on the same machine, installing Visual Studio first will reduce the likelihood that a Team Explorer installation will fail.

Note Note:

These failures occur when installing the Team Explorer because if Visual Studio is not already installed on a machine, then Team Explorer installs a light version of Visual Studio, called Preferred Partner Edition (PPE). Rebooting resolves most of the problems associated with the Team Explorer installation because under some systems the computer must be reset in order to use PPE.

If Team Explorer is installed on a machine on which either Visual Studio will not be installed or it is not possible to install Visual Studio before Team Explorer, then most installation failures can be resolved by rebooting the machine and attempting to install Team Explorer again.

The most common problems encountered when installing Team Explorer, is attempting to install it on a computer that for this error is described in the following table:

Problem

Solution

Team Explorer is installed on a computer on which Visual Studio is not installed.

  1. Retry installing Team Foundation Build.

Team Explorer is installed on a computer where Visual Studio was not previously installed.

asdf

Problems that May Occur after the Installation of Team Foundation Server

Common problems that occur when creating a team project, accessing documents and reports from Team Explorer, or finding a Web site is not available are addressed below.

Project Creation Wizard Fails

Two common errors that cause the Project Creation Wizard to fail are addressed below. For more information, see the Microsoft Web site: Troubleshooting Team Project Creation and Deletion.

Unable to connect to the specified SQL Server Reporting Services at TFSServerName.

The cause and solution for this error is described in the following table:

Problem

Solution

The firewall for the application-tier server does not have an exception configured for port 80.

  • Add port 80 to the exception list for your firewall application. For more information about the ports required for Team Foundation Server, see Ports Required for Installation.

TF30170: The plugin Microsoft.ProjectCreationWizard.Portal failed during task SharePointPortal from group Portal.

The cause and solution for this error is described in the following table:

Problem

Solution

The Windows SharePoint Services Extensions for Team Foundation Server on the computer that is running SharePoint Products and Technologies.

  • If the deployment of SharePoint Products and Technologies is not located on the application-tier computer, you must install the Windows SharePoint Services Extensions for Team Foundation Server on the computer that is running SharePoint Products and Technologies. This process installs the site templates necessary for project creation. You should install these extensions after you install Team Foundation Server. For more information, see How to: Install Windows SharePoint Services Extensions for Team Foundation Server.

Documents and Reports are Unavailable in Team Explorer

When you connect to a Team Foundation server using Team Explorer, the Documents and Reports nodes of a project may be unavailable. This is indicated by a red "x" on the nodes. This may indicate that the firewall on the Team Foundation Server server computer does not have an exception configured for port 80. You must add this port to the exception list for your firewall application. For more information about the ports required for Team Foundation Server, see Ports Required for Installation.

"Service Unavailable" Error for a Team Foundation Web Site

If you installed SharePoint Products and Technologies interactively and the Web browser cannot open the Configure Administrative Virtual Server page, the resolution depends on which component was incorrectly configured. Verify or correct the component configuration settings to display the Configure Administrative Virtual Server page correctly.

Internet Options should not use a proxy server for connections to local addresses.

Verify that connections to local addresses bypass the proxy server.

To bypass the proxy for local addresses

  1. Click Start, click Control Panel, and then click Internet Options.

  2. On the Connections tab, click LAN Settings.

  3. In the Local Area Network (LAN) Settings dialog box, select Bypass proxy server for local addresses.

  4. Click OK and then click OK again.

  5. Click Refresh to display the page.

Additional Troubleshooting Resources

Installation Log Files

You can review the installation log files for detailed information about installation of Team Foundation Server, including errors that might have occurred. By using these logs, you can often pinpoint a solution to resolve a failed installation.

By default, the log files are located in the following directory on the computer where you installed Team Foundation Server:

Drive:\Documents and Settings\SetupAccount\Local Settings\Temp\dd_install_vstf_tfc_90.txt

Drive:\Documents and Settings\SetupAccount\Local Settings\Temp\VSMsiLogRandomFourDigitNumber.txt

In the preceding path, RandomFourDigitNumber represents an actual random number in the file name.

Internet Information Services (IIS)

For more information about how to troubleshoot IIS, see the Microsoft Web site: IIS 6.0 Documentation.

SQL Server

For more information about how to troubleshoot SQL Server issues, see the SQL Server documentation at the Microsoft Web site.

SharePoint Products and Technologies

The following section offers resolutions for a variety of issues you might experience as you install SharePoint Products and Technologies. Best practices suggest that you try the resolutions found in the Team Foundation Server documentation first. For more information about the installation of Team Foundation Server, see the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

Miscellaneous Procedures

Add a User Account to the Local Administrators Group

To add a user to the local administrators group

  1. Open Control Panel>User Accounts>Manage User Accounts.

  2. Open the tab User.

  3. Click on the desired account.

  4. Click on Properties.

  5. Go to the Group Membership tab.

  6. Change the group member ship to Administrator.

  7. Hit OK.

  8. Hit OK (to closer User Accounts).

  9. Step 2

  1. To add a user to the local administrators group.

See Also

Concepts

Ports Required for Installation


Uninstalling Team Foundation

[image]

Visual Studio Team System
Uninstalling Team Foundation
See Also Send Feedback

The procedures in this section enable you to uninstall Team Foundation Server and all related components.

In This Section

How to: Uninstall Team Foundation Server

Describes the steps to remove the Team Foundation Server application-tier and data-tier components.

How to: Uninstall Team Foundation Server on a Cluster

Describes the steps to remove the Team Foundation Server components from a clustered server environment.

How to: Uninstall Team Foundation Build

Describes the steps to remove the Team Foundation Build components from the server.

How to: Uninstall Team Foundation Server Proxy

Describes the steps to remove the Team Foundation Server Proxy from the server.

How to: Uninstall Team Explorer

Describes the steps to remove the Team Explorer component.

Related Sections

Visual Studio Team Foundation Installation

See Also

Other Resources

Repairing and Troubleshooting Team Foundation


How to: Uninstall Team Foundation Server

[image]

Visual Studio Team System
How to: Uninstall Team Foundation Server
See Also Send Feedback

If you must uninstall Visual Studio Team System Team Foundation Server, you should remove Team Foundation Server and its related components in the opposite order in which they were installed, as the following table shows:

Order | Component
1. | Team Explorer
2. | Team Foundation Server Proxy
3. | Team Foundation Build
4. | Team Foundation Server
5. | SharePoint Products and Technologies
6. | SQL Server
7. | SQL Server Reporting Services virtual directories and ReportServer application pool
8. | Internet Information Services
Note Note:

Uninstalling Team Foundation Server does not delete data or remove databases. However, best practices suggest that you create a backup before uninstalling. If you plan to re-install, you can use the data and databases that remain because the files are not overwritten. To use the files after re-installing Microsoft SQL Server 2005, you need to attach the databases. If you do not intend to reuse the files, delete the files before re-installing. You can restore from your backup files later. For more information about attaching databases, see Microsoft SQL Server 2005 Books Online.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

Uninstalling Team Foundation Server Client Components

If you installed client-tier components on the application-tier computer, you should uninstall these components first.

To uninstall client tier components

  1. Uninstall Team Foundation Server Proxy.

    For more information, see How to: Uninstall Team Foundation Server Proxy.

  2. Uninstall Team Foundation Build.

    For more information, see How to: Uninstall Team Foundation Build.

  3. Uninstall Team Explorer.

    For more information, see How to: Uninstall Team Explorer.

Uninstalling Team Foundation Server

You must uninstall Team Foundation Server before you uninstall other Team Foundation components.

The uninstall process removes Team Foundation Server services, TFSServer Scheduler, and Code Coverage Analysis components. It does not remove user data or delete the Team Foundation databases.

To uninstall Team Foundation Server

  1. In the Control Panel, open Add or Remove Programs.

  2. Select Microsoft Visual Studio 2008 Team Foundation Server - LOC (where LOC is the three letter locale for the installed product), and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Uninstall, and then click Next.

  4. In the message box, click OK.

  5. On the Maintenance - Uninstall, monitor the progress of the component removal.

  6. On the Maintenance - Setup Complete page, click Finish.

Uninstalling SharePoint Products and Technologies

After you have uninstalled Team Foundation Server, you can uninstall SharePoint Products and Technologies. You should choose the correct procedure for the SharePoint Products and Technologies version that you installed.

To uninstall Microsoft Windows SharePoint Services 2.0

  1. In the Control Panel, open Add or Remove Programs.

  2. Select Microsoft Windows SharePoint Services 2.0 and click Remove.

  3. In the message box, click Yes.

    A dialog box appears, indicating that uninstall is in progress. This dialog automatically closes when uninstall is complete.

To uninstall Microsoft Windows SharePoint Services 3.0

  1. In the Control Panel, open Add or Remove Programs.

  2. Select Microsoft Windows SharePoint Services 3.0 and click Remove.

  3. In the message box, click Yes. A warning dialog will be displayed. Click OK.

    A dialog box appears, indicating that uninstall is in progress.

  4. When uninstall is complete, click Close to close the dialog.

Uninstalling Microsoft SQL Server 2005

After you have uninstalled SharePoint Products and Technologies, you can remove Microsoft SQL Server 2005 if necessary.

Note Note:

For information about how to uninstall SQL Server 2005 manually, back up or delete data and databases, and save or rename the folders for SQL Server Reporting Services, see "How to uninstall an instance of SQL Server 2005 manually," on the Microsoft Web site.

To uninstall Microsoft SQL Server 2005

  1. Log on to the computer where you installed Microsoft SQL Server 2005.

  2. In the Control Panel, open Add or Remove Programs.

  3. Select Microsoft SQL Server 2005, and then click Remove.

  4. On the Component Selection page, under Select an instance, choose the server to remove.

    Note Note:

    Click the Report button to view a list of the Microsoft SQL Server 2005 components and features installed on your computer.

  5. Under Remove SQL Server 2005 common components, select the components you intend to uninstall.

  6. Click Next.

  7. On the Confirmation page, review the list of components and features to be removed, and then click Finish.

Deleting the Reporting Services Virtual Directories and the ReportServer Application Pool

After you have uninstalled Microsoft SQL Server 2005, you can delete the Reporting Services virtual directories and the ReportServer application pool. This step is necessary if you plan to re-install Team Foundation Server on the same server.

Important note Important Note:

If you plan to re-install Team Foundation Server on the same server, you will also need to delete the Reporting Services databases.

To delete the Reporting Services virtual directories and the ReportServer application pool

  1. In Administrative Tools, click Internet Information Services (IIS) Manager.

    The Microsoft Management Console (MMC) for Internet Information Services (IIS) Manager opens.

  2. Expand ComputerName (Local Computer), and then expand Web sites.

  3. Expand Default Web Site

  4. Right-click Reports, and click Delete.

  5. Right-click ReportServer$TFSINSTANCE, and click Delete.

  6. Expand Application Pools.

  7. Right-click ReportServer, and click Delete.

Uninstalling Internet Information Services

After you have uninstalled Microsoft SQL Server 2005, you can remove Internet Information Services (IIS) if necessary.

To uninstall Internet Information Services

  1. In Administrative Tools, click Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application Server (IIS, ASP.NET), and then click Next.

  5. On the Role Removal Confirmation page, select Remove the application server role, and then, click Next.

  6. On the Application Server Role Removed page, click Finish.

See Also

Reference

Checklist: Single-Server Team Foundation Server Installation
Checklist: Dual-Server Team Foundation Server Installation

Other Resources

Repairing and Troubleshooting Team Foundation
Uninstalling Team Foundation


How to: Uninstall Team Foundation Server on a Cluster

[image]

Visual Studio Team System
How to: Uninstall Team Foundation Server on a Cluster
See Also Send Feedback

If you must uninstall Visual Studio Team System Team Foundation Server from a cluster configuration, you should remove Team Foundation Server and its related components in the opposite order in which they were installed, as the following table shows:

Order | Component
1. | Team Explorer
2. | Team Foundation Server Proxy
3. | Team Foundation Build
4. | Team Foundation Server
5. | SharePoint Products and Technologies
6. | SQL Server
7. | Internet Information Services

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

Uninstalling Team Foundation Server on a Cluster

The process of uninstalling Team Foundation Server in a cluster configuration is the same as uninstalling a single Team Foundation server.

To uninstall Team Foundation Server on a cluster

  1. Remove the application-tier components.

    For more information, see How to: Uninstall Team Foundation Server.

  2. You can optionally remove the data-tier databases.

    Note Note:

    Uninstalling Team Foundation Server does not delete data or remove databases. You must manually remove the databases from the data-tier computers. For more information about removing databases, see "How to: Delete a Database" in SQL Server 2005 Books Online on the Microsoft Web site.

See Also

Tasks

How to: Uninstall Team Foundation Server

Other Resources

Uninstalling Team Foundation


How to: Uninstall Team Foundation Build

[image]

Visual Studio Team System
How to: Uninstall Team Foundation Build
See Also Send Feedback

Team Foundation Build is a client to Team Foundation Server. Therefore, uninstalling it only removes the client component. Additional components, programs, or dynamic link libraries (.dll) you added to support your builds remain after installation. If you must uninstall, you should remove Team Foundation Server and its related components in the opposite order in which the components were installed. The following table shows you the order for uninstallation:

Order | Component
1. | Team Explorer
2. | Team Foundation Server Proxy
3. | Team Foundation Build
4. | Team Foundation Server
5. | SharePoint Products and Technologies
6. | Microsoft SQL Server 2005
7. | Internet Information Services

Use the following procedure to uninstall Team Foundation Build.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

To uninstall Team Foundation Build

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Visual Studio 2008 Team Foundation Server Build - LOC (where LOC is the three letter locale for the installed product) and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Uninstall, and then click Next.

  4. On the Maintenance - Uninstall page, monitor the progress of component removal.

  5. On the Maintenance - Setup Complete page, click Finish.

See Also

Other Resources

Uninstalling Team Foundation
Installing Team Foundation Build


How to: Uninstall Team Foundation Server Proxy

[image]

Visual Studio Team System
How to: Uninstall Team Foundation Server Proxy
See Also Send Feedback

This topic shows you how to uninstall Team Foundation Server Proxy. If you must uninstall, you should remove Team Foundation Server and its related components in the opposite order in which the components were installed. The following table shows you the order for uninstallation:

Order | Component
1. | Team Explorer
2. | Team Foundation Server Proxy
3. | Team Foundation Build
4. | Team Foundation Server
5. | SharePoint Products and Technologies
6. | Microsoft SQL Server 2005
7. | Internet Information Services

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the proxy computer. For more information, see Accounts Required for Installation.

To uninstall Team Foundation Server Proxy

  1. Click Start, click Control Panel, and then click Add or Remove Programs.

  2. In the Add or Remove Programs dialog box, select Microsoft Visual Studio 2008 Team Foundation Server Proxy - LOC (where LOC is the three letter locale for the installed product), and then click Change/Remove.

  3. On the Maintenance Mode Options page, click Uninstall.

  4. On the prompt, click OK.

  5. On the Maintenance - Setup Complete page, click Finish.

See Also

Other Resources

Uninstalling Team Foundation
Installing Team Foundation Server Proxy


How to: Uninstall Team Explorer

[image]

Visual Studio Team System
How to: Uninstall Team Explorer
See Also Send Feedback

If you uninstall Team Explorer, you do not automatically uninstall any prerequisites that were installed at the same time as Team Explorer. If you want to remove these prerequisites, you must remove them separately.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see Accounts Required for Installation.

To uninstall Team Explorer

  1. Click Start, click Control Panel, and then click Add or Remove Programs.

  2. Click Microsoft Visual Studio 2008 Team Explorer, and then click Uninstall/Change.

  3. On the Maintenance Mode Options page, click Uninstall, and then click Next.

  4. In the message box, click OK.

    The Maintenance - Uninstall page shows the progress of component removal.

  5. On the Maintenance - Setup Complete page, click Finish.

See Also

Other Resources

Uninstalling Team Foundation
Installing Team Explorer


Team Foundation Installation Guide Legal Notices

[image]

Visual Studio Team System
Team Foundation Installation Guide Legal Notices
Send Feedback

This section provides legal notices pertaining to the Team Foundation Installation Guide.

Legal Notices

This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results from the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2007 Microsoft Corporation. All rights reserved.

Microsoft, Visual Studio, Windows, SharePoint, Windows Vista, and Windows Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

All other trademarks are property of their respective owners.


Further Configuration of Team Foundation

[image]

Visual Studio Team System
Further Configuration of Team Foundation
See Also Send Feedback

Before you install Visual Studio Team System Team Foundation Server, you must first plan your deployment and then understand, install, and configure all prerequisites. After you install Team Foundation Server, you will also have to perform additional configuration tasks so that your deployment functions according to the needs of your organization. You can find additional information for configuring your deployment of Team Foundation Server in the "Team Foundation Administrator's Guide" in MSDN on the Microsoft Web site. This guide contains conceptual and procedural information about how to manage, monitor, secure, move, upgrade, and troubleshoot your deployment of Team Foundation Server. In this guide, you can also find detailed information about how to use command-line tools and plan for and migrate to Team Foundation Server.

See Also

Concepts

Visual Studio Team Foundation Installation